*
*     EW O(alpha^2) leading correction to \rho
*     
      complex*16 function drho_at2_as0 (alpha,alphas,mz,mw,mh,mtp)
      implicit none!
      integer idrho
      real*8 ctw2,stw2,ctw4,stw4,ctw6,stw6,gfermi,xt,dht,nc
      real*8 alpha,alphas,mz,mw,mh,mtp,ht,sqht,zt,sht
      real*8 c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12
      real*8 FTJRrho2
      complex*16 drho_at2_as0_msb,drho_at2_as0_oms
      include "constants.h"

      ctw2 = mw**2/mz**2
      stw2 = 1-ctw2
      ctw4 = ctw2**2
      stw4 = stw2**2
      ctw6 = ctw2**3
      stw6 = stw2**3
      gfermi = pi*alpha/sqrt(2d0)/stw2/mw**2
      xt = sqrt(2d0)*gfermi*mtp**2/16/pi**2

      idrho=1
      if (idrho.eq.0) then
         drho_at2_as0 = (19-12*z2)
      elseif (idrho.eq.1) then
*     FTJR
         drho_at2_as0 = FTJRrho2(mh**2/mtp**2)
      elseif (idrho.eq.2) then
         c1 = -15.642d0
         c2 =   0.036382d0
         c3 =   2.301d0
         c4 =  -0.01343d0
         c5 =  -9.953d0
         c6 =   0.01809d0
         c7 =   5.687d0
         c8 =  -0.01568d0
         c9 =  -1.647d0
         c10 =  0.005369d0
         c11 =  0.1852d0
         c12 = -0.000646d0
         ht  = mh/mtp
         sqht = sqrt(ht) 
         zt = (mz/mtp)**2
         
         drho_at2_as0_msb = (
     &        + (c1  + c2*mtp )
     &        + (c3  + c4*mtp )*sqht
     &        + (c5  + c6*mtp )*ht
     &        + (c7  + c8*mtp )*ht**2
     &        + (c9  + c10*mtp)*ht**3
     &        + (c11 + c12*mtp)*ht**4
     &                   )
         drho_at2_as0_oms =
     &        -(2*(18 - 181*ctw2 + 166*ctw4 - 216*ctw6)/(27*ctw2)
     &        + sqrt(-1 + 4*ctw2)*(2*(1 +26*ctw2+24*ctw4)*
     &        atan(1/Sqrt(-1 + 4*ctw2))/3 - 
     &        (1 + 11*ctw2 + 12*ctw2*ctw2)*
     &        atan(sqrt(-1 + 4*ctw2))/(3*ctw4)) + 
     &        log(ctw2)/(6*ctw4)*
     &        (1 + 9*ctw2 - 4*ctw4 + 60*ctw6) + 
     &        (-20 + 32*ctw2)*log(zt)/9)
         drho_at2_as0_oms = 4*zt*ctw2*drho_at2_as0_oms
         drho_at2_as0     = drho_at2_as0_msb + drho_at2_as0_oms
      endif

      drho_at2_as0 = 3*xt**2*drho_at2_as0

      return
      end
