#ifndef PARTONDIDTRIBUTIONSLHAPDF_H
#define PARTONDIDTRIBUTIONSLHAPDF_H

#include "LHAPDF/LHAPDF.h"
#include "PartonDistributions.h"

namespace SANC {

class PartonDistributionsLHAPDF: public PDF {
public:
    int pdfID() {return pdfA_Ptr->lhapdfID();};
private:
    LHAPDF::PDF * pdfA_Ptr = nullptr;
    LHAPDF::PDF * pdfB_Ptr = nullptr;

    void _init(){
        pdfA_Ptr = LHAPDF::mkPDF(pdfname, pdfmember);
        pdfB_Ptr = pdfA_Ptr;
    }
    double _xfA(int i, double x, double Q2){return pdfA_Ptr->xfxQ2(i,x,Q2);}
    double _xfB(int i, double x, double Q2){return pdfB_Ptr->xfxQ2(i,x,Q2);}
    double _AlfasQ(double Q) {return pdfA_Ptr->alphasQ(Q);}
    double _Q2min() {return pdfA_Ptr->q2Min();}
};
}

#endif // PARTONDIDTRIBUTIONSLHAPDF_H
