#ifndef SETTINGS_H
#define SETTINGS_H

#include <string>
using std::string;

namespace SANC {

class Settings{
public:
    Settings();
    virtual ~Settings();
    virtual void init()=0;
    virtual void print_diff()=0;
    virtual void print()=0;
    virtual bool get_b(string key)=0;
    inline int get_i(string key) {return get_l(key);}
    virtual long get_l(string key)=0;
    virtual double get_d(string key)=0;
    virtual string get_s(string key)=0;
    virtual void set(string key, bool def)=0;
    inline void set(string key, int def) {return set(key, static_cast<long>(def));}
    virtual void set(string key, long def)=0;
    virtual void set(string key, double def)=0;
    virtual void set(string pair)=0;
    void setPath(string _path);
    virtual void validate()=0;
protected:
    std::string input_file = "input/index.conf";
    std::string prefix;
    std::string schema_file;
};

}
#endif // SETTINGS_H
