************************************************************************
* sanc_nc_v2.00 package.
************************************************************************
* File (nc_ff_12_12__16_16.F).
************************************************************************
* This is the FORTRAN module (nc_ff_12_12__16_16) to calculate 1-loop EW
* form factors for the el^- + el^- -> mo^- + mo^- process.
*
* It is produced by s2n package of SANC (v1.10) Project.
* Copyright (C), SANC Project Team, 2002-2018.
*
* http://sanc.jinr.ru/
* E-mail: <sanc-team@cern.ch>
************************************************************************
      subroutine nc_ff_12_12__16_16 (qs,ts,us)
      implicit none!
#include "looptools.h"
#include "s2n_declare.h"

      complex*16 ff_qed_ll,ff_qed_lq,ff_qed_ql,ff_qed_qq,ff_qed_ld
      complex*16 ff_qed_qd,ff_ew_ll,ff_ew_ld,ff_ew_lq,ff_ew_ql,ff_ew_qq
      complex*16 ff_ew_qd,ff_qed_gg
      real*8 isr,ifi,fsr

      real*8 det3imomoqs
      real*8 a0fel,a0fmo,a0fw,a0fz,a0fh
      real*8 lnlamom,lnlaelm
      complex*16 b0pmozmo,b0pmohmo,b0pmocw
      complex*16 b0fqscc,b0ftsmoc,b0fusmoc,b0fmozmo,b0fmomoc,b0fqszc,b0
     & fqsmomo,b0fmowc,b0fmohmo,b0fqsww,b0fqszh,b0fqszz,b0ftscc
      complex*16 c0elelqszelc,c0momoqszmoc,c0momoqscmoc,c0cmotsczmo,c0i
     & relmots,c0cmousczmo,c0irelmous,c0elelqscelc,c0irmomoqs,c0irelelqs
     & ,c0irmoelts,c0irmoelus,c0ccqszcz,c0momoqszmoz,c0momoqswcw,c0momoq
     & szmoh,c0momoqsmozmo,c0momoqsmohmo,c0momoqscwc,c0cmotscwc,c0ccqswc
     & w,c0ccqscwc,c0ccqsczc
      complex*16 b0d1momoz
      complex*16 b0dwmocw
      complex*16 d0ccmomoqstszczmo,d0ccmomoqsuszczmo,d0ccmomoqstswcwc
      complex*16 jaaqstselmo,jaaqsuselmo,javqstselmoz,javqsuselmoz
      real*8 sdet3icmots,sdet3icmous,sdet4imotsus,sdet3imomoqs
      real*8 sdet3cmots,sdet3cmous
      real*8 pxx2zqsc
      complex*16 propzqs,propizqs,prop1zqs
      complex*16 b0fzww,b0fzzh
      real*8 der,errdersta,errdersys,deg,errdegsta,errdegsys
      complex*16 w(375)

      common/unibos_bos/za1bos,zmzzzbos,zmwzwbos,zmhzhbos,deltarhobos
      common/unibos_fer/za1fer,zz1fer,zh1fer,zw1fer,zmsqrfer,
     & zmzzzfer,zmwzwfer,zmhzhfer,deltarhofer,tadfer
      common/unipro_fer/caldzfer,caldwfer,pizgfer,piggfer
      common/unipro_fer_d/piggferl,piggferh,piggfert
      common/unibos_fer_d/za1ferl,za1ferh,za1fert


      if (iqed.eq.1) then
         isr = 1d0
         ifi = 1d0
         fsr = 1d0
      elseif(iqed.eq.2) then
         isr = 1d0
         ifi = 0d0
         fsr = 0d0
      elseif(iqed.eq.3) then
         isr = 0d0
         ifi = 1d0
         fsr = 0d0
      elseif(iqed.eq.4) then
         isr = 0d0
         ifi = 0d0
         fsr = 1d0
      elseif(iqed.eq.5) then
         isr = 0d0
         ifi = 1d0
         fsr = 1d0
      elseif(iqed.eq.6) then
         isr = 1d0
         ifi = 1d0
         fsr = 0d0
      elseif(iqed.eq.7) then
         isr = 1d0
         ifi = 0d0
         fsr = 1d0
      else
         isr = 0d0
         ifi = 0d0
         fsr = 0d0
      endif

      cmz2 = mz2

      if (irun.eq.0) then
         prop1zqs = (cmz2+qs)
      else
         prop1zqs = (dcmplx(mz**2,qs*wz/mz)+qs)
      endif
      propizqs = (rzm2+qs)
      propzqs = 1d0/propizqs
      det3imomoqs = 1d0/(-1d0/4d0*((-rmom2)**2+(-rmom2)**2+(qs)**2
     & -2d0*(-rmom2)*(-rmom2)-2d0*(-rmom2)*(qs)
     & -2d0*(-rmom2)*(qs)))
      a0fel = log(relm2/thmu2) - 1d0
      a0fmo = log(rmom2/thmu2) - 1d0
      a0fw = log(rwm2/thmu2) - 1d0
      a0fz = log(rzm2/thmu2) - 1d0
      a0fh = log(rhm2/thmu2) - 1d0
      lnlamom = log(rmom2/tlmu2)
      lnlaelm = log(relm2/tlmu2)
      b0pmozmo = b0p(-rmom2,zm2,mom2)
      b0pmohmo = b0p(-rmom2,hm2,mom2)
      b0pmocw = b0p(-rmom2,cm2,wm2)
      b0fqscc = b0f(qs,thmu2,cm2,cm2)
      b0ftsmoc = b0f(ts,thmu2,mom2,cm2)
      b0fusmoc = b0f(us,thmu2,mom2,cm2)
      b0fmozmo = b0f(-rmom2,thmu2,zm2,mom2)
      b0fmomoc = b0f(-rmom2,thmu2,mom2,cm2)
      b0fqszc = b0f(qs,thmu2,zm2,cm2)
      b0fqsmomo = b0f(qs,thmu2,mom2,mom2)
      b0fmowc = b0f(-rmom2,thmu2,wm2,cm2)
      b0fmohmo = b0f(-rmom2,thmu2,hm2,mom2)
      b0fqsww = b0f(qs,thmu2,wm2,wm2)
      b0fqszh = b0f(qs,thmu2,zm2,hm2)
      b0fqszz = b0f(qs,thmu2,zm2,zm2)
      b0ftscc = b0f(ts,thmu2,cm2,cm2)
      c0elelqszelc = -c0(relm2,relm2,-qs,rzm2,relm2,0d0)
      c0momoqszmoc = -c0(rmom2,rmom2,-qs,rzm2,rmom2,0d0)
      c0momoqscmoc = -c0(rmom2,rmom2,-qs,0d0,rmom2,0d0)
      c0cmotsczmo = -c0(0d0,rmom2,-ts,0d0,rzm2,rmom2)
      c0irelmots = c0ir(tlmu2,elm2,mom2,ts)
      c0cmousczmo = -c0(0d0,rmom2,-us,0d0,rzm2,rmom2)
      c0irelmous = c0ir(tlmu2,elm2,mom2,us)
      c0elelqscelc = -c0(relm2,relm2,-qs,0d0,relm2,0d0)
      c0irmomoqs = c0ir(tlmu2,mom2,mom2,qs)
      c0irelelqs = c0ir(tlmu2,elm2,elm2,qs)
      c0irmoelts = c0ir(tlmu2,mom2,elm2,ts)
      c0irmoelus = c0ir(tlmu2,mom2,elm2,us)
      c0ccqszcz = -c0(0d0,0d0,-qs,rzm2,0d0,rzm2)
      c0momoqszmoz = -c0(rmom2,rmom2,-qs,rzm2,rmom2,rzm2)
      c0momoqswcw = -c0(rmom2,rmom2,-qs,rwm2,0d0,rwm2)
      c0momoqszmoh = -c0(rmom2,rmom2,-qs,rzm2,rmom2,rhm2)
      c0momoqsmozmo = -c0(rmom2,rmom2,-qs,rmom2,rzm2,rmom2)
      c0momoqsmohmo = -c0(rmom2,rmom2,-qs,rmom2,rhm2,rmom2)
      c0momoqscwc = -c0(rmom2,rmom2,-qs,0d0,rwm2,0d0)
      c0cmotscwc = -c0(0d0,rmom2,-ts,0d0,rwm2,0d0)
      c0ccqswcw = -c0(0d0,0d0,-qs,rwm2,0d0,rwm2)
      c0ccqscwc = -c0(0d0,0d0,-qs,0d0,rwm2,0d0)
      c0ccqsczc = -c0(0d0,0d0,-qs,0d0,rzm2,0d0)
      b0d1momoz = b0d1(-rmom2,thmu2,mom2,zm2)
      b0dwmocw = b0dw(-rmom2,thmu2,cm2,wm2)
      d0ccmomoqstszczmo =
     & d0(0d0,0d0,rmom2,rmom2,-qs,-ts,rzm2,0d0,rzm2,rmom2)
      d0ccmomoqsuszczmo =
     & d0(0d0,0d0,rmom2,rmom2,-qs,-us,rzm2,0d0,rzm2,rmom2)
      d0ccmomoqstswcwc =
     & d0(0d0,0d0,rmom2,rmom2,-qs,-ts,rwm2,0d0,rwm2,0d0)
      jaaqstselmo = jaa(qs,ts,elm2,mom2)
      jaaqsuselmo = jaa(qs,us,elm2,mom2)
      javqstselmoz = jav(qs,ts,elm2,mom2,cmz2)
      javqsuselmoz = jav(qs,us,elm2,mom2,cmz2)
      sdet3icmots = 1d0/(ts+(mmo)**2)
      sdet3icmous = 1d0/(us+(mmo)**2)
      sdet4imotsus = 1d0/(ts*us-mmo**4)
      sdet3imomoqs = 1d0/(qs+(mmo+mmo)**2)
      sdet3cmots = (ts+mmo**2)
      sdet3cmous = (us+mmo**2)
      pxx2zqsc = (2*mz**2)+(qs)

      if (ifgg.le.2) then
         ff_qed_gg =
     &      -za1fer+stw**2*piggfer
      else
         call dhadr5x19(sqrt(-qs),0d0,der,errdersta,errdersys,deg,errdegsta,errdegsys)
         ff_qed_gg =
     &      -za1ferl+stw**2*piggferl-za1fert+stw**2*piggfert+der/alpha*4d0*pi*stw2
      endif

      w(1)=real(propizqs)
      w(2)=Qs**(-1)
      w(3)=stw**(-1)
      w(4)=ctw**(-1)
      w(5)=mw**(-1)
      w(6)=Ts**(-1)
      w(7)=real(propzqs)
      w(8)=mh**(-1)
      w(9)=real(b0pmocw)
      w(10)=real(b0pmohmo)
      w(11)=real(b0pmozmo)
      w(12)=vmamo**(-1)
      w(13)=mz**2
      w(14)=sdet4imotsus*IFI
      w(15)=w(13)*w(14)
      w(16)=w(15)*sdet3icmots
      w(17)=2.D0*w(14)
      w(18)=w(16) + w(17)
      w(18)=w(18)*c0cmotsczmo
      w(19)=w(14)*b0fmozmo
      w(20)=w(14)*b0fmomoc
      w(19)=w(19) + w(20)
      w(21)=w(17)*b0ftsmoc
      w(22)=w(21) - w(19)
      w(22)=w(22)*sdet3icmots
      w(23)=w(17)*c0momoqszmoc
      w(24)=w(22) - w(23)
      w(25)=w(14)*javqstselmoz
      w(18)=w(18) - w(24) + w(25)
      w(26)=sdet4imotsus**2
      w(27)=IFI*w(13)*w(26)
      w(28)=w(26)*IFI
      w(29)=Qs*w(28)
      w(27)=w(27) + w(29)
      w(30)=w(27)*c0elelqszelc
      w(31)=c0momoqszmoc*w(27)
      w(32)=w(30) - w(31)
      w(33)=w(32)*sdet3cmots
      w(34)=w(32)*sdet3cmous
      w(18)= - w(33) + w(34) + 2.D0*w(18)
      w(18)=w(18)*Ts
      w(35)=w(17)*c0cmousczmo
      w(36)=w(14)*javqsuselmoz
      w(37)=w(35) + w(36)
      w(38)=w(17)*c0cmotsczmo
      w(39)=w(38) + w(25)
      w(40)=w(37) + w(39)
      w(41)=w(14)*c0momoqszmoc
      w(42)=w(40) + 4.D0*w(41)
      w(43)=w(17)*b0fusmoc
      w(43)=w(43) - w(19)
      w(44)=w(43)*sdet3icmous
      w(45)=w(22) + w(44) - w(42)
      w(46)=w(27)*c0cmousczmo
      w(47)=w(27)*javqsuselmoz
      w(48)=2.D0*w(46) + w(47) - w(31)
      w(49)=w(48)*sdet3cmous
      w(50)=2.D0*c0cmotsczmo
      w(51)=javqstselmoz + w(50)
      w(27)=w(27)*w(51)
      w(51)=w(27) - w(31)
      w(52)=w(51)*sdet3cmots
      w(45)=2.D0*w(45) + w(49) + w(52)
      w(53)=mmo**2
      w(45)=w(45)*w(53)
      w(54)=w(15)*c0cmousczmo
      w(55)=w(43) - w(54)
      w(56)=w(55)*sdet3icmous
      w(57)=w(14)*c0cmousczmo
      w(58)=w(57) + w(41)
      w(58)= - w(56) + w(36) + 2.D0*w(58)
      w(58)= - w(34) + 2.D0*w(58)
      w(58)=w(58)*Us
      w(59)=w(15)*c0cmotsczmo
      w(60)=w(41)*w(13)
      w(59)=w(59) - w(60)
      w(59)=w(59)*w(2)
      w(59)=w(59) - w(41)
      w(32)=w(32)*Us
      w(61)=w(30)*sdet3cmots
      w(59)=w(32) + w(61) + 2.D0*w(59)
      w(59)=w(59)*sdet3cmots
      w(62)=w(14)*Qs
      w(63)=w(62) - w(15)
      w(63)=w(63)*c0elelqszelc
      w(64)=w(17)*b0fqszc
      w(65)=w(64) - w(63)
      w(66)=w(14)*b0ftsmoc
      w(67)=w(14)*b0fusmoc
      w(68)=w(66) + w(67)
      w(69)=w(65) - w(68)
      w(54)=w(54) - w(60)
      w(70)=w(54)*sdet3cmous
      w(71)=sdet3icmous*c0cmousczmo
      w(72)=w(13)*IFI
      w(73)=w(71)*w(72)
      w(70)=w(73) + w(70)
      w(73)=c0cmotsczmo*sdet3icmots
      w(72)=w(73)*w(72)
      w(72)=w(72) + w(70)
      w(74)=2.D0*w(2)
      w(72)=w(72)*w(74)
      w(75)=w(30)*sdet3cmous
      w(76)=w(75) - w(23)
      w(76)=w(76)*sdet3cmous
      w(18)=w(18) + w(58) - w(45) + w(72) + w(59) + w(76) - 2.D0*w(69)
      w(18)=w(18)*w(53)
      w(45)=w(49)*Us
      w(58)= - w(75) + 2.D0*w(37)
      w(58)=w(58)*sdet3cmous
      w(69)=w(14)*b0fqszc
      w(72)=w(69) - w(67)
      w(72)=2.D0*w(72)
      w(77)=w(41)*Qs
      w(78)=w(77) + w(63)
      w(45)=w(58) + w(78) - w(60) + w(45) - w(72)
      w(45)=w(45)*Us
      w(58)=2.D0*w(39)
      w(79)=w(58) - w(61)
      w(79)=w(79)*sdet3cmots
      w(80)=w(52)*Ts
      w(64)=w(64) + w(60)
      w(79)=w(79) + w(80) - w(64) + w(78) + w(21)
      w(79)=w(79)*Ts
      w(18)=w(18) + w(45) + w(79)
      w(80)=stw**2
      w(81)=w(80)*z_ex
      w(82)=2.D0*w(81)
      w(83)=z_ex*qmo
      w(84)=w(83) + w(82)
      w(85)=4.D0*w(80)
      w(84)=w(85)*w(18)*w(84)
      w(86)=w(16) + w(14)
      w(86)=w(86)*w(50)
      w(87)=2.D0*w(22)
      w(86)=w(86) - w(87) + w(25)
      w(88)=w(60)*w(2)
      w(89)=5.D0*w(41)
      w(33)= - w(33) + w(88) + w(89) + w(86)
      w(33)=Ts*w(33)
      w(87)= - w(52) - w(87) + w(42)
      w(87)=w(87)*w(53)
      w(90)=w(88) + w(41)
      w(91)=w(90) - w(37)
      w(91)=w(91)*Us
      w(21)=w(91) + w(65) - w(21)
      w(65)=2.D0*IFI
      w(91)=w(65)*w(13)
      w(92)=w(91)*w(73)
      w(93)=w(2)*w(92)
      w(33)=w(87) + w(33) + w(59) + w(93) - w(21)
      w(33)=w(33)*w(53)
      w(33)=w(79) + w(33)
      w(33)=z_ex*w(33)
      w(33)=w(33) + w(84)
      w(59)=w(80)*w(1)
      w(84)=2.D0*w(59)
      w(33)=w(33)*w(84)
      w(87)=sdet3cmous + sdet3cmots
      w(93)=4.D0*w(53)
      w(87)=w(93)*w(87)
      w(94)=Us**2
      w(87)=w(87) + 2.D0*w(94)
      w(94)=c0momoqscmoc*CFScheme
      w(29)=w(94)*w(29)
      w(87)=w(29)*w(87)
      w(95)=2.D0*Us
      w(96)=w(95)*w(29)
      w(97)=w(29)*Ts
      w(96)=w(96) - w(97)
      w(98)=2.D0*Ts
      w(96)=w(96)*w(98)
      w(99)=Qs**2
      w(100)=w(28)*CFScheme
      w(101)=w(99)*w(100)
      w(102)=w(101)*sdet3cmous
      w(103)=CFScheme*Qs
      w(104)=w(103)*w(17)
      w(102)=w(102) + w(104)
      w(102)=w(102)*c0momoqscmoc
      w(104)=w(101)*c0momoqscmoc
      w(105)=w(104)*sdet3cmots
      w(106)=w(17)*b0fmomoc
      w(68)=w(106) - w(68)
      w(106)=2.D0*CFScheme
      w(68)=w(68)*w(106)
      w(87)= - w(96) + w(102) + w(68) + w(105) + w(87)
      w(96)=2.D0*w(53)
      w(87)=w(87)*w(96)
      w(101)=w(101)*c0elelqscelc
      w(102)=w(101) + w(104)
      w(104)=w(102)*w(95)
      w(105)=w(102)*Ts
      w(107)=w(100)*jaaqstselmo
      w(108)=w(107)*sdet3cmots**3
      w(100)=sdet3cmous**3*w(100)*jaaqsuselmo
      w(108)=w(108) - w(100)
      w(104)=w(104) - w(105) + w(108)
      w(104)=w(104)*Ts
      w(109)=sdet3cmots**2
      w(107)=w(109)*w(107)
      w(110)=w(107)*Us
      w(111)=w(14)*b0fqscc
      w(112)=w(111) - w(66)
      w(113)=w(112)*w(106)
      w(110)=w(110) - w(113)
      w(110)=w(110)*sdet3cmots
      w(113)=w(102)*Us
      w(113)=w(113) - w(100)
      w(114)=w(113)*Us
      w(115)=w(111) - w(67)
      w(116)=2.D0*sdet3cmous
      w(115)=w(115)*w(116)*CFScheme
      w(87)=w(87) - w(115) - w(104) + w(110) + w(114)
      w(104)=ctw**2
      w(110)=w(1)*w(104)*gamma_ex
      w(114)=w(87)*stw**4*w(110)
      w(115)=3.D0*b0fqscc
      w(117)=3.D0*a0fel + w(115) + 1.D0
      w(118)=2.D0*Qs
      w(119)=w(118)*c0irelelqs
      w(119)= - w(119) + 2.D0*lnlaelm - w(117)
      w(119)=w(119)*ISR
      w(120)=c0cmousczmo - c0irelmous
      w(120)=IFI*w(120)
      w(121)=javqsuselmoz*IFI
      w(120)=w(120) + w(121)
      w(122)=4.D0*sdet3cmous
      w(120)=w(120)*w(122)
      w(123)=c0irelmots - c0cmotsczmo
      w(123)=IFI*w(123)
      w(124)=javqstselmoz*IFI
      w(123)=w(123) - w(124)
      w(125)=4.D0*sdet3cmots
      w(123)=w(123)*w(125)
      w(119)=w(119) - w(120) - w(123)
      w(119)=w(119)*w(81)
      w(120)=w(96) + Qs
      w(123)=2.D0*c0irmomoqs
      w(120)=w(120)*w(123)
      w(123)=3.D0*a0fmo
      w(126)=3.D0*b0fqsmomo
      w(127)=w(126) + w(123) + 1.D0
      w(120)=w(120) + w(127) - 2.D0*lnlamom
      w(128)=a0fmo - 1.D0
      w(129)=w(128) + b0fqsmomo
      w(130)=w(129)*det3imomoqs
      w(131)=w(130)*Qs
      w(132)=w(131)*w(96)
      w(132)=w(132) + w(120)
      w(132)=w(132)*w(81)*FSR
      w(33)= - w(132) + 8.D0*w(114) + w(119) + w(33)
      w(114)=1.D0/2.D0*w(53)
      w(133)=w(5)**4
      w(134)=w(133)*c0momoqswcw
      w(135)=w(114)*w(134)
      w(136)=w(133)*b0fqsww
      w(137)=1.D0/2.D0*w(136)
      w(135)=w(135) - w(137)
      w(138)=w(5)**2
      w(139)=w(138)*c0momoqswcw
      w(140)=3.D0*w(139)
      w(141)=w(135) + w(140)
      w(141)=w(141)*w(53)
      w(142)=w(138)*b0fqsww
      w(143)=1.D0/4.D0*w(138)
      w(144)=w(143)*Qs
      w(145)=3.D0 - w(144)
      w(145)=w(145)*w(142)
      w(146)=4.D0*c0momoqsmozmo
      w(147)=w(138)*b0fmowc
      w(148)=1.D0/2.D0*w(138)
      w(145)= - w(141) + 15.D0/2.D0*c0momoqswcw + w(145) - w(146) - 3.D0
     & /2.D0*w(147) - 4.D0*w(11) - w(148)
      w(145)=w(145)*w(53)
      w(149)=w(134)*w(96)
      w(149)= - w(149) + 2.D0*w(136)
      w(150)=11.D0*w(139) - w(149)
      w(150)=w(150)*w(53)
      w(150)=w(150) - 26.D0*c0momoqswcw + 7.D0*w(147) - 13.D0*w(142)
      w(150)=w(150)*w(53)
      w(151)=b0fqsww - b0fmowc
      w(152)=b0fmozmo - b0fqsmomo
      w(153)=mw**2
      w(154)=w(153)*c0momoqswcw
      w(150)=w(150) + 11.D0*w(154) - 24.D0*w(152) + 13.D0*w(151)
      w(150)=w(150)*w(53)
      w(155)=w(151) + w(154)
      w(156)=2.D0*w(153)
      w(157)=w(155)*w(156)
      w(150)=w(157) + w(150)
      w(150)=sdet3imomoqs*w(150)
      w(157)=b0fqsww + a0fw
      w(158)=w(157) + 1.D0
      w(159)=4.D0*w(153)
      w(160)=w(158)*w(159)
      w(161)=w(160)*w(7)
      w(162)=w(99)*w(143)
      w(162)= - 5.D0*Qs + w(162)
      w(162)=w(162)*w(138)
      w(162)=1.D0 + 1.D0/3.D0*w(162)
      w(162)=b0fqsww*w(162)
      w(163)=c0momoqswcw + c0ccqswcw
      w(164)= - w(163)*w(159)
      w(165)=c0ccqswcw*w(153)
      w(157)=w(165) + w(157)
      w(165)=w(156)*w(2)
      w(157)=w(157)*w(165)
      w(166)=a0fz + b0fqscc
      w(167)=b0d1momoz - a0fmo
      w(168)=9.D0*b0fqsmomo
      w(169)=5.D0/2.D0*b0fmowc
      w(170)=c0ccqsczc + c0momoqsmozmo
      w(170)= - 6.D0*w(170)
      w(170)=Qs*w(170)
      w(145)= - w(161) + w(150) + w(145) + b0dwmocw + w(157) + w(164)
     &  + w(162) + w(169) + 8.D0*b0fmozmo + 1.D0/2.D0*a0fw + 2.D0 -
     & w(168) + w(167) + w(170) - 9.D0*w(166)
      w(145)=w(145)*w(104)
      w(150)=w(4)**2
      w(157)=w(150)*c0momoqszmoz
      w(162)=2.D0*sdet4imotsus
      w(164)=w(157)*w(162)
      w(170)=w(26)*w(150)
      w(171)=w(170)*pxx2zqsc
      w(172)=Qs*w(171)
      w(173)=w(172)*c0ccqszcz
      w(174)=w(164) - w(173)
      w(175)=2.D0*w(174)
      w(176)=w(150)*sdet4imotsus
      w(177)=w(176)*b0fusmoc
      w(178)=w(176)*b0fmozmo
      w(179)=w(177) - w(178)
      w(180)=2.D0*sdet3icmous
      w(181)=w(180)*w(179)
      w(182)=w(150)*pxx2zqsc
      w(183)=sdet4imotsus*w(182)
      w(184)=w(183)*d0ccmomoqstszczmo
      w(185)=3.D0*w(184)
      w(186)=w(185) - w(181)
      w(187)=w(176)*b0ftsmoc
      w(178)=w(187) - w(178)
      w(178)=w(178)*sdet3icmots
      w(188)=w(176)*c0cmousczmo
      w(189)=3.D0*w(188)
      w(190)=w(176)*c0cmotsczmo
      w(191)=3.D0*w(190) - 6.D0*w(178) + w(175) + w(189) + w(186)
      w(192)=pxx2zqsc**2
      w(193)=w(170)*w(192)
      w(194)=w(193)*d0ccmomoqstszczmo
      w(193)=w(193)*d0ccmomoqsuszczmo
      w(195)= - w(193) + 3.D0*w(194)
      w(196)=Ts - Us
      w(195)= - w(195)*w(196)
      w(197)=w(171)*w(50)
      w(198)=w(197) - w(194)
      w(199)=pxx2zqsc*c0momoqszmoz
      w(200)=w(170)*w(199)
      w(201)=4.D0*w(200)
      w(202)=w(198) - w(201)
      w(203)=w(202)*sdet3cmots
      w(204)=3.D0*w(203)
      w(170)=2.D0*w(170)
      w(170)=w(170)*w(199)
      w(199)=w(171)*c0cmousczmo
      w(205)=w(170) - w(199)
      w(206)=w(193) + 2.D0*w(205)
      w(206)=w(206)*sdet3cmous
      w(191)= - w(204) + 2.D0*w(191) + w(206) + w(195)
      w(191)=w(191)*w(96)
      w(172)=w(172)*c0momoqszmoz
      w(195)=c0ccqszcz*sdet4imotsus
      w(207)=w(195)*w(150)
      w(208)= - w(172) + 8.D0*w(207)
      w(209)=w(171)*c0ccqszcz
      w(210)=w(209) + 4.D0*w(193)
      w(210)=w(210)*w(116)
      w(211)=Qs*sdet4imotsus
      w(212)=w(211)*w(150)
      w(213)=w(212) + 8.D0*w(183)
      w(214)=w(213)*d0ccmomoqsuszczmo
      w(210)=w(210) - w(214)
      w(208)= - w(210) + 2.D0*w(208)
      w(208)=w(208)*sdet3cmous
      w(214)=w(164) + w(207)
      w(214)=w(214)*pxx2zqsc
      w(215)=3.D0*w(187) + w(177) + 2.D0*w(214)
      w(192)=w(176)*w(192)
      w(216)=w(192) - w(150)
      w(217)=w(183)*Qs
      w(218)= - w(217) + 2.D0*w(216)
      w(219)=w(218)*d0ccmomoqstszczmo
      w(218)=w(218)*d0ccmomoqsuszczmo
      w(215)=w(218) + 2.D0*w(215) + 3.D0*w(219)
      w(220)=w(201) - w(193)
      w(220)=w(220)*w(116)
      w(221)= - w(212) + 6.D0*w(183)
      w(221)=w(221)*d0ccmomoqsuszczmo
      w(221)=w(221) - w(220)
      w(222)=w(179)*sdet3icmous
      w(223)=4.D0*w(222)
      w(224)=w(223) - w(173)
      w(225)= - w(224) + 10.D0*w(188)
      w(226)=w(150)*d0ccmomoqstszczmo
      w(227)=w(226)*w(211)
      w(228)=2.D0*w(225) - 3.D0*w(227) - w(221)
      w(228)=Us*w(228)
      w(229)=4.D0*w(150)
      w(230)=w(229)*w(195)
      w(231)=w(230) - w(172)
      w(231)=2.D0*w(231)
      w(232)=w(209) + 4.D0*w(194)
      w(233)=2.D0*sdet3cmots
      w(234)=w(232)*w(233)
      w(213)=w(213)*d0ccmomoqstszczmo
      w(213)=w(234) - w(213)
      w(234)= - w(231) + w(213)
      w(235)=3.D0*sdet3cmots
      w(234)=w(234)*w(235)
      w(236)=4.D0*w(178)
      w(237)=w(236) - w(173)
      w(237)=2.D0*w(237)
      w(238)=2.D0*w(183)
      w(239)=w(238) - w(212)
      w(240)= - d0ccmomoqstszczmo*w(239)
      w(240)=12.D0*w(190) - w(237) + w(240)
      w(201)=w(201) - w(194)
      w(241)=sdet3cmots*w(201)
      w(242)=w(150)*d0ccmomoqsuszczmo
      w(211)=w(242)*w(211)
      w(240)=6.D0*w(241) + 3.D0*w(240) - w(211)
      w(240)=Ts*w(240)
      w(241)=w(176)*b0fqszz
      w(191)=w(191) + w(240) + w(234) - 16.D0*w(241) + w(228) + 2.D0*
     & w(215) - w(208)
      w(191)=w(191)*w(53)
      w(215)=w(162)*w(150)
      w(228)=w(215)*c0cmousczmo
      w(234)=w(174) + w(228)
      w(240)=2.D0*w(178)
      w(243)= - w(181) + w(234) - w(240)
      w(244)=w(194) - w(193)
      w(244)= - w(244)*w(196)
      w(245)=w(206) + w(184)
      w(246)=4.D0*w(190)
      w(247)=w(183)*d0ccmomoqsuszczmo
      w(243)=2.D0*w(243) + w(247) + w(246) - w(203) + w(244) + w(245)
      w(243)=w(243)*w(96)
      w(244)=8.D0*w(188)
      w(248)=w(244) - w(224)
      w(249)= - w(212) + 4.D0*w(183)
      w(250)=w(249)*d0ccmomoqsuszczmo
      w(248)= - w(227) - w(250) + w(220) + 2.D0*w(248)
      w(248)=w(248)*Us
      w(250)=w(187) + w(214) + w(177)
      w(250)=w(219) + w(218) + 2.D0*w(250)
      w(251)= - w(172) + 6.D0*w(207)
      w(251)=2.D0*w(251)
      w(252)=w(213) - w(251)
      w(252)=w(252)*sdet3cmots
      w(251)=w(210) - w(251)
      w(251)=w(251)*sdet3cmous
      w(201)=w(201)*w(233)
      w(201)=w(201) - w(237)
      w(237)=w(249)*d0ccmomoqstszczmo
      w(237)= - w(211) + w(201) - w(237) + 16.D0*w(190)
      w(237)=w(237)*Ts
      w(237)=2.D0*w(250) + w(243) + w(251) + w(248) + w(252) + w(237)
     &  - 8.D0*w(241)
      w(237)=w(237)*w(53)
      w(243)=w(215)*c0ccqszcz
      w(248)=w(243) - w(172)
      w(249)=2.D0*w(248)
      w(250)=w(233)*w(209)
      w(250)= - w(227) + w(250) + w(249)
      w(250)=w(250)*sdet3cmots
      w(197)=w(197)*sdet3cmots
      w(164)= - w(164) + w(246) + w(197) - w(185)
      w(185)=w(164)*w(98)
      w(197)=w(215)*b0ftsmoc
      w(246)=w(215)*b0fqszz
      w(251)=w(197) - w(246)
      w(252)=w(183)*c0ccqszcz
      w(253)= - 2.D0*w(226) + w(251) - w(252)
      w(185)=w(250) - w(185) - 2.D0*w(253)
      w(185)=w(185)*Ts
      w(250)=w(229)*w(13)
      w(254)=w(150)*Qs
      w(250)=w(250) + w(254)
      w(250)=w(250)*d0ccmomoqstszczmo
      w(185)=w(185) + w(250)
      w(250)=w(209)*w(116)
      w(249)= - w(211) + w(250) + w(249)
      w(249)=w(249)*sdet3cmous
      w(250)=w(199)*w(116)
      w(255)=w(176)*c0momoqszmoz
      w(256)=w(228) - w(255)
      w(250)= - w(250) - 2.D0*w(256) + 3.D0*w(247)
      w(250)=w(250)*w(95)
      w(257)=w(215)*b0fusmoc
      w(258)=w(252) - w(257) + 2.D0*w(242)
      w(259)=4.D0*w(176)
      w(260)=w(259)*b0fqszz
      w(249)=w(260) + w(249) + w(250) + 2.D0*w(258)
      w(249)=Us*w(249)
      w(250)=2.D0*w(150)
      w(258)=w(250)*pxx2zqsc
      w(258)=w(258) - w(254)
      w(258)=w(258)*d0ccmomoqsuszczmo
      w(249)=w(258) + w(249)
      w(258)=w(192) + w(229)
      w(261)=w(258)*d0ccmomoqstszczmo
      w(262)=w(194)*Qs
      w(263)=w(262)*w(233)
      w(261)=w(261) + w(263)
      w(261)=w(261)*sdet3cmots
      w(258)=w(258)*d0ccmomoqsuszczmo
      w(264)=w(193)*Qs
      w(265)=w(264)*w(116)
      w(258)=w(258) + w(265)
      w(258)=w(258)*sdet3cmous
      w(266)=w(150)*c0ccqszcz
      w(157)=w(266) + w(157)
      w(237)=w(237) - w(249) - w(185) - 8.D0*w(157) + w(261) + w(258)
      w(258)=qmo + w(80)
      w(85)=w(85)*w(237)*w(258)
      w(258)=12.D0*w(150) + w(192)
      w(258)=d0ccmomoqsuszczmo*w(258)
      w(258)=w(258) + w(265)
      w(258)=sdet3cmous*w(258)
      w(261)=w(262)*sdet3cmots
      w(262)=w(229) + 3.D0*w(192)
      w(262)=d0ccmomoqstszczmo*w(262)
      w(262)=w(262) + 6.D0*w(261)
      w(262)=sdet3cmots*w(262)
      w(85)=w(85) + w(191) + w(262) + w(258) - 16.D0*w(157) - w(249) -
     & 3.D0*w(185)
      w(85)=w(85)*w(80)
      w(191)=w(202)*w(233)
      w(202)= - w(98) + w(95)
      w(202)=w(194)*w(202)
      w(258)=w(236) - w(174)
      w(262)=w(188) - w(258)
      w(266)=w(215)*c0cmotsczmo
      w(202)= - w(191) - w(247) + w(266) + 2.D0*w(262) + 5.D0*w(184) +
     & w(202)
      w(202)=w(202)*w(53)
      w(262)=w(207)*sdet3cmous
      w(197)= - w(262) + w(219) + w(214) + w(197)
      w(219)=3.D0*w(150)
      w(267)=w(219)*w(195)
      w(268)=w(267) - w(172)
      w(213)= - 2.D0*w(268) + w(213)
      w(213)=sdet3cmots*w(213)
      w(269)=w(212) - w(183)
      w(269)=w(269)*d0ccmomoqstszczmo
      w(201)=10.D0*w(190) + w(269) + w(201)
      w(201)=Ts*w(201)
      w(270)=w(228) - w(247)
      w(271)= - w(227) + w(270)
      w(271)=Us*w(271)
      w(197)=w(202) + w(201) + w(213) - w(260) + 2.D0*w(197) + w(271)
      w(197)=w(197)*w(53)
      w(201)=d0ccmomoqstszczmo*w(192)
      w(202)=w(201) + w(263)
      w(202)=sdet3cmots*w(202)
      w(213)=4.D0*w(157)
      w(263)=w(242)*w(122)
      w(185)=w(197) + w(202) + w(263) - w(213) - w(185)
      w(185)=qmo*w(185)
      w(85)=w(185) + w(85)
      w(85)=w(85)*w(80)
      w(185)=1.D0/4.D0*w(194)
      w(197)=w(200) - w(185)
      w(197)=sdet3cmots*w(197)
      w(197)=w(197) + w(190) + 1.D0/8.D0*w(227) + 1.D0/4.D0*w(173) -
     & w(178)
      w(197)=Ts*w(197)
      w(202)=1.D0/4.D0*w(227)
      w(263)=w(202)*Us
      w(271)=w(241) - w(187)
      w(263)=w(263) + w(271)
      w(272)=1.D0/2.D0*w(150)
      w(195)=w(272)*w(195)
      w(195)=w(195) + w(255)
      w(195)=w(195)*pxx2zqsc
      w(273)=1.D0/2.D0*w(217)
      w(216)=w(273) - w(216)
      w(274)= - d0ccmomoqstszczmo*w(216)
      w(274)=w(274) + w(195) - w(263)
      w(172)=1.D0/2.D0*w(172)
      w(275)=w(172) - w(207)
      w(276)=1.D0/2.D0*w(275)
      w(277)=1.D0/4.D0*w(209) + w(194)
      w(277)=sdet3cmots*w(277)
      w(278)= - w(183) - 1.D0/8.D0*w(212)
      w(278)=d0ccmomoqstszczmo*w(278)
      w(277)=w(277) + w(276) + w(278)
      w(277)=sdet3cmots*w(277)
      w(171)=w(171)*c0cmotsczmo
      w(278)=1.D0/2.D0*w(171)
      w(279)= - w(200) + w(278) - w(185)
      w(279)=w(279)*sdet3cmots
      w(280)=1.D0/2.D0*w(173)
      w(281)=w(280) - w(255)
      w(282)=1.D0/2.D0*w(281)
      w(279)=w(279) + w(282) + w(178)
      w(185)= - w(185)*w(196)
      w(185)=3.D0/4.D0*w(184) + w(185) - w(279)
      w(185)=w(185)*w(53)
      w(185)=w(185) + w(197) + 1.D0/2.D0*w(274) + w(277)
      w(185)=w(185)*w(53)
      w(197)=w(26)*d0ccmomoqstswcwc
      w(274)=w(197)*Ts
      w(277)=w(26)*c0ccqswcw
      w(283)=w(274) - w(277)
      w(284)= - 3.D0*w(283)
      w(285)=w(159)*w(197)
      w(286)=2.D0*w(26)
      w(287)=w(286)*c0cmotscwc
      w(288)=w(26)*c0momoqswcw
      w(289)= - w(284) - w(285) + w(287) + w(288)
      w(290)=w(288) - w(277)
      w(291)=w(290)*w(6)
      w(292)=w(291) + w(197)
      w(292)=w(292)*w(53)
      w(293)= - w(156)*w(291)
      w(293)=w(292) + w(293) + w(289)
      w(293)=w(293)*w(53)
      w(287)= - w(277) + w(287) - w(288)
      w(274)= - w(274) + w(285) - w(287)
      w(285)= - w(274)*w(98)
      w(294)=c0ccqswcw*sdet4imotsus
      w(295)=c0momoqswcw*sdet4imotsus
      w(296)=w(294) - w(295)
      w(297)=w(296)*w(6)
      w(298)=d0ccmomoqstswcwc*sdet4imotsus
      w(299)=w(297) - w(298)
      w(197)=w(197)*w(153)
      w(300)=w(26)*c0cmotscwc
      w(301)=w(197) - w(300)
      w(277)=w(301) + w(277)
      w(277)=w(277)*w(159)
      w(285)=w(293) + w(285) + w(277) - w(299)
      w(285)=w(285)*w(53)
      w(293)=w(297)*w(153)
      w(297)=w(153)*d0ccmomoqstswcwc
      w(302)=w(297)*sdet4imotsus
      w(293)= - w(296) + w(293) - w(302)
      w(301)=w(288) + w(301)
      w(301)=w(301)*w(156)
      w(303)=w(283) + w(288)
      w(304)= - Ts*w(303)
      w(301)=w(304) + w(298) + w(301)
      w(301)=Ts*w(301)
      w(301)=w(301) + w(293)
      w(285)=2.D0*w(301) + w(285)
      w(285)=w(285)*w(53)
      w(133)= - w(162) + 1.D0/4.D0*w(133)
      w(133)=w(133)*b0fqsww
      w(301)=w(162)*b0fmowc
      w(304)=b0ftscc*sdet4imotsus
      w(301)=w(301) - w(304)
      w(305)=mw**4
      w(306)=d0ccmomoqstswcwc*w(305)*w(162)
      w(133)=w(306) + w(133) + 2.D0*w(301)
      w(197)=8.D0*w(197) - 4.D0*w(300) + w(284) + w(288)
      w(197)=w(197)*Ts
      w(197)=w(197) - w(277)
      w(277)=w(298) + w(197)
      w(277)=Ts*w(277)
      w(284)= - w(162)*w(297)
      w(301)=w(162)*c0cmotscwc
      w(277)=w(277) + w(284) + w(301) - w(296)
      w(277)=Ts*w(277)
      w(277)=w(285) + w(277) + w(133)
      w(277)=w(277)*w(53)
      w(274)=w(274)*Ts
      w(284)=w(297)*w(286)
      w(285)=w(284) - w(287)
      w(285)=w(285)*w(156)
      w(274)=w(274) - w(285)
      w(286)=w(274)*Ts
      w(287)=w(301) + w(286)
      w(287)=Ts*w(287)
      w(296)= - b0fqsww + b0ftscc
      w(296)=w(162)*w(296)
      w(294)=w(294) + w(295)
      w(297)= - w(302) - w(294)
      w(297)=w(297)*w(156)
      w(287)=w(287) + w(297) - d0ccmomoqstswcwc + w(296)
      w(287)=Ts*w(287)
      w(296)=7.D0/2.D0*c0momoqswcw
      w(297)=2.D0*w(147)
      w(141)=w(141) - w(296) + w(297) - 7.D0/2.D0*w(142)
      w(302)=w(53)*sdet3imomoqs
      w(141)=w(141)*w(302)
      w(306)=5.D0 - w(144)
      w(306)=w(306)*w(142)
      w(141)=w(141) + w(277) + w(287) + 1.D0/3.D0*w(306) + w(163)
      w(141)=w(141)*w(104)
      w(163)=w(261) + 1.D0/2.D0*w(201)
      w(201)=1.D0/2.D0*sdet3cmots
      w(261)=w(163)*w(201)
      w(277)= - w(13)*w(150)
      w(254)=w(277) - 1.D0/4.D0*w(254)
      w(254)=d0ccmomoqstszczmo*w(254)
      w(277)=sdet3cmous*w(242)
      w(254)=w(261) + w(277) + w(254) - w(157)
      w(261)=1.D0/2.D0*w(209)
      w(277)= - sdet3cmots*w(261)
      w(277)=w(277) + w(202) + w(275)
      w(277)=sdet3cmots*w(277)
      w(252)=1.D0/2.D0*w(252)
      w(271)=w(277) - w(226) - w(252) - w(271)
      w(277)=3.D0/2.D0*w(184)
      w(287)= - w(255) - w(277)
      w(278)=sdet3cmots*w(278)
      w(278)=w(278) + 1.D0/2.D0*w(287) + w(190)
      w(278)=Ts*w(278)
      w(271)=1.D0/2.D0*w(271) + w(278)
      w(271)=Ts*w(271)
      w(85)=w(85) + w(141) + w(185) + 1.D0/2.D0*w(254) + w(271)
      w(85)=w(1)*w(85)
      w(141)=mh**2
      w(185)=w(141)*w(138)
      w(254)=w(185) - w(219)
      w(271)=w(138)*w(53)
      w(278)=2.D0*w(271)
      w(287)= - w(278) + 1.D0/2.D0*w(254)
      w(287)=w(287)*w(302)
      w(306)=mh**4
      w(307)=w(306)*w(138)
      w(308)=1.D0/2.D0*w(307)
      w(309)=w(141)*w(150)
      w(310)=w(308) - w(309)
      w(311)=w(4)**4
      w(312)=w(311)*w(153)
      w(313)=w(310) + 1.D0/2.D0*w(312)
      w(314)=w(313)*w(2)
      w(314)=w(314) + w(272)
      w(315)= - w(271) + 1.D0/3.D0*w(314)
      w(287)= - w(287) + 1.D0/2.D0*w(315)
      w(287)=w(287)*b0fqszh
      w(315)=w(185) - w(150)
      w(278)=w(278) - w(315)
      w(316)=w(278)*w(96)
      w(317)=3.D0/2.D0*w(312)
      w(310)=w(317) - w(310)
      w(316)= - w(316) + 1.D0/2.D0*w(310)
      w(316)=w(316)*w(302)
      w(318)=1.D0/2.D0*w(2)
      w(313)=w(313)*w(318)
      w(313)=w(313) + w(271) - w(150)
      w(313)=w(313)*w(53)
      w(313)=w(313) + w(316)
      w(313)=w(313)*c0momoqszmoh
      w(316)=w(53)*w(2)
      w(319)=w(315)*w(316)
      w(320)=1.D0/2.D0*w(185)
      w(319)=w(319) + w(320)
      w(321)=3.D0/4.D0*w(150)
      w(322)=w(321) - w(271)
      w(322)=w(322)*w(302)
      w(319)= - w(322) + 1.D0/4.D0*w(319)
      w(319)=w(319)*b0fmohmo
      w(322)=w(96)*w(185)
      w(323)=1.D0/4.D0*w(307)
      w(322)=w(322) - w(323)
      w(322)=w(322)*w(302)
      w(324)=mmo**4
      w(325)=w(324)*w(138)
      w(322)=w(322) - w(325)
      w(322)=w(322)*c0momoqsmohmo
      w(287)=w(287) + w(322) + 5.D0/4.D0*b0fmowc + w(319) + w(313)
      w(313)=1.D0/4.D0*w(150)
      w(319)=w(313) + 4.D0
      w(322)=w(319)*w(150)
      w(322)=w(322) - 17.D0
      w(322)=w(322)*b0fqsww
      w(326)=w(272) + 5.D0
      w(327)=1.D0/3.D0*w(150)
      w(326)=w(326)*w(327)
      w(327)=w(272) - 8.D0
      w(327)=w(327)*a0fw
      w(328)=1.D0/2.D0*w(311)
      w(329)=w(328)*a0fz
      w(322)=w(322) - w(326) + w(327) + w(329) - 8.D0
      w(326)=w(311) + 2.D0
      w(326)=w(326)*w(150)
      w(327)=a0fz*w(4)**6
      w(329)=a0fw*w(219)
      w(326)=w(326) + w(329) + 3.D0/2.D0*w(327)
      w(326)=w(153)*w(326)*w(8)**2
      w(327)=w(150)*ZmzZzBos
      w(322)=1.D0/3.D0*w(322) + w(326) - w(327)
      w(322)=w(322)*w(153)
      w(326)=w(323) - w(309)
      w(326)=w(312) + 1.D0/3.D0*w(326)
      w(326)=w(326)*b0fqszh
      w(327)=w(309) + 1.D0/6.D0*w(307)
      w(329)=1.D0/2.D0*a0fh
      w(327)=w(327)*w(329)
      w(329)=a0fz*w(272)*w(141)
      w(329)=w(329) + w(309)
      w(322)=w(326) + w(322) + w(327) - 1.D0/6.D0*w(329)
      w(322)=w(322)*w(7)
      w(322)=w(322) - Za1Fer + calDzFer
      w(307)=w(307) - w(309)
      w(326)=1.D0/3.D0*w(2)
      w(307)=w(307)*w(326)
      w(320)=w(307) + w(320)
      w(326)=1.D0/4.D0*a0fh
      w(320)=w(320)*w(326)
      w(320)=w(320) - w(322) + Za1Bos
      w(327)=2.D0*b0fqsmomo
      w(329)=3.D0/2.D0*b0fqscc
      w(330)=b0fmozmo + w(327) - w(329)
      w(330)=w(330)*w(138)
      w(297)=w(330) + w(297) + 6.D0*c0momoqscwc
      w(330)=w(271)*c0momoqscwc
      w(331)=3.D0/2.D0*w(330) + w(297)
      w(331)=w(331)*w(53)
      w(332)=w(185)*b0fqsmomo
      w(333)=1.D0/4.D0*w(332)
      w(334)=w(333) + 9.D0/2.D0*b0fqscc
      w(335)=1.D0/4.D0*w(185)
      w(336)=13.D0*w(150)
      w(337)=w(336) + w(335)
      w(338)=36.D0 - w(337)
      w(338)=b0fmozmo*w(338)
      w(339)=55.D0/4.D0*w(150)
      w(340)=w(339) - 36.D0
      w(341)= - w(340)*w(150)
      w(341)= - 24.D0 + w(341)
      w(341)=c0momoqsmozmo*w(341)
      w(342)=11.D0/2.D0*c0momoqscwc
      w(341)=w(342) + w(341)
      w(341)=w(341)*w(153)
      w(340)=b0fqsmomo*w(340)
      w(331)=w(331) + w(341) + 6.D0*b0fmowc + w(338) + w(340) - w(334)
      w(331)=w(331)*w(53)
      w(338)=7.D0/2.D0*w(150)
      w(340)=w(338) - 9.D0
      w(341)=w(340)*w(150)
      w(343)=w(341) + 6.D0
      w(344)=w(152)*w(343)
      w(344)=w(344) + b0fqscc
      w(345)=w(150)*c0momoqsmozmo
      w(346)=w(343)*w(345)
      w(346)=w(346) - c0momoqscwc
      w(347)= - w(346)*w(153)
      w(347)=w(347) + b0fmowc - w(344)
      w(347)=w(347)*w(153)
      w(331)=w(347) + w(331)
      w(331)=sdet3imomoqs*w(331)
      w(341)=5.D0 + w(341)
      w(341)=b0fqscc*w(341)
      w(347)= - 9.D0 + 41.D0/12.D0*w(150)
      w(347)=w(347)*w(150)
      w(347)=6.D0 + w(347)
      w(347)=a0fz*w(347)
      w(348)=c0ccqscwc*w(153)
      w(341)=w(348) + w(347) + w(341) - a0fw
      w(341)=w(341)*w(153)
      w(347)=w(305)*c0ccqsczc
      w(348)=w(347)*w(150)
      w(343)= - w(343)*w(348)
      w(349)=w(309)*a0fz
      w(349)=1.D0/12.D0*w(349)
      w(341)=w(343) + w(349) + w(341)
      w(341)=w(2)*w(341)
      w(343)=w(335)*w(10)
      w(350)=7.D0/4.D0*w(150)
      w(351)=w(350) - 6.D0
      w(351)=w(351)*w(11)
      w(352)=1.D0/4.D0*w(9)
      w(343)= - w(352) + w(351) + w(343)
      w(351)=b0fqscc + 3.D0 + a0fmo - b0fqsmomo
      w(351)=w(351)*w(143)
      w(353)=5.D0/2.D0*w(150)
      w(354)=w(353) - 6.D0
      w(354)=w(354)*c0momoqsmozmo
      w(355)=w(148)*b0fmowc
      w(351)= - w(351) + w(354) + w(355) + w(343) + c0momoqscwc
      w(315)=w(315)*b0fmozmo
      w(354)=1.D0/4.D0*w(2)
      w(355)=w(315)*w(354)
      w(356)=w(138)*w(10)
      w(357)=w(143)*w(9)
      w(356)=w(356) + w(357)
      w(357)=w(148)*c0momoqscwc
      w(357)=w(357) - w(356)
      w(358)= - w(357)*w(53)
      w(355)=w(358) + w(355) - w(351)
      w(355)=w(355)*w(53)
      w(358)= - 3.D0 + 5.D0/4.D0*w(150)
      w(358)=w(358)*w(150)
      w(358)=w(358) + 2.D0
      w(358)=w(358)*w(11)
      w(358)=w(358) + 1.D0/2.D0*w(9)
      w(359)=2.D0*c0momoqscwc
      w(360)=w(358) + w(359)
      w(361)=7.D0*w(150)
      w(362)=w(361) - 18.D0
      w(362)=w(362)*w(150)
      w(362)=w(362) + 12.D0
      w(363)=c0momoqsmozmo*w(362)
      w(364)=2.D0*c0ccqscwc
      w(363)=w(363) - w(364) - w(360)
      w(363)=w(363)*w(153)
      w(365)=DeltarhoFer + DeltarhoBos
      w(366)=w(3)**2
      w(367)=w(366) - 2.D0
      w(367)=w(367)*w(365)
      w(368)=1.D0/2.D0*w(167)
      w(369)=w(150) - 3.D0
      w(368)=w(369)*w(368)
      w(370)=11.D0 - w(338)
      w(329)=w(370)*w(329)
      w(319)=w(144) - w(319)
      w(319)=b0fqsww*w(319)
      w(370)=1.D0/2.D0*a0fz
      w(371)=27.D0 - 43.D0/4.D0*w(150)
      w(371)=w(371)*w(370)
      w(362)=w(362)*w(153)
      w(372)= - Qs*w(340)
      w(362)=w(372) + w(362)
      w(362)=c0ccqsczc*w(362)
      w(372)= - c0momoqsmozmo*w(340)
      w(372)=w(372) + c0ccqscwc + c0momoqscwc
      w(372)=Qs*w(372)
      w(340)=b0fqsmomo*w(340)
      w(373)=37.D0/8.D0*w(150)
      w(374)= - 12.D0 + w(373)
      w(374)=b0fmozmo*w(374)
      w(85)=w(85) + w(145) + w(331) + w(355) - b0dwmocw + w(341) +
     & w(362) + w(363) + w(371) + 1.D0/3.D0*w(319) + w(374) + 7.D0/4.D0
     & *a0fw + w(329) - 3.D0/2.D0*w(340) - 197.D0/72.D0*w(150) + 139.D0/
     & 18.D0 + w(372) - w(320) + w(368) + w(367) - w(287)
      w(27)= - w(27) + 2.D0*w(31)
      w(145)= - w(27)*w(233)
      w(43)=w(43)*w(180)
      w(40)=w(145) + 4.D0*w(22) - 12.D0*w(41) - w(40) + w(43) + w(49)
      w(40)=w(40)*w(53)
      w(55)=w(55)*w(180)
      w(145)= - w(41) - w(37)
      w(145)=w(88) + w(34) + 3.D0*w(145) + w(55)
      w(145)=Us*w(145)
      w(51)=w(51) - w(30)
      w(319)= - w(51)*w(233)
      w(329)=c0cmotsczmo*w(14)
      w(319)=w(319) - w(34) - 6.D0*w(329) - 3.D0*w(25) - w(90)
      w(319)=Ts*w(319)
      w(121)=w(124) + w(121)
      w(92)=w(121) + w(92)
      w(124)= - w(70) - w(92)
      w(124)=w(124)*w(74)
      w(329)=w(23) - w(38)
      w(329)=w(329)*w(13)
      w(331)=w(15)*javqstselmoz
      w(329)=w(329) - w(331)
      w(329)=w(329)*w(2)
      w(340)=w(23) - w(39)
      w(32)=w(329) - w(32) + 2.D0*w(340)
      w(329)=w(32)*w(233)
      w(69)=3.D0*w(69) - w(67)
      w(40)=w(40) + w(319) + w(329) + w(145) + w(124) - w(76) - 4.D0*
     & w(66) + 2.D0*w(69) - 3.D0*w(63)
      w(40)=w(40)*w(53)
      w(40)= - w(45) + w(40)
      w(40)=z_ex*w(40)
      w(69)=w(81)*qmo
      w(124)=2.D0*w(69)
      w(18)=w(18)*w(124)
      w(40)=w(40) - w(18)
      w(40)=w(40)*w(80)
      w(32)=sdet3cmots*w(32)
      w(51)= - sdet3cmots*w(51)
      w(51)=w(51) - w(39) - w(90)
      w(51)=Ts*w(51)
      w(92)= - w(2)*w(92)
      w(27)=w(27)*sdet3cmots
      w(24)=2.D0*w(24) - w(27)
      w(24)=w(24)*w(53)
      w(21)=w(24) + w(51) + w(32) + w(92) + w(21)
      w(24)=w(83)*w(53)
      w(21)=w(21)*w(24)
      w(21)=w(21) + 2.D0*w(40)
      w(21)=w(1)*w(21)
      w(32)=w(80)*qmo
      w(40)=w(110)*w(32)
      w(51)=2.D0*w(40)
      w(87)=w(87)*w(51)
      w(87)=w(87) - w(119)
      w(83)=w(114)*w(83)*w(131)
      w(81)=w(120)*w(81)
      w(81)=w(83) - w(81)
      w(83)=FSR*w(81)
      w(21)=w(83) + w(21) - w(87)
      w(83)=1.D0/2.D0*w(193)
      w(92)=w(83) + w(205)
      w(92)=w(92)*sdet3cmous
      w(110)=w(196)*w(83)
      w(120)=3.D0/2.D0*w(247)
      w(92)=w(92) + w(110) + w(120)
      w(110)=6.D0*w(190)
      w(145)=w(204) - w(110) + 7.D0*w(281) + 12.D0*w(178) - w(186) -
     & w(92)
      w(145)=w(145)*w(53)
      w(186)=w(261) + 2.D0*w(193)
      w(186)=w(186)*sdet3cmous
      w(204)=1.D0/4.D0*w(212)
      w(205)=w(204) + w(238)
      w(205)=w(205)*d0ccmomoqsuszczmo
      w(186)=w(186) - w(205)
      w(172)=7.D0*w(207) - w(172) - w(186)
      w(172)=sdet3cmous*w(172)
      w(205)=w(83) - w(170)
      w(205)=w(205)*sdet3cmous
      w(205)=w(205) + w(181) - w(280)
      w(204)=3.D0*w(183) - w(204)
      w(204)=d0ccmomoqsuszczmo*w(204)
      w(204)=w(204) + 3.D0/2.D0*w(227) - w(244) + w(205)
      w(204)=Us*w(204)
      w(238)=w(183)*sdet3icmots
      w(244)=w(238) - w(215)
      w(244)=w(244)*w(50)
      w(280)=1.D0/2.D0*w(227)
      w(319)=w(174) + w(244) - w(280)
      w(329)= - w(198)*w(235)
      w(340)=1.D0/4.D0*w(211)
      w(329)=w(329) + 3.D0*w(319) + w(340)
      w(329)=Ts*w(329)
      w(341)=w(273) + w(229) - w(192)
      w(341)=d0ccmomoqsuszczmo*w(341)
      w(355)=4.D0*w(184)
      w(362)=w(355) + w(248)
      w(235)=w(362)*w(235)
      w(363)=w(150)*w(73)
      w(367)=w(363) - w(187)
      w(368)=4.D0*w(255)
      w(371)= - 7.D0/2.D0*w(207) - w(368)
      w(371)=pxx2zqsc*w(371)
      w(372)= - w(217) + 1.D0/2.D0*w(192)
      w(374)=w(372) - w(150)
      w(375)=d0ccmomoqstszczmo*w(374)
      w(145)=w(145) + w(329) + w(235) + 7.D0*w(241) + w(204) + w(172)
     &  + w(341) - 3.D0*w(375) - w(177) + w(371) + 6.D0*w(367)
      w(145)=w(145)*w(53)
      w(172)=w(261)*sdet3cmous
      w(172)= - w(275) + w(172) - w(340)
      w(172)=w(172)*sdet3cmous
      w(204)=w(199)*sdet3cmous
      w(120)= - w(204) + w(120) - w(256)
      w(120)=w(120)*Us
      w(204)=w(241) - w(177)
      w(120)=w(242) + w(252) + w(120) + w(172) + w(204)
      w(120)=w(120)*Us
      w(172)=w(264)*sdet3cmous
      w(235)=d0ccmomoqsuszczmo*w(192)
      w(172)=w(172) + 1.D0/2.D0*w(235)
      w(252)=1.D0/2.D0*sdet3cmous
      w(172)=w(172)*w(252)
      w(256)=w(272)*Qs
      w(182)=w(256) - w(182)
      w(261)=1.D0/2.D0*d0ccmomoqsuszczmo
      w(182)=w(182)*w(261)
      w(261)=w(226)*sdet3cmots
      w(120)=w(120) - w(172) - w(182) - w(261) + w(157)
      w(145)=w(145) + w(120)
      w(145)=qmo*w(145)
      w(172)=w(237)*w(32)
      w(182)=w(235) + w(265)
      w(182)=w(182)*sdet3cmous
      w(235)=w(125)*w(226)
      w(172)= - w(249) + w(182) + w(235) + w(172) - w(213)
      w(182)=w(196)*w(193)
      w(182)=2.D0*w(247) + w(182) - w(223)
      w(213)=8.D0*w(178)
      w(110)=w(191) - w(110) + w(213) - 3.D0*w(174) - w(228) - w(245)
     &  - w(182)
      w(110)=w(110)*w(96)
      w(191)=w(73)*w(229)
      w(229)= - w(267) - w(368)
      w(229)=pxx2zqsc*w(229)
      w(235)=w(192) - w(250)
      w(237)=2.D0*w(217) - w(235)
      w(237)=d0ccmomoqstszczmo*w(237)
      w(235)= - 2.D0*w(235) + w(217)
      w(235)=d0ccmomoqsuszczmo*w(235)
      w(187)=w(235) + w(191) + w(237) - 4.D0*w(187) - w(257) + w(229)
      w(225)=w(227) - w(225)
      w(221)=2.D0*w(225) + w(221)
      w(221)=Us*w(221)
      w(225)= - 2.D0*w(238) + 5.D0*w(176)
      w(50)=w(225)*w(50)
      w(175)= - w(50) + w(175) - w(269)
      w(225)= - w(198)*w(125)
      w(175)=w(225) + 2.D0*w(175) + w(211)
      w(175)=Ts*w(175)
      w(225)=w(355) + w(268)
      w(225)=w(225)*w(125)
      w(110)=w(110) + w(175) + w(225) + 12.D0*w(241) + w(221) + 2.D0*
     & w(187) + w(208)
      w(110)=w(110)*w(53)
      w(110)=w(110) - w(172)
      w(110)=w(110)*w(80)
      w(110)=w(145) + w(110)
      w(110)=w(110)*w(80)
      w(145)= - sdet3cmots*w(198)
      w(145)=w(145) + w(319)
      w(145)=Ts*w(145)
      w(175)=w(203) - w(190) - w(277) + w(258)
      w(175)=w(175)*w(53)
      w(187)=1.D0/2.D0*w(247)
      w(203)=w(187) - w(188) + w(280)
      w(203)=Us*w(203)
      w(208)=sdet3cmots*w(362)
      w(221)=w(73)*w(250)
      w(225)=w(255) + w(207)
      w(227)=w(225)*pxx2zqsc
      w(229)=w(219) - w(192)
      w(229)=1.D0/2.D0*w(229) + w(217)
      w(229)=d0ccmomoqstszczmo*w(229)
      w(145)=w(175) + w(145) + w(208) + w(203) + w(262) + 1.D0/2.D0*
     & w(242) + w(221) + w(229) - w(227) - w(251)
      w(145)=w(145)*w(53)
      w(175)= - 1.D0/4.D0*w(192) + w(273) + w(150)
      w(203)= - d0ccmomoqstszczmo*w(175)
      w(208)=1.D0/2.D0*w(227)
      w(203)= - w(363) + w(203) + w(208) - w(263)
      w(202)=w(202) + w(281)
      w(229)= - 1.D0/2.D0*w(194) + w(171)
      w(201)=w(229)*w(201)
      w(229)=w(176) - 1.D0/2.D0*w(238)
      w(229)=c0cmotsczmo*w(229)
      w(201)=w(201) + 1.D0/2.D0*w(202) + w(229)
      w(201)=Ts*w(201)
      w(202)=1.D0/2.D0*w(184) - w(279)
      w(202)=w(202)*w(53)
      w(229)=w(276) - w(184)
      w(229)=sdet3cmots*w(229)
      w(201)=w(202) + w(201) + 1.D0/2.D0*w(203) + w(229)
      w(201)=w(201)*w(53)
      w(202)=w(284) - w(300)
      w(203)=w(202) - w(283)
      w(229)= - w(153)*w(291)
      w(229)=w(229) - w(203)
      w(229)=2.D0*w(229) + w(292)
      w(229)=w(229)*w(53)
      w(202)= - w(288) - w(202)
      w(202)=w(202)*w(98)
      w(202)=w(229) + w(202) + w(285) - w(299)
      w(202)=w(202)*w(53)
      w(203)=Ts*w(203)
      w(229)=w(290)*w(153)
      w(203)=w(203) + w(298) + w(229)
      w(203)=Ts*w(203)
      w(203)=w(203) + w(293)
      w(202)=2.D0*w(203) + w(202)
      w(202)=w(202)*w(53)
      w(203)=w(298) + w(274)
      w(203)=Ts*w(203)
      w(235)= - w(159)*w(298)
      w(237)=c0cmotscwc*sdet4imotsus
      w(203)=w(203) + w(235) + 4.D0*w(237) - w(294)
      w(203)=Ts*w(203)
      w(133)=w(202) + w(203) + w(133)
      w(133)=w(133)*w(53)
      w(202)=w(237)*w(153)
      w(203)=b0fmowc*sdet4imotsus
      w(235)=w(304) - w(203)
      w(202)=w(202) - w(235)
      w(249)=Ts*sdet3icmots
      w(249)=w(249) - 1.D0
      w(202)=Ts*w(202)*w(249)
      w(135)=w(135) + w(139)
      w(135)=w(135)*w(53)
      w(249)=3.D0/2.D0*c0momoqswcw
      w(135)=w(135) - w(249) + w(147)
      w(251)= - 3.D0/2.D0*w(142) + w(135)
      w(251)=w(251)*w(302)
      w(133)=w(251) + 4.D0*w(202) + w(133)
      w(133)=w(133)*w(104)
      w(133)=w(201) + w(133)
      w(133)=w(12)*w(133)
      w(110)=w(110) + w(145) + w(133)
      w(110)=w(1)*w(110)
      w(133)=c0momoqsmozmo + w(11)
      w(133)=w(133)*w(93)
      w(145)=w(160)*w(2)
      w(160)=w(118)*c0momoqsmozmo
      w(201)=w(160) + w(115)
      w(202)=b0fqsmomo + 1.D0/2.D0
      w(251)=w(202) + a0fz
      w(258)=w(118)*c0ccqsczc
      w(261)=4.D0*b0fmozmo
      w(133)=w(258) + w(161) + w(133) - w(145) + w(167) + w(201) -
     & w(261) + 3.D0*w(251)
      w(145)= - w(133)*w(104)
      w(161)=w(312) - w(309)
      w(161)=w(161)*w(2)
      w(161)=w(161) - w(150)
      w(161)=w(161)*c0momoqszmoh
      w(143)=w(129)*w(143)
      w(251)=w(356)*w(53)
      w(258)=w(338) - 6.D0
      w(262)=w(258)*c0momoqsmozmo
      w(263)=w(150)*b0fmozmo
      w(264)= - w(2)*w(263)
      w(143)= - w(161) + w(251) + w(264) - w(262) - 1.D0/4.D0*w(147) +
     & w(143) - w(343)
      w(143)=w(53)*w(143)
      w(251)=w(320) + PiZgFer + w(365)
      w(264)= - w(309) + w(317) - w(308)
      w(264)=w(264)*w(318)
      w(264)=w(264) - w(271)
      w(264)=w(264)*w(114)
      w(265)=w(278)*w(53)
      w(265)= - w(265) + 1.D0/4.D0*w(310)
      w(265)=w(265)*w(302)
      w(264)=w(264) - w(265)
      w(264)=w(264)*c0momoqszmoh
      w(254)= - w(271) + 1.D0/4.D0*w(254)
      w(254)=w(254)*w(302)
      w(254)=w(254) + 1.D0/4.D0*w(271)
      w(254)=w(254)*b0fqszh
      w(265)=w(185) + w(219)
      w(267)=1.D0/4.D0*w(265)
      w(268)=w(267) - w(271)
      w(268)=w(268)*w(302)
      w(269)=w(267)*w(316)
      w(268)=w(268) - w(269)
      w(269)=1.D0/2.D0*b0fmohmo
      w(268)=w(268)*w(269)
      w(254)=w(264) + w(254) + w(268)
      w(264)=1.D0/2.D0*b0fqscc
      w(268)=w(264) - b0fqsmomo
      w(268)=w(268)*w(138)
      w(269)=w(148)*b0fmozmo
      w(268)= - w(268) + w(269) + w(359) + w(147)
      w(269)=1.D0/2.D0*w(330) + w(268)
      w(269)=w(269)*w(53)
      w(273)=1.D0/2.D0*w(332)
      w(267)=w(267)*b0fmozmo
      w(274)=w(272)*b0fqsmomo
      w(277)=w(274) - b0fqscc
      w(277)= - w(273) - w(267) + 3.D0*w(277)
      w(278)=w(328)*c0momoqsmozmo
      w(278)=w(278) - c0momoqscwc
      w(279)=3.D0/2.D0*w(153)
      w(283)= - w(278)*w(279)
      w(284)=2.D0*b0fmowc
      w(269)=w(269) + w(283) + 1.D0/2.D0*w(277) + w(284)
      w(269)=w(269)*w(302)
      w(144)=1.D0 - w(144)
      w(144)=w(144)*w(142)
      w(135)=w(144) - w(148) - w(135)
      w(135)=w(135)*w(53)
      w(144)=w(140) - w(149)
      w(144)=w(144)*w(53)
      w(144)=w(144) - 12.D0*c0momoqswcw + 3.D0*w(147) - 5.D0*w(142)
      w(144)=w(144)*w(53)
      w(144)=7.D0*w(155) + w(144)
      w(144)=w(144)*w(302)
      w(135)=w(135) + w(144)
      w(135)=w(135)*w(104)
      w(144)= - 1.D0/2.D0*b0fqsmomo + w(264) + 1.D0
      w(144)=w(144)*w(148)
      w(264)=w(272)*c0momoqsmozmo
      w(144)=w(144) + w(264) - c0momoqscwc
      w(264)=w(265)*w(2)*b0fmozmo
      w(264)=1.D0/8.D0*w(264) + w(144)
      w(264)=w(264)*w(53)
      w(135)=w(135) + w(264) + w(269) + w(254)
      w(135)=w(12)*w(135)
      w(264)=w(369)*w(272)
      w(264)=1.D0 + w(264)
      w(264)=b0fqscc*w(264)
      w(265)= - 21.D0 + 41.D0/6.D0*w(150)
      w(265)=w(265)*w(272)
      w(265)=8.D0 + w(265)
      w(265)=a0fz*w(265)
      w(269)=4.D0*c0ccqswcw + c0ccqscwc
      w(269)=w(269)*w(153)
      w(283)=3.D0/2.D0*w(150)
      w(285)= - 7.D0/3.D0 - w(283)
      w(264)=w(269) + w(265) + 7.D0/3.D0*b0fqsww + 4.D0/3.D0*a0fw + 1.D0
     & /2.D0*w(285) + 7.D0*w(264)
      w(264)=w(264)*w(153)
      w(265)=12.D0 - w(338)
      w(265)=w(265)*w(150)
      w(265)= - 10.D0 + w(265)
      w(265)=w(265)*w(348)
      w(269)=2.D0*a0fw
      w(285)=2.D0*b0fqsww
      w(288)=w(269) + w(285)
      w(290)=w(219) - 4.D0
      w(291)=w(290)*w(150)
      w(292)=w(291)*w(166)
      w(293)= - c0ccqswcw*w(156)
      w(292)=w(293) + w(292) - w(288)
      w(292)=w(292)*w(305)
      w(293)=c0ccqsczc*w(311)*mw**6
      w(299)= - w(290)*w(293)
      w(292)=w(292) + w(299)
      w(292)=w(2)*w(292)
      w(264)=w(292) + w(265) + w(349) + w(264)
      w(264)=w(2)*w(264)
      w(265)=w(150) - 2.D0
      w(292)=w(265)*w(150)
      w(292)=w(292) + 1.D0
      w(299)=w(292)*w(156)
      w(300)=w(345)*w(153)
      w(304)=w(152) + w(300)
      w(308)= - w(304)*w(299)
      w(309)=13.D0/4.D0*w(150)
      w(310)=w(309) - 6.D0
      w(304)= - w(310)*w(304)
      w(304)=w(333) + w(304)
      w(304)=w(304)*w(53)
      w(304)=w(308) + w(304)
      w(304)=sdet3imomoqs*w(304)
      w(308)=w(150)*w(316)
      w(310)= - w(302)*w(335)
      w(308)=w(310) - 1.D0/8.D0*w(185) + w(308)
      w(308)=b0fmohmo*w(308)
      w(310)=w(185)*w(53)
      w(317)=w(310) - w(323)
      w(317)=w(317)*w(302)*w(12)
      w(319)=w(306)*w(271)
      w(320)=w(319)*sdet3imomoqs
      w(323)= - w(317) + w(325) - 1.D0/4.D0*w(320)
      w(323)=c0momoqsmohmo*w(323)
      w(314)=w(314)*b0fqszh
      w(325)=w(313) - 1.D0
      w(325)= - w(325)*w(167)
      w(314)= - w(325) + 1.D0/6.D0*w(314)
      w(146)=w(292)*w(146)
      w(146)=w(146) - w(364) - w(358)
      w(146)=w(146)*w(153)
      w(160)= - w(160) - w(126)
      w(160)=w(265)*w(160)
      w(328)=1.D0/6.D0*b0fqsww
      w(329)= - w(328) - 21.D0/2.D0*b0fqscc
      w(333)=w(272) - 1.D0
      w(329)=w(333)*w(329)
      w(335)=w(361) - 15.D0
      w(335)=w(335)*w(150)
      w(335)=w(335) + 8.D0
      w(341)=w(335)*w(153)
      w(258)= - Qs*w(258)
      w(258)=w(258) + w(341)
      w(258)=c0ccqsczc*w(258)
      w(341)=1.D0/2.D0*b0dwmocw
      w(343)=25.D0/8.D0*w(150)
      w(348)= - 7.D0 + w(343)
      w(348)=b0fmozmo*w(348)
      w(355)=c0ccqscwc*Qs
      w(358)=9.D0 - 43.D0/8.D0*w(150)
      w(358)=a0fz*w(358)
      w(110)=w(323) + w(110) + w(135) + w(145) + w(308) + w(304) -
     & w(341) + w(264) + w(258) + w(146) + w(358) + w(355) + w(348) + 3.
     & D0/2.D0*a0fw - 143.D0/72.D0*w(150) + 139.D0/36.D0 + w(329) +
     & w(160) + w(143) - w(251) - w(314)
      w(135)= - w(39) + w(90) - w(34)
      w(135)=w(135)*Ts
      w(63)=w(72) - w(63)
      w(72)=w(135) + w(63)
      w(34)=w(88) - w(34)
      w(55)=w(55) - w(89) - w(37) - w(34)
      w(55)=Us*w(55)
      w(42)=w(43) - w(42)
      w(43)=w(49) + w(42)
      w(43)=w(43)*w(53)
      w(70)= - w(70)*w(74)
      w(43)=w(43) + w(55) + w(70) - w(76) + w(72)
      w(43)=w(43)*w(53)
      w(43)= - w(45) + w(43)
      w(43)=z_ex*w(43)
      w(18)=w(43) - w(18)
      w(18)=w(18)*w(84)
      w(18)= - w(132) + w(18) - w(87)
      w(43)= - w(218) - w(214) - w(257)
      w(45)=w(231) - w(210)
      w(45)=sdet3cmous*w(45)
      w(55)= - 6.D0*w(188) + w(224)
      w(70)=d0ccmomoqsuszczmo*w(239)
      w(55)= - w(220) + 2.D0*w(55) + w(70)
      w(55)=Us*w(55)
      w(70)=w(234) + w(206)
      w(76)=w(266) - w(184)
      w(84)= - w(76) - w(70) - w(182)
      w(84)=w(84)*w(96)
      w(87)= - 2.D0*w(76) + w(211)
      w(87)=Ts*w(87)
      w(88)=sdet3cmots*w(230)
      w(43)=w(84) + w(87) + w(88) + w(260) + w(55) + 2.D0*w(43) + w(45)
      w(43)=w(43)*w(53)
      w(43)=w(43) - w(172)
      w(43)=w(43)*w(80)
      w(45)= - w(275) - w(186)
      w(45)=sdet3cmous*w(45)
      w(55)= - w(340) - w(228) + w(205)
      w(55)=Us*w(55)
      w(84)=w(181) + w(281) - w(92)
      w(84)=w(84)*w(53)
      w(87)=d0ccmomoqsuszczmo*w(216)
      w(88)=Ts*w(340)
      w(45)=w(84) + w(88) + w(55) + w(45) + w(87) - w(195) + w(204)
      w(45)=w(45)*w(53)
      w(45)=w(45) + w(120)
      w(45)=qmo*w(45)
      w(43)=w(45) + w(43)
      w(43)=w(43)*w(59)
      w(45)=w(152)*w(302)
      w(45)= - 8.D0*w(45) - w(133)
      w(45)=w(45)*w(104)
      w(55)=w(138)*c0momoqscwc
      w(84)=3.D0*w(55) + w(139)
      w(84)=w(84)*w(114)
      w(87)=11.D0/4.D0*c0momoqswcw
      w(88)=w(148)*b0fqsww
      w(84)=w(84) + w(87) - w(88) + w(297)
      w(84)=w(84)*w(53)
      w(89)=24.D0 - w(337)
      w(89)=b0fmozmo*w(89)
      w(92)=w(339) - 24.D0
      w(120)= - w(92)*w(150)
      w(120)= - 8.D0 + w(120)
      w(120)=c0momoqsmozmo*w(120)
      w(120)= - 13.D0/2.D0*c0momoqswcw + w(342) + w(120)
      w(120)=w(120)*w(153)
      w(132)=13.D0/4.D0*b0fqsww
      w(92)=b0fqsmomo*w(92)
      w(84)=w(84) + w(120) - w(132) + 31.D0/4.D0*b0fmowc + w(89) +
     & w(92) - w(334)
      w(84)=w(84)*w(53)
      w(89)=w(285) - w(284)
      w(92)=b0fqsmomo*w(291)
      w(120)= - w(290)*w(263)
      w(133)=w(290)*c0momoqsmozmo
      w(135)= - w(311)*w(133)
      w(143)=2.D0*c0momoqswcw
      w(135)=w(135) - w(143)
      w(135)=w(135)*w(153)
      w(92)=w(135) + w(92) + w(120) - w(89)
      w(120)=w(305)*w(2)
      w(92)=w(92)*w(120)
      w(87)=w(87) - w(346)
      w(87)=w(87)*w(153)
      w(87)=w(87) + w(132) - 9.D0/4.D0*b0fmowc - w(344)
      w(87)=w(87)*w(153)
      w(84)=w(84) + w(87) + w(92)
      w(84)=sdet3imomoqs*w(84)
      w(87)= - b0fqsmomo + w(167)
      w(92)=w(283) - 2.D0
      w(87)=w(92)*w(87)
      w(132)=2.D0*b0fqscc
      w(135)=w(292)*w(132)
      w(145)= - 4.D0 + 23.D0/12.D0*w(150)
      w(145)=w(145)*w(150)
      w(145)=2.D0 + w(145)
      w(145)=a0fz*w(145)
      w(146)=w(290)*w(345)
      w(146)=w(146) + 5.D0/4.D0*c0momoqswcw
      w(146)=w(146)*w(153)
      w(87)=w(146) + w(145) - 11.D0/12.D0*b0fqsww + 3.D0/4.D0*b0fmowc
     &  - 1.D0/6.D0*a0fw + w(135) + 1.D0/3.D0 - w(283) + w(87)
      w(87)=w(87)*w(153)
      w(135)=w(347)*w(250)
      w(145)= - w(292)*w(135)
      w(87)=w(145) + w(349) + w(87)
      w(87)=w(2)*w(87)
      w(145)=1.D0/2.D0*b0fqsww
      w(146)=w(145) + 1.D0
      w(160)=1.D0/2.D0*b0fmowc
      w(172)= - w(160) + 1.D0/2.D0*w(315) + w(146)
      w(172)=1.D0/2.D0*w(172) - w(154)
      w(172)=w(2)*w(172)
      w(181)=c0momoqswcw*w(354)
      w(181)=w(181) - w(357)
      w(181)=w(181)*w(53)
      w(182)=1.D0/4.D0*w(142)
      w(172)=w(181) + w(172) + w(182) - w(351)
      w(172)=w(172)*w(53)
      w(181)=c0momoqsmozmo*w(335)
      w(181)=w(181) - w(360)
      w(181)=w(181)*w(153)
      w(186)=w(272)*w(167)
      w(195)=3.D0 - w(350)
      w(195)=w(195)*w(126)
      w(204)=5.D0/2.D0 - w(150)
      w(204)=w(204)*w(115)
      w(205)= - w(333)*w(328)
      w(206)= - Qs*w(265)
      w(206)=w(206) + w(299)
      w(210)=2.D0*c0ccqsczc
      w(206)=w(206)*w(210)
      w(216)= - w(262) + c0momoqscwc
      w(216)=Qs*w(216)
      w(218)= - 9.D0 + w(373)
      w(218)=b0fmozmo*w(218)
      w(220)=6.D0 - w(343)
      w(220)=a0fz*w(220)
      w(224)=w(153)*w(2)
      w(228)=w(224) + 1.D0
      w(231)= - b0dwmocw*w(228)
      w(43)=w(43) + w(45) + w(84) + w(172) + w(231) + w(87) + w(206) +
     & w(181) + w(220) + w(205) + w(218) + 1.D0/4.D0*a0fw + w(204) +
     & w(195) - 85.D0/36.D0*w(150) + 83.D0/18.D0 + w(186) + w(216) -
     & w(251) - w(287)
      w(27)=w(27) + 3.D0*w(41) - w(34) + w(86)
      w(27)=Ts*w(27)
      w(34)=w(48) - w(30)
      w(34)=w(34)*sdet3cmous
      w(34)=w(34) + w(90) + w(37)
      w(34)=w(34)*Us
      w(45)=w(57) - w(41)
      w(45)=w(36) + 2.D0*w(45)
      w(45)=w(45)*w(116)
      w(34)=w(45) + w(34)
      w(45)=w(331)*w(2)
      w(39)=w(41) - w(39)
      w(39)=w(61) + 2.D0*w(39) - w(45)
      w(39)=sdet3cmots*w(39)
      w(41)=w(46) - w(31)
      w(41)=w(47) + 2.D0*w(41)
      w(41)=w(41)*sdet3cmous
      w(46)= - sdet3cmots*w(31)
      w(42)=w(46) - w(41) - w(42)
      w(42)=w(42)*w(53)
      w(46)=w(15)*javqsuselmoz
      w(47)=w(46) + 2.D0*w(54)
      w(47)=w(47)*sdet3cmous
      w(48)=w(91)*w(71)
      w(47)=w(47) + w(48)
      w(48)=w(2)*w(47)
      w(27)=w(42) + w(27) + w(39) + w(48) - w(63) + w(34)
      w(27)=w(27)*w(53)
      w(27)=w(79) + w(27)
      w(27)=w(27)*w(82)
      w(39)=w(121) + w(47)
      w(39)=w(2)*w(39)
      w(23)=w(23) - w(44)
      w(23)=2.D0*w(23) - w(41)
      w(23)=w(23)*w(53)
      w(23)=w(23) + w(39) - w(72) + w(34)
      w(23)=w(23)*w(24)
      w(23)=w(23) + w(27)
      w(23)=w(1)*w(23)
      w(24)=w(99)*w(65)*w(26)*w(94)
      w(24)=w(24) + w(107)
      w(24)=sdet3cmots*w(24)
      w(26)=w(29)*Us
      w(26)=w(26) - w(97)
      w(27)=w(66) - w(20)
      w(27)=w(27)*sdet3icmots
      w(34)=CFScheme*w(27)
      w(34)=w(26) + w(34)
      w(28)=w(99)*w(28)
      w(28)= - w(28) + 4.D0*w(14)
      w(28)=w(28)*w(94)
      w(28)=w(28) - w(101)
      w(34)=w(28) - 4.D0*w(34)
      w(34)=Ts*w(34)
      w(39)=w(67) - w(20)
      w(39)=w(39)*CFScheme
      w(41)=4.D0*sdet3icmous
      w(41)=w(41)*w(39)
      w(28)=w(41) - w(28)
      w(28)=Us*w(28)
      w(29)=w(233)*w(29)
      w(29)=w(29) + w(26)
      w(29)=w(29)*w(93)
      w(17)=Qs*w(17)*w(94)
      w(17)=w(29) + w(34) + w(24) + w(28) + w(17) + w(68) - w(100)
      w(17)=w(17)*w(53)
      w(24)=w(62)*w(94)
      w(28)=jaaqstselmo*CFScheme*w(14)
      w(28)=w(28) - w(107)
      w(28)=sdet3cmots*w(28)
      w(29)=w(62)*c0elelqscelc
      w(34)=CFScheme*w(29)
      w(28)=w(105) + w(28) + w(24) + w(34) - w(113)
      w(28)=Ts*w(28)
      w(34)=sdet3cmous*jaaqsuselmo
      w(41)=w(2)*CFScheme
      w(42)= - w(65)*w(41)*w(34)
      w(34)= - w(14)*w(34)
      w(29)= - w(29) + w(34)
      w(29)=CFScheme*w(29)
      w(29)= - w(24) + w(29)
      w(29)=Us*w(29)
      w(34)= - CFScheme*w(112)
      w(44)=jaaqstselmo*IFI*w(41)
      w(34)=w(34) + w(44)
      w(34)=w(34)*w(233)
      w(17)=w(17) + w(28) + w(34) + w(42) + w(29)
      w(17)=w(17)*w(104)
      w(28)=w(80) - 1.D0
      w(29)=w(28)*w(41)
      w(34)=ISR*w(117)*w(29)
      w(17)=w(17) + w(34)
      w(17)=w(1)*w(17)
      w(34)=sdet3cmous*c0irmoelus
      w(42)= - c0irmoelts*sdet3cmots
      w(34)=w(42) + w(34)
      w(41)=w(41)*prop1zqs
      w(34)=w(41)*w(104)*w(65)*w(34)
      w(42)=w(41)*lnlaelm
      w(44)=CFScheme*prop1zqs
      w(47)=w(44)*c0irelelqs
      w(42)=w(42) - w(47)
      w(42)= - w(42)*w(28)*ISR
      w(34)=w(34) + w(42)
      w(17)=2.D0*w(34) + w(17)
      w(17)=gamma_ex*w(17)
      w(29)=w(1)*w(127)*w(29)
      w(34)=w(41)*w(96)
      w(34)=w(34) + w(44)
      w(34)=w(34)*c0irmomoqs
      w(41)=w(41)*lnlamom
      w(34)=w(34) - w(41)
      w(28)=w(34)*w(28)
      w(28)=2.D0*w(28) + w(29)
      w(28)=gamma_ex*w(28)
      w(28)=w(28) + w(81)
      w(28)=FSR*w(28)
      w(17)=w(28) + w(17) + w(119) + w(23)
      w(23)= - w(193) + 2.D0*w(199)
      w(28)=w(23)*sdet3cmous
      w(29)=w(183)*c0cmousczmo
      w(34)=w(29)*w(180)
      w(41)=1.D0/2.D0*w(211)
      w(42)=w(259)*c0cmousczmo
      w(28)= - w(174) - w(34) + w(28) + w(41) + w(42)
      w(28)=w(28)*Us
      w(34)=w(248) + 4.D0*w(247)
      w(34)=w(34)*sdet3cmous
      w(44)=w(71)*w(250)
      w(28)= - w(28) + w(34) + w(246) + w(44) - w(257)
      w(34)= - w(194)*w(196)
      w(34)=w(42) + w(174) + w(34) + w(245) - w(223)
      w(34)=w(34)*w(53)
      w(47)=sdet3cmots*w(232)
      w(47)=w(47) - w(230) - w(280)
      w(47)=sdet3cmots*w(47)
      w(48)=w(240) + w(184)
      w(54)=w(215) + w(238)
      w(54)=c0cmotsczmo*w(54)
      w(54)=w(54) + w(255) - w(48)
      w(61)=w(170) - w(171)
      w(61)=w(61)*w(233)
      w(54)=w(61) + 2.D0*w(54) - w(41)
      w(54)=Ts*w(54)
      w(61)= - w(250) + 3.D0/2.D0*w(192)
      w(61)=d0ccmomoqstszczmo*w(61)
      w(62)=d0ccmomoqsuszczmo*w(372)
      w(34)=w(34) + w(54) + w(47) + w(62) + w(221) + w(61) + w(214) -
     & w(28)
      w(34)=w(34)*w(53)
      w(47)= - sdet3cmots*w(209)
      w(47)=w(47) + w(280) - w(248)
      w(47)=sdet3cmots*w(47)
      w(54)=Ts*w(164)
      w(47)=w(54) + w(47) + w(253)
      w(47)=Ts*w(47)
      w(54)=sdet3cmots*w(163)
      w(13)= - w(13)*w(250)
      w(13)=w(13) - w(256)
      w(13)=d0ccmomoqstszczmo*w(13)
      w(61)=w(242)*w(116)
      w(13)=w(34) + w(47) + w(54) + w(61) - 2.D0*w(157) + w(13)
      w(13)=w(13)*w(80)
      w(34)=w(247) - w(223) + w(70)
      w(34)=w(34)*w(53)
      w(41)= - w(41) + w(76)
      w(41)=Ts*w(41)
      w(47)=d0ccmomoqsuszczmo*w(374)
      w(54)= - sdet3cmots*w(243)
      w(28)=w(34) + w(41) + w(54) + w(47) - w(226) + w(227) - w(28)
      w(28)=qmo*w(28)*w(53)
      w(13)=w(28) + w(13)
      w(13)=w(13)*w(80)
      w(28)= - d0ccmomoqsuszczmo*w(175)
      w(34)=w(150)*w(71)
      w(28)=w(241) - w(28) + w(34) - w(177) - w(208)
      w(41)=w(199) - w(83)
      w(41)=w(41)*w(252)
      w(47)=1.D0/8.D0*w(211)
      w(54)=w(183)*w(71)
      w(41)=w(41) + w(47) - 1.D0/2.D0*w(54) + w(282) + w(188)
      w(41)=Us*w(41)
      w(54)=1.D0/4.D0*w(193) + w(200) - 1.D0/2.D0*w(199)
      w(54)=sdet3cmous*w(54)
      w(54)=w(54) + w(187) - w(282) - w(222)
      w(54)=w(54)*w(53)
      w(61)=w(276) - w(247)
      w(61)=sdet3cmous*w(61)
      w(47)= - Ts*w(47)
      w(28)=w(54) + w(47) + w(41) + w(61) - 1.D0/2.D0*w(28)
      w(28)=w(28)*w(53)
      w(13)=w(28) + w(13)
      w(13)=w(1)*w(13)
      w(28)=w(129)*w(138)
      w(41)= - w(10)*w(185)
      w(47)=w(9) + w(11)
      w(28)= - w(147) + w(41) + w(28) + w(47)
      w(41)= - w(10)*w(141)
      w(41)= - b0fmowc + w(41) + w(129)
      w(47)=1.D0/2.D0*w(47) - c0momoqsmozmo
      w(47)=w(47)*w(153)
      w(41)=1.D0/2.D0*w(41) + w(47)
      w(41)=w(2)*w(41)
      w(28)=w(41) + 1.D0/2.D0*w(28) - c0momoqsmozmo
      w(41)=w(10) + w(352)
      w(41)=w(2)*w(41)
      w(41)=w(41) + w(356)
      w(41)=w(41)*w(53)
      w(28)=1.D0/2.D0*w(28) + w(41)
      w(28)=w(28)*w(53)
      w(41)=w(141)*w(2)
      w(47)= - w(185) - 3.D0/2.D0*w(41)
      w(54)=1.D0/4.D0*w(141) - w(310)
      w(54)=sdet3imomoqs*w(54)
      w(47)=1.D0/2.D0*w(47) + w(54)
      w(47)=b0fmohmo*w(47)
      w(47)=w(167) - w(47)
      w(54)= - w(370) + 5.D0/4.D0*b0fmozmo - 3.D0/4.D0*b0fqsmomo -
     & w(167)
      w(61)=w(9) + 1.D0/2.D0*w(11)
      w(62)=3.D0/8.D0*c0momoqsmozmo - w(61)
      w(62)=w(62)*w(153)
      w(54)=1.D0/2.D0*w(54) + w(62)
      w(54)=w(54)*w(153)
      w(62)=w(141)*b0fqsmomo
      w(54)=1.D0/8.D0*w(62) + w(54)
      w(54)=w(54)*w(318)
      w(63)=w(153)*c0momoqsmozmo
      w(65)=w(63) + b0fmozmo
      w(65)= - w(126) + w(332) + 3.D0*w(65)
      w(65)=w(65)*w(53)
      w(66)= - w(63) - w(152)
      w(67)=3.D0*w(153)
      w(66)=w(66)*w(67)
      w(66)= - w(62) + w(66)
      w(65)=1.D0/4.D0*w(66) + w(65)
      w(66)=1.D0/4.D0*sdet3imomoqs
      w(65)=w(65)*w(66)
      w(68)= - Za1Bos - w(341)
      w(68)=w(228)*w(68)
      w(61)=w(61)*w(153)
      w(70)=a0fz - b0fmozmo
      w(28)=w(65) + w(28) + w(54) - 1.D0/2.D0*w(61) + w(68) - w(365) -
     & 1.D0/4.D0*w(47) - 1.D0/8.D0*w(70)
      w(28)=w(366)*w(28)
      w(47)=5.D0*w(150)
      w(54)=w(47) - 7.D0
      w(54)=w(54)*w(11)
      w(61)= - w(150)*w(54)
      w(65)= - 61.D0 + 51.D0*w(150)
      w(65)=c0momoqsmozmo*w(65)*w(313)
      w(61)=w(61) + w(65)
      w(61)=w(61)*w(153)
      w(65)= - 5.D0 + w(250)
      w(65)=w(65)*w(150)
      w(65)=3.D0 + w(65)
      w(65)=b0fqscc*w(65)
      w(68)= - 41.D0/2.D0 + 23.D0/3.D0*w(150)
      w(68)=w(68)*w(313)
      w(68)=3.D0 + w(68)
      w(68)=a0fz*w(68)
      w(70)=25.D0/3.D0 - w(219)
      w(71)=3.D0 - 35.D0/16.D0*w(150)
      w(71)=b0fqsmomo*w(71)
      w(72)= - 4.D0 + 37.D0/16.D0*w(150)
      w(72)=b0fmozmo*w(72)
      w(61)=1.D0/4.D0*w(61) + w(68) + 17.D0/3.D0*b0fqsww + w(72) + 8.D0/
     & 3.D0*a0fw + w(65) + 1.D0/2.D0*w(70) + w(71) + w(325)
      w(61)=w(61)*w(153)
      w(65)= - w(369)*w(150)
      w(65)= - 2.D0 + w(65)
      w(65)=w(65)*w(135)
      w(68)=w(150) - 1.D0
      w(70)=w(68)*w(150)*w(166)
      w(70)= - 2.D0 + w(70) - w(288)
      w(70)=w(70)*w(305)
      w(71)= - w(68)*w(293)
      w(70)=w(70) + w(71)
      w(70)=w(70)*w(74)
      w(61)=w(70) + w(65) + w(349) + w(61)
      w(61)=w(2)*w(61)
      w(65)=3.D0*w(154)
      w(70)=w(65) + w(160) + w(267) + w(146)
      w(70)=w(70)*w(318)
      w(71)=w(316)*c0momoqswcw
      w(70)=1.D0/4.D0*w(71) + w(70) + w(182) + w(144)
      w(70)=w(70)*w(53)
      w(72)=w(55) + w(139)
      w(72)=w(72)*w(114)
      w(72)=w(72) + 3.D0/4.D0*c0momoqswcw - w(88) + w(268)
      w(72)=w(72)*w(53)
      w(79)= - 5.D0/2.D0*b0fqsww + 11.D0/2.D0*b0fmowc + w(277)
      w(81)= - 1.D0/2.D0*w(278) - c0momoqswcw
      w(67)=w(81)*w(67)
      w(67)=w(72) + 1.D0/2.D0*w(79) + w(67)
      w(67)=w(67)*w(53)
      w(72)=7.D0/4.D0*w(155)
      w(79)=w(153)*w(72)
      w(67)=w(79) + w(67)
      w(67)=sdet3imomoqs*w(67)
      w(72)= - w(224)*w(72)
      w(67)=w(67) + w(72) + w(70) + w(254)
      w(67)=w(12)*w(67)
      w(70)=w(250) - 45.D0/16.D0
      w(72)= - w(70)*w(150)
      w(72)= - 3.D0/16.D0 + w(72)
      w(72)=w(72)*w(300)
      w(79)=w(150)*b0fqsmomo
      w(79)=w(79) - w(263)
      w(70)=w(70)*w(79)
      w(70)=w(72) + w(70)
      w(70)=w(70)*w(153)
      w(72)= - c0momoqsmozmo*w(312)
      w(72)=w(72) + w(79)
      w(79)=w(74)*w(305)
      w(72)=w(79)*w(68)*w(72)
      w(81)=11.D0 - w(336)
      w(63)=w(81)*w(313)*w(63)
      w(81)=w(309) - 2.D0
      w(81)= - w(81)*w(152)
      w(63)=w(63) + w(81)
      w(63)=w(63)*w(53)
      w(63)=w(63) + w(70) + w(72)
      w(63)=sdet3imomoqs*w(63)
      w(70)=w(350) - 4.D0
      w(70)=w(70)*w(11)
      w(72)=w(353) - 4.D0
      w(81)= - c0momoqsmozmo*w(72)
      w(81)= - w(70) + w(81)
      w(81)=w(81)*w(153)
      w(81)= - w(263) + w(81)
      w(81)=w(2)*w(81)
      w(82)=4.D0 - w(338)
      w(82)=c0momoqsmozmo*w(82)
      w(70)= - w(161) + w(81) - w(70) + w(82)
      w(70)=w(53)*w(70)
      w(81)=w(138) + w(2)
      w(81)=w(81)*w(324)
      w(82)=1.D0/4.D0*w(306) - w(319)
      w(66)=w(82)*w(66)
      w(82)=w(306)*w(2)
      w(66)=w(66) - 1.D0/16.D0*w(82) + w(81)
      w(66)=w(66)*w(366)
      w(66)=w(66) - w(317)
      w(66)=c0momoqsmohmo*w(66)
      w(54)= - w(313)*w(54)
      w(81)=w(250) - 3.D0
      w(81)=w(81)*w(150)
      w(81)=w(81) + 1.D0
      w(83)=c0momoqsmozmo*w(81)
      w(54)=w(54) + 2.D0*w(83)
      w(54)=w(54)*w(153)
      w(83)= - w(185) - w(41)
      w(83)=w(83)*w(366)
      w(83)= - w(307) + 1.D0/2.D0*w(83)
      w(83)=w(83)*w(326)
      w(84)= - w(7)*w(153)
      w(84)=w(224) + w(84)
      w(84)=w(104)*w(158)*w(84)
      w(86)=b0fmohmo*w(316)
      w(86)=w(86) - 1.D0/12.D0*b0fqsww - 29.D0/18.D0
      w(86)=w(150)*w(86)
      w(87)= - w(126) - w(201)
      w(87)=w(68)*w(87)
      w(81)=w(81)*w(153)
      w(68)= - Qs*w(68)
      w(68)=w(68) + w(81)
      w(68)=w(68)*w(210)
      w(81)= - 4.D0 + w(343)
      w(81)=b0fmozmo*w(81)
      w(90)=3.D0 - w(343)
      w(90)=a0fz*w(90)
      w(13)=w(66) + w(13) + w(67) + 4.D0*w(84) + w(83) + w(63) + w(61)
     &  + w(68) + w(54) + w(90) + w(81) - 2.D0*PiZgFer + 3.D0/2.D0 +
     & w(87) + w(86) + w(322) + w(28) + w(70) - w(314)
      w(28)=w(45) + w(58)
      w(25)=w(25)*w(2)
      w(45)=w(25) + 2.D0*w(30)
      w(45)=w(45)*sdet3cmots
      w(45)=w(45) - w(28)
      w(45)=w(45)*sdet3cmots
      w(22)=w(52) + w(22)
      w(14)=w(16) - w(14)
      w(14)=w(14)*c0cmotsczmo
      w(14)=w(14) - w(22)
      w(14)=w(14)*w(98)
      w(16)=w(78) + w(60)
      w(35)=w(35)*Us
      w(52)=w(2)*w(36)*sdet3cmous**2
      w(14)=w(45) + w(14) - w(35) + w(52) - w(16)
      w(19)=w(64) - w(19)
      w(19)=Qs*w(19)
      w(35)=w(77)*Ts
      w(45)=w(19) + 4.D0*w(35)
      w(45)=w(45)*det3imomoqs
      w(52)=w(125)*w(31)
      w(54)=det3imomoqs*w(93)*w(77)
      w(45)=w(45) + w(52) - w(54)
      w(45)=w(45)*w(53)
      w(52)=w(19)*det3imomoqs
      w(58)=w(52)*Ts
      w(14)= - w(45) + w(58) + 2.D0*w(14)
      w(45)=z_ex + 4.D0*w(69)
      w(14)=w(59)*w(14)*w(45)
      w(45)=w(118)*w(69)*w(130)
      w(58)=w(131)*z_ex
      w(45)=w(45) + 1.D0/2.D0*w(58)
      w(45)=w(45)*w(80)
      w(58)=FSR*w(45)
      w(14)=w(14) + w(58)
      w(58)=w(92)*w(345)
      w(60)=5.D0*c0momoqscwc
      w(58)=w(60) + w(58)
      w(58)=w(58)*w(153)
      w(61)=w(138)*b0fqscc
      w(61)= - w(61) + 4.D0*c0momoqscwc
      w(63)=w(330) + w(61)
      w(63)=w(63)*w(53)
      w(64)=w(92)*b0fmozmo
      w(66)= - b0fqsmomo*w(92)
      w(58)=w(63) + w(58) + 4.D0*b0fmowc + w(64) - 3.D0/2.D0*w(332) +
     & w(66) - w(115)
      w(58)=w(58)*w(53)
      w(63)=w(219) - 10.D0
      w(63)=w(63)*w(150)
      w(63)=w(63) + 12.D0
      w(66)= - w(63)*w(126)
      w(67)=3.D0*w(63)
      w(68)=b0fmozmo*w(67)
      w(63)=w(63)*w(219)
      w(63)= - 16.D0 + w(63)
      w(63)=c0momoqsmozmo*w(63)
      w(63)=w(359) + w(63)
      w(63)=w(63)*w(153)
      w(63)=w(63) + w(284) + w(68) + w(66) - w(132)
      w(63)=w(63)*w(153)
      w(58)=w(63) + w(58)
      w(63)=3.D0*sdet3imomoqs
      w(58)=w(58)*w(63)
      w(66)=w(269) + w(284)
      w(68)=a0fz + b0fmozmo
      w(67)= - w(67)*w(68)
      w(67)=w(67) - w(66)
      w(67)=w(67)*w(165)
      w(69)=w(128) - b0fqsmomo
      w(70)= - b0fqscc + 3.D0*w(69)
      w(70)=w(70)*w(148)
      w(78)=8.D0*c0momoqscwc
      w(70)=w(70) + w(78)
      w(81)= - c0momoqsmozmo*w(92)
      w(81)= - w(330) + w(81) - w(70)
      w(81)=w(81)*w(53)
      w(83)=w(320) - w(310)
      w(84)=2.D0*w(104)
      w(86)=3.D0/2.D0 - w(84)
      w(83)=c0momoqsmohmo*w(83)*w(86)
      w(86)=w(283) - 5.D0
      w(87)= - w(86)*w(123)
      w(90)=6.D0*w(150)
      w(91)=17.D0 - w(90)
      w(91)=w(91)*w(150)
      w(91)= - 18.D0 + w(91)
      w(91)=c0momoqsmozmo*w(91)
      w(91)= - w(359) + w(91)
      w(91)=w(91)*w(159)
      w(94)=3.D0/4.D0*w(185)
      w(97)=a0fh*w(94)
      w(99)=w(290)*b0fqszh
      w(99)= - w(99) + a0fw + 5.D0*b0fqscc
      w(100)=5.D0*b0fmowc
      w(101)=9.D0/2.D0*w(150)
      w(105)= - 23.D0 + 21.D0/2.D0*w(150)
      w(105)=b0fqsmomo*w(105)
      w(107)=51.D0/4.D0*w(150)
      w(112)=35.D0 - w(107)
      w(112)=b0fmozmo*w(112)
      w(113)= - 1.D0 + w(321)
      w(113)=a0fz*w(113)
      w(58)=3.D0*w(83) + w(97) + w(58) + w(81) + w(67) + w(91) + w(113)
     &  - w(100) + w(112) + w(87) + w(105) - 14.D0 + w(101) + w(99)
      w(58)=sdet3imomoqs*w(58)
      w(67)=w(143) - w(147)
      w(81)=5.D0*w(139) + w(149)
      w(81)=w(81)*w(53)
      w(81)=w(81) - 3.D0*w(142) - w(67)
      w(81)=w(81)*w(53)
      w(65)=w(81) - w(65) + w(332) - w(151)
      w(65)=w(65)*w(53)
      w(81)= - 4.D0*w(152) + w(155)
      w(81)=w(81)*w(156)
      w(65)=w(81) + w(65)
      w(65)=sdet3imomoqs*w(65)
      w(65)=w(65) - b0fqsww
      w(81)=w(134)*w(53)
      w(83)= - w(136) - 4.D0*w(139)
      w(83)=5.D0*w(83) + 7.D0*w(81)
      w(83)=w(83)*w(53)
      w(87)=2.D0*a0fmo - 1.D0 - w(327)
      w(87)=w(87)*w(138)
      w(83)=w(83) + 17.D0*c0momoqswcw + 12.D0*w(142) + w(87) - 5.D0*
     & w(147)
      w(83)=w(83)*w(53)
      w(87)= - 6.D0*w(302) - 1.D0
      w(87)=w(185)*w(87)
      w(87)=4.D0*w(271) + w(87)
      w(87)=b0fmohmo*w(87)
      w(91)=8.D0*c0momoqsmozmo - c0momoqswcw
      w(91)=w(91)*w(159)
      w(97)=4.D0*a0fz + b0fmowc + a0fw + w(261)
      w(97)=w(97)*w(224)
      w(105)= - a0fh*w(185)
      w(112)= - 9.D0*a0fmo + 10.D0 + w(168)
      w(65)=w(105) + w(87) + w(83) + 8.D0*w(97) + w(91) - 36.D0*
     & b0fmozmo + 2.D0*w(112) + w(100) - a0fw + 6.D0*w(65)
      w(65)=sdet3imomoqs*w(65)
      w(83)=w(140) + w(137)
      w(87)= - w(81) + w(83)
      w(87)=w(87)*w(53)
      w(67)=w(67) + 2.D0*w(142)
      w(69)=w(69) + 2.D0*b0fmozmo
      w(69)=w(69)*sdet3imomoqs
      w(91)=w(2)*b0d1momoz
      w(97)= - w(91) + w(69)
      w(97)=w(97)*w(104)
      w(74)= - b0dwmocw*w(74)
      w(65)=8.D0*w(97) + w(87) + w(74) + 18.D0*w(91) + w(65) - w(67)
      w(65)=w(65)*w(104)
      w(74)=w(198) - w(200)
      w(87)= - w(74)*w(125)
      w(50)=w(87) - w(50) - w(184) - w(213) - 4.D0*w(173) - w(207) + 7.D
     & 0*w(255)
      w(50)=Ts*w(50)
      w(87)=b0fmozmo*w(215)
      w(87)= - w(246) + w(87)
      w(87)=Qs*w(87)
      w(97)=w(217)*c0momoqszmoz
      w(87)= - w(97) + w(87)
      w(100)=w(87)*det3imomoqs
      w(105)=w(200)*sdet3cmots
      w(105)=w(184) + w(105) + w(190)
      w(112)= - w(100) + 4.D0*w(105)
      w(112)=w(112)*w(53)
      w(113)=w(100)*Ts
      w(112)=w(112) + w(113)
      w(113)=w(270) - w(225)
      w(113)=w(113)*Us
      w(115)=w(255) - w(207)
      w(117)=w(115)*Qs
      w(117)=w(117) - w(227)
      w(118)= - w(212) + 5.D0*w(183)
      w(119)=w(118)*d0ccmomoqstszczmo
      w(121)=w(119) + w(243)
      w(125)=w(121)*w(233)
      w(50)=w(50) + w(125) + w(191) + 2.D0*w(117) + 3.D0*w(226) -
     & w(112) - w(113) + w(242)
      w(50)=qmo*w(50)
      w(125)=w(74)*w(233)
      w(127)= - w(207) - 2.D0*w(173) + 3.D0*w(255)
      w(125)= - w(184) - w(125) + w(127) + w(244) - w(236)
      w(125)=w(125)*Ts
      w(128)=w(242) + w(117) + w(226)
      w(121)=w(121)*sdet3cmots
      w(113)=w(125) + w(128) - w(113) + w(121) + w(221)
      w(112)= - w(112) + 2.D0*w(113)
      w(113)=3.D0 + 4.D0*w(32)
      w(112)=w(80)*w(112)*w(113)
      w(50)=w(50) + w(112)
      w(50)=w(50)*w(80)
      w(112)=w(200) + w(194)
      w(112)=1.D0/2.D0*w(112) - w(171)
      w(112)=sdet3cmots*w(112)
      w(113)= - 3.D0*w(176) + w(238)
      w(113)=c0cmotsczmo*w(113)
      w(125)=b0fqszz - b0fmozmo
      w(125)=w(212)*w(125)
      w(97)=1.D0/2.D0*w(97) + w(125)
      w(125)=det3imomoqs*w(97)
      w(112)=1.D0/4.D0*w(125) + w(112) + 1.D0/2.D0*w(113) - w(178) -
     & w(281)
      w(112)=Ts*w(112)
      w(113)=Ts*w(289)
      w(125)=w(295)*w(153)
      w(129)=b0fqsww*sdet4imotsus
      w(129)=w(129) - w(203)
      w(125)=w(125) + w(129)
      w(131)=w(125)*w(6)
      w(135)=w(131) - w(295)
      w(137)=2.D0*w(135)
      w(138)=w(6)**2
      w(140)=w(138)*w(137)
      w(144)=w(6)**3
      w(146)= - c0momoqswcw*w(144)*w(53)*w(162)
      w(140)=w(146) + w(140) + w(303)
      w(140)=w(140)*w(53)
      w(135)=w(6)*w(135)
      w(135)= - w(229) + w(135)
      w(113)=w(140) + 2.D0*w(135) + w(113)
      w(113)=w(113)*w(53)
      w(135)= - Ts*w(197)
      w(113)=w(113) + w(137) + w(135)
      w(113)=w(113)*w(53)
      w(135)= - sdet3icmots*w(235)
      w(135)= - w(237) + w(135)
      w(137)=sdet3icmots*w(301)
      w(137)=w(298) + w(137)
      w(137)=w(137)*w(153)
      w(135)= - w(286) + 2.D0*w(135) + w(137)
      w(135)=Ts*w(135)
      w(137)=w(294)*w(153)
      w(113)=w(113) + w(135) + 2.D0*w(129) + w(137)
      w(129)= - w(6)*c0momoqswcw
      w(125)=w(129) - w(125)
      w(125)=w(125)*w(144)
      w(129)=w(295) + w(131)
      w(129)=w(129)*w(144)
      w(131)= - w(6)**4*w(53)*w(295)
      w(129)=w(129) + w(131)
      w(129)=w(129)*w(53)
      w(125)=w(125) + w(129)
      w(125)=w(125)*w(53)
      w(129)=w(155)*w(6)
      w(131)=w(129) - c0momoqswcw
      w(135)=w(131)*w(144)
      w(125)=w(135) + w(125)
      w(125)=w(125)*w(93)
      w(131)=4.D0*w(131)
      w(135)=w(138)*w(131)
      w(125)=w(125) + w(134) + w(135)
      w(125)=w(125)*w(53)
      w(131)=w(6)*w(131)
      w(83)=w(125) + w(131) - w(83)
      w(83)=w(83)*w(53)
      w(81)= - w(81) + w(136) + 2.D0*w(139)
      w(81)=w(81)*w(53)
      w(81)=w(81) - w(142) - c0momoqswcw
      w(81)=w(81)*w(302)
      w(67)=3.D0*w(81) + w(83) + 4.D0*w(129) + w(67)
      w(67)=sdet3imomoqs*w(67)
      w(67)=2.D0*w(113) + w(67)
      w(67)=w(67)*w(104)
      w(81)=1.D0/2.D0*w(117)
      w(83)=w(207) + 1.D0/2.D0*w(119)
      w(83)=sdet3cmots*w(83)
      w(83)=w(83) + w(363) + w(81) + w(226)
      w(104)=1.D0/2.D0*det3imomoqs
      w(97)=w(97)*w(104)
      w(104)= - w(97) - w(105)
      w(104)=w(104)*w(114)
      w(50)=w(50) + w(67) + w(104) + 1.D0/2.D0*w(83) + w(112)
      w(50)=w(1)*w(50)
      w(67)=w(150)*w(92)*w(153)
      w(83)=w(290)*w(96)
      w(104)=w(92)*w(141)
      w(83)= - w(83) + w(67) + w(104)
      w(83)=w(83)*sdet3imomoqs
      w(67)=w(67) - w(104)
      w(67)=w(67)*w(2)
      w(67)=w(83) - w(67)
      w(67)=w(67)*c0momoqszmoh
      w(67)=w(67) - w(359)
      w(83)= - w(94) + 3.D0*w(271)
      w(104)=w(185)*w(302)
      w(104)=9.D0/2.D0*w(104) + w(92) - w(83)
      w(104)=sdet3imomoqs*w(104)
      w(92)= - w(2)*w(92)
      w(92)=w(92) + w(104)
      w(92)=b0fmohmo*w(92)
      w(104)=3.D0*b0d1momoz
      w(86)=w(86)*w(104)
      w(86)=b0dwmocw + w(64) + w(86)
      w(86)=w(2)*w(86)
      w(50)=w(50) + w(65) + w(92) + w(133) + w(86) - w(67) + w(58)
      w(49)=w(56) + w(49)
      w(56)=w(57) + w(49)
      w(56)=w(56)*w(95)
      w(37)=w(75) - w(37)
      w(37)=w(37)*w(116)
      w(36)= - sdet3cmous*w(36)
      w(36)=w(46) + w(36)
      w(57)=w(2)*sdet3cmous
      w(36)=w(36)*w(57)
      w(25)= - w(109)*w(25)
      w(38)=Ts*w(38)
      w(16)=w(38) + w(25) + w(56) + w(36) - w(37) + w(16)
      w(25)=w(77)*Us
      w(36)=4.D0*w(25) + w(19)
      w(36)=det3imomoqs*w(36)
      w(38)=w(31)*w(122)
      w(36)= - w(54) + w(38) + w(36)
      w(36)=w(36)*w(53)
      w(38)= - Us*w(52)
      w(16)=w(36) + 2.D0*w(16) + w(38)
      w(16)=z_ex*w(16)
      w(36)=w(49)*w(95)
      w(30)=w(233)*w(30)
      w(28)=w(30) - w(28)
      w(28)=sdet3cmots*w(28)
      w(15)=w(15)*w(73)
      w(15)=w(15) - w(22)
      w(15)=w(15)*w(98)
      w(22)=w(46)*w(57)
      w(15)=w(15) + w(28) + w(36) - w(37) + w(22)
      w(22)=w(196)*det3imomoqs
      w(19)=w(19)*w(22)
      w(28)=sdet3cmous - sdet3cmots
      w(28)=w(31)*w(28)
      w(25)=w(25) - w(35)
      w(25)=det3imomoqs*w(25)
      w(25)=w(25) + w(28)
      w(25)=w(25)*w(93)
      w(15)=w(25) + 2.D0*w(15) + w(19)
      w(15)=w(15)*w(124)
      w(15)=w(16) + w(15)
      w(15)=w(15)*w(59)
      w(16)=w(180)*w(39)
      w(16)=w(16) + w(102)
      w(16)=Us*w(16)
      w(19)= - w(106)*w(27)
      w(19)=w(19) - w(102)
      w(19)=Ts*w(19)
      w(16)=w(19) + w(16) + w(108)
      w(19)=w(111) - w(20)
      w(19)=w(103)*w(19)*w(22)
      w(20)= - w(24)*w(22)
      w(20)=2.D0*w(26) + w(20)
      w(20)=w(20)*w(96)
      w(16)=w(20) + 2.D0*w(16) + w(19)
      w(16)=w(16)*w(51)
      w(19)=w(130)*w(106)*w(40)
      w(19)=w(45) + w(19)
      w(19)=FSR*w(19)
      w(15)=w(19) + w(15) + w(16)
      w(16)=w(72)*w(126)
      w(19)=19.D0/2.D0 - w(90)
      w(19)=b0fmozmo*w(19)*w(219)
      w(20)=41.D0 - 18.D0*w(150)
      w(20)=w(20)*w(150)
      w(20)= - 24.D0 + w(20)
      w(20)=a0fz*w(20)
      w(24)=16.D0 - 15.D0/2.D0*w(150)
      w(24)=w(24)*w(219)
      w(24)= - 32.D0 + w(24)
      w(24)=c0momoqsmozmo*w(24)
      w(24)=w(24) + 17.D0/2.D0*c0momoqswcw
      w(24)=w(24)*w(153)
      w(25)=w(47) - 12.D0
      w(26)= - a0fmo*w(25)
      w(16)=w(24) + w(20) + 15.D0/2.D0*b0fqsww - 21.D0/2.D0*b0fmowc +
     & w(19) - 3.D0*a0fw + w(26) + w(16) - 14.D0 + w(47)
      w(16)=w(16)*w(153)
      w(19)=w(25)*w(150)
      w(19)=w(19) + 8.D0
      w(20)= - w(19)*w(68)
      w(20)=w(20) - w(66)
      w(20)=w(20)*w(120)
      w(16)=4.D0*w(20) - 3.D0/2.D0*w(62) + w(16)
      w(16)=w(2)*w(16)
      w(20)=9.D0*w(150)
      w(24)=w(20) - 41.D0/2.D0
      w(24)=w(24)*w(150)
      w(24)=w(24) + 12.D0
      w(26)=w(24)*w(345)
      w(26)= - w(249) + w(359) + w(26)
      w(26)=w(26)*w(153)
      w(24)=w(24)*w(152)
      w(24)=w(26) - w(145) + w(169) - w(132) + w(24)
      w(24)=w(24)*w(153)
      w(26)=w(19)*w(152)
      w(19)=w(19)*w(345)
      w(19)=w(19) - w(143)
      w(19)=w(19)*w(153)
      w(19)=w(19) + w(26) - w(89)
      w(19)=w(19)*w(79)
      w(26)=b0fmozmo*w(272)
      w(26)= - w(145) + 3.D0/2.D0*b0fmowc + w(26) - w(273) - w(274) -
     & b0fqscc
      w(27)=w(55) - w(139)
      w(27)=w(27)*w(53)
      w(28)=w(27) + 5.D0/2.D0*c0momoqswcw + w(142) + w(61)
      w(28)=w(28)*w(53)
      w(30)=w(311)*c0momoqsmozmo
      w(30)= - c0momoqswcw + w(60) + 3.D0/2.D0*w(30)
      w(30)=w(30)*w(153)
      w(26)=w(28) + 3.D0*w(26) + w(30)
      w(26)=w(26)*w(53)
      w(19)=w(26) + w(19) + 1.D0/2.D0*w(62) + w(24)
      w(19)=w(19)*w(63)
      w(24)= - c0momoqsmozmo*w(283)
      w(24)= - w(27) - 25.D0/8.D0*c0momoqswcw - w(88) + w(24) - w(70)
      w(24)=w(24)*w(53)
      w(26)=7.D0 - w(219)
      w(26)=w(26)*w(123)
      w(27)= - 29.D0 + 21.D0*w(150)
      w(27)=b0fqsmomo*w(27)
      w(20)=w(26) + w(27) - 37.D0/2.D0 + w(20)
      w(26)=89.D0/2.D0 - 24.D0*w(150)
      w(26)=w(26)*w(150)
      w(26)= - 24.D0 + w(26)
      w(26)=c0momoqsmozmo*w(26)
      w(26)=w(296) - w(78) + w(26)
      w(26)=w(26)*w(153)
      w(27)=w(94) + w(41)
      w(27)=a0fh*w(27)
      w(28)=22.D0 - w(107)
      w(28)=b0fmozmo*w(28)
      w(30)=a0fz*w(321)
      w(16)=w(27) + w(19) + w(24) + w(16) + w(26) + w(30) + 15.D0/8.D0*
     & b0fqsww - 47.D0/8.D0*b0fmowc + w(28) + 1.D0/2.D0*w(20) + w(99)
      w(16)=sdet3imomoqs*w(16)
      w(19)=w(115) - w(173)
      w(20)= - sdet3cmots*w(74)
      w(24)= - w(176) + w(238)
      w(24)=c0cmotsczmo*w(24)
      w(20)=w(20) + w(24) - w(48) + w(19)
      w(20)=w(20)*w(98)
      w(23)=w(23) - w(200)
      w(24)=w(23)*sdet3cmous
      w(26)= - w(29) + 2.D0*w(179)
      w(27)=w(26)*sdet3icmous
      w(24)=w(27) + w(24)
      w(27)=w(188) + w(247)
      w(19)=w(27) + w(24) - w(19)
      w(19)=w(19)*w(95)
      w(28)=w(118)*d0ccmomoqsuszczmo
      w(29)=w(28) + w(243)
      w(29)=w(29)*sdet3cmous
      w(30)= - w(34) + w(363)
      w(19)=w(20) + w(121) + w(19) + 2.D0*w(30) - w(29)
      w(20)=w(200)*sdet3cmous
      w(20)=w(20) + w(27)
      w(27)= - w(105) + w(20)
      w(27)=w(27)*w(93)
      w(22)= - w(87)*w(22)
      w(19)=w(27) + 2.D0*w(19) + w(22)
      w(19)=w(19)*w(32)
      w(22)=w(23)*w(116)
      w(23)=w(26)*w(180)
      w(22)=w(22) + w(247) + w(23) + w(42) - w(127)
      w(22)=Us*w(22)
      w(23)= - w(225) + w(76)
      w(23)=Ts*w(23)
      w(22)=w(23) + w(22) - w(29) - w(44) - w(128)
      w(23)=4.D0*w(20) - w(100)
      w(23)=w(23)*w(53)
      w(26)=Us*w(100)
      w(19)=w(19) + w(23) + 2.D0*w(22) + w(26)
      w(19)=w(19)*w(80)
      w(22)= - w(97) + w(189) - w(174) + w(24)
      w(22)=Us*w(22)
      w(23)= - w(207) - 1.D0/2.D0*w(28)
      w(23)=sdet3cmous*w(23)
      w(20)=w(97) + w(20)
      w(20)=w(20)*w(53)
      w(20)=w(20) + w(23) - w(242) - w(81) - w(34) + w(22)
      w(20)=qmo*w(20)
      w(19)=w(20) + w(19)
      w(19)=w(19)*w(59)
      w(20)=w(25)*w(224)
      w(20)=w(20) - 10.D0 + w(101)
      w(20)=b0d1momoz*w(20)
      w(22)=w(345) - c0momoqswcw
      w(22)=w(22)*w(279)
      w(23)= - a0fmo + w(202)
      w(24)=1.D0 + w(165)
      w(24)=b0dwmocw*w(24)
      w(20)=w(24) + w(22) + 1.D0/2.D0*w(23) + w(64) + w(20) + 1.D0/8.D0
     & *w(151)
      w(20)=w(2)*w(20)
      w(22)= - w(141) + 3.D0*w(310)
      w(23)=sdet3imomoqs*w(22)
      w(24)=w(283) - 1.D0
      w(23)=3.D0/2.D0*w(23) + 5.D0/2.D0*w(41) + w(24) - w(83)
      w(23)=sdet3imomoqs*w(23)
      w(24)= - w(2)*w(24)
      w(23)=w(24) + w(23)
      w(23)=b0fmohmo*w(23)
      w(24)=w(159)*w(91)
      w(24)=w(104) + w(24)
      w(24)=w(2)*w(24)
      w(25)= - w(2)*w(159)
      w(25)= - 3.D0 + w(25)
      w(25)=w(25)*w(69)
      w(24)=w(24) + w(25)
      w(24)=w(24)*w(84)
      w(25)= - w(306) + 3.D0*w(319)
      w(25)=sdet3imomoqs*w(25)
      w(22)=w(25) + w(82) - w(22)
      w(22)=sdet3imomoqs*w(22)
      w(22)= - w(41) + w(22)
      w(22)=c0momoqsmohmo*w(22)
      w(25)= - 2.D0 + w(219)
      w(25)=c0momoqsmozmo*w(25)
      w(16)=3.D0/2.D0*w(22) + w(19) + w(24) + w(23) + 1.D0/8.D0*w(71)
     &  + w(25) + w(16) + w(20) - w(67)
      w(19)=PiggFer*w(80)
      w(19)= - Za1Fer + w(19)

      ff_qed_ll =  + w(33)
      ff_ew_ll =  + w(85)
      ff_qed_lq =  + w(21)
      ff_ew_lq =  + w(110)
      ff_qed_ql =  + w(18)
      ff_ew_ql =  + w(43)
      ff_qed_qq =  + w(17)
      ff_ew_qq =  + w(13)
      ff_qed_ld =  + w(14)
      ff_ew_ld =  + w(50)
      ff_qed_qd =  + w(15)
      ff_ew_qd =  + w(16)

      ffarray(1,1) = ff_qed_ll
      ffarray(1,2) = ff_ew_ll
      ffarray(1,3) = ff_qed_lq
      ffarray(1,4) = ff_ew_lq
      ffarray(1,5) = ff_qed_ql
      ffarray(1,6) = ff_ew_ql
      ffarray(1,7) = ff_qed_qq
      ffarray(1,8) = ff_ew_qq
      ffarray(1,9) = ff_qed_ld
      ffarray(1,10) = ff_ew_ld
      ffarray(1,11) = ff_qed_qd
      ffarray(1,12) = ff_ew_qd
      ffarray(1,13) = ff_qed_gg

      return
      end
