************************************************************************
* sanc_nc_v2.00 package.
************************************************************************
* File (nc_ff_12_12__20_20.F).
************************************************************************
* This is the FORTRAN module (nc_ff_12_12__20_20) to calculate 1-loop EW
* form factors for the el^- + el^- -> ta^- + ta^- process.
*
* It is produced by s2n package of SANC (v1.10) Project.
* Copyright (C), SANC Project Team, 2002-2022.
*
* http://sanc.jinr.ru/
* E-mail: <sanc-team@cern.ch>
************************************************************************
      subroutine nc_ff_12_12__20_20 (qs,ts,us)
      implicit none!
#include "looptools.h"
#include "s2n_declare.h"

      complex*16 ff_qed_ll,ff_qed_lq,ff_qed_ql,ff_qed_qq,ff_qed_ld
      complex*16 ff_qed_qd,ff_ew_ll,ff_ew_ld,ff_ew_lq,ff_ew_ql,ff_ew_qq
      complex*16 ff_ew_qd,ff_qed_gg
      real*8 isr,ifi,fsr

      real*8 det3itataqs
      real*8 a0fel,a0fta,a0fw,a0fz,a0fh
      real*8 lnlatam,lnlaelm
      complex*16 b0ptazta,b0ptahta,b0ptacw
      complex*16 b0fqscc,b0ftstac,b0fustac,b0ftazta,b0ftatac,b0fqszc,b0
     & fqstata,b0ftawc,b0ftahta,b0fqsww,b0fqszh,b0fqszz,b0ftscc
      complex*16 c0elelqszelc,c0tataqsztac,c0tataqsctac,c0ctatsczta,c0i
     & reltats,c0ctausczta,c0ireltaus,c0elelqscelc,c0irtataqs,c0irelelqs
     & ,c0irtaelts,c0irtaelus,c0ccqszcz,c0tataqsztaz,c0tataqswcw,c0tataq
     & sztah,c0tataqstazta,c0tataqstahta,c0tataqscwc,c0ctatscwc,c0ccqswc
     & w,c0ccqscwc,c0ccqsczc
      complex*16 b0d1tataz
      complex*16 b0dwtacw
      complex*16 d0cctataqstszczta,d0cctataqsuszczta,d0cctataqstswcwc
      complex*16 jaaqstselta,jaaqsuselta,javqstseltaz,javqsuseltaz
      real*8 sdet3ictats,sdet3ictaus,sdet4itatsus,sdet3itataqs
      real*8 sdet3ctats,sdet3ctaus
      real*8 pxx2zqsc
      complex*16 propzqs,propizqs,prop1zqs
      real*8 der,errdersta,errdersys,deg,errdegsta,errdegsys
      complex*16 w(389)

      common/unibos_bos/za1bos,zmzzzbos,zmwzwbos,zmhzhbos,deltarhobos
      common/unibos_fer/za1fer,zz1fer,zh1fer,zw1fer,zmsqrfer,
     & zmzzzfer,zmwzwfer,zmhzhfer,deltarhofer,tadfer
      common/unipro_fer/caldzfer,caldwfer,pizgfer,piggfer
      common/unipro_fer_d/piggferl,piggferh,piggfert
      common/unibos_fer_d/za1ferl,za1ferh,za1fert


      if (iqed.eq.1) then
         isr = 1d0
         ifi = 1d0
         fsr = 1d0
      elseif(iqed.eq.2) then
         isr = 1d0
         ifi = 0d0
         fsr = 0d0
      elseif(iqed.eq.3) then
         isr = 0d0
         ifi = 1d0
         fsr = 0d0
      elseif(iqed.eq.4) then
         isr = 0d0
         ifi = 0d0
         fsr = 1d0
      elseif(iqed.eq.5) then
         isr = 0d0
         ifi = 1d0
         fsr = 1d0
      elseif(iqed.eq.6) then
         isr = 1d0
         ifi = 1d0
         fsr = 0d0
      elseif(iqed.eq.7) then
         isr = 1d0
         ifi = 0d0
         fsr = 1d0
      else
         isr = 0d0
         ifi = 0d0
         fsr = 0d0
      endif

      cmz2 = mz2

      if (irun.eq.0) then
         prop1zqs = (cmz2+qs)
      else
         prop1zqs = (dcmplx(mz**2,qs*wz/mz)+qs)
      endif
      propizqs = (rzm2+qs)
      propzqs = 1d0/propizqs
      det3itataqs = 1d0/(-1d0/4d0*((-rtam2)**2+(-rtam2)**2+(qs)**2
     & -2d0*(-rtam2)*(-rtam2)-2d0*(-rtam2)*(qs)
     & -2d0*(-rtam2)*(qs)))
      a0fel = log(relm2/thmu2) - 1d0
      a0fta = log(rtam2/thmu2) - 1d0
      a0fw = log(rwm2/thmu2) - 1d0
      a0fz = log(rzm2/thmu2) - 1d0
      a0fh = log(rhm2/thmu2) - 1d0
      lnlatam = log(rtam2/tlmu2)
      lnlaelm = log(relm2/tlmu2)
      b0ptazta = b0p(-rtam2,zm2,tam2)
      b0ptahta = b0p(-rtam2,hm2,tam2)
      b0ptacw = b0p(-rtam2,cm2,wm2)
      b0fqscc = b0f(qs,thmu2,cm2,cm2)
      b0ftstac = b0f(ts,thmu2,tam2,cm2)
      b0fustac = b0f(us,thmu2,tam2,cm2)
      b0ftazta = b0f(-rtam2,thmu2,zm2,tam2)
      b0ftatac = b0f(-rtam2,thmu2,tam2,cm2)
      b0fqszc = b0f(qs,thmu2,zm2,cm2)
      b0fqstata = b0f(qs,thmu2,tam2,tam2)
      b0ftawc = b0f(-rtam2,thmu2,wm2,cm2)
      b0ftahta = b0f(-rtam2,thmu2,hm2,tam2)
      b0fqsww = b0f(qs,thmu2,wm2,wm2)
      b0fqszh = b0f(qs,thmu2,zm2,hm2)
      b0fqszz = b0f(qs,thmu2,zm2,zm2)
      b0ftscc = b0f(ts,thmu2,cm2,cm2)
      c0elelqszelc = -c0(relm2,relm2,-qs,rzm2,relm2,0d0)
      c0tataqsztac = -c0(rtam2,rtam2,-qs,rzm2,rtam2,0d0)
      c0tataqsctac = -c0(rtam2,rtam2,-qs,0d0,rtam2,0d0)
      c0ctatsczta = -c0(0d0,rtam2,-ts,0d0,rzm2,rtam2)
      c0ireltats = c0ir(tlmu2,elm2,tam2,ts)
      c0ctausczta = -c0(0d0,rtam2,-us,0d0,rzm2,rtam2)
      c0ireltaus = c0ir(tlmu2,elm2,tam2,us)
      c0elelqscelc = -c0(relm2,relm2,-qs,0d0,relm2,0d0)
      c0irtataqs = c0ir(tlmu2,tam2,tam2,qs)
      c0irelelqs = c0ir(tlmu2,elm2,elm2,qs)
      c0irtaelts = c0ir(tlmu2,tam2,elm2,ts)
      c0irtaelus = c0ir(tlmu2,tam2,elm2,us)
      c0ccqszcz = -c0(0d0,0d0,-qs,rzm2,0d0,rzm2)
      c0tataqsztaz = -c0(rtam2,rtam2,-qs,rzm2,rtam2,rzm2)
      c0tataqswcw = -c0(rtam2,rtam2,-qs,rwm2,0d0,rwm2)
      c0tataqsztah = -c0(rtam2,rtam2,-qs,rzm2,rtam2,rhm2)
      c0tataqstazta = -c0(rtam2,rtam2,-qs,rtam2,rzm2,rtam2)
      c0tataqstahta = -c0(rtam2,rtam2,-qs,rtam2,rhm2,rtam2)
      c0tataqscwc = -c0(rtam2,rtam2,-qs,0d0,rwm2,0d0)
      c0ctatscwc = -c0(0d0,rtam2,-ts,0d0,rwm2,0d0)
      c0ccqswcw = -c0(0d0,0d0,-qs,rwm2,0d0,rwm2)
      c0ccqscwc = -c0(0d0,0d0,-qs,0d0,rwm2,0d0)
      c0ccqsczc = -c0(0d0,0d0,-qs,0d0,rzm2,0d0)
      b0d1tataz = b0d1(-rtam2,thmu2,tam2,zm2)
      b0dwtacw = b0dw(-rtam2,thmu2,cm2,wm2)
      d0cctataqstszczta =
     & d0(0d0,0d0,rtam2,rtam2,-qs,-ts,rzm2,0d0,rzm2,rtam2)
      d0cctataqsuszczta =
     & d0(0d0,0d0,rtam2,rtam2,-qs,-us,rzm2,0d0,rzm2,rtam2)
      d0cctataqstswcwc =
     & d0(0d0,0d0,rtam2,rtam2,-qs,-ts,rwm2,0d0,rwm2,0d0)
      jaaqstselta = jaa(qs,ts,elm2,tam2)
      jaaqsuselta = jaa(qs,us,elm2,tam2)
      javqstseltaz = jav(qs,ts,elm2,tam2,cmz2)
      javqsuseltaz = jav(qs,us,elm2,tam2,cmz2)
      sdet3ictats = 1d0/(ts+(mta)**2)
      sdet3ictaus = 1d0/(us+(mta)**2)
      sdet4itatsus = 1d0/(ts*us-mta**4)
      sdet3itataqs = 1d0/(qs+(mta+mta)**2)
      sdet3ctats = (ts+mta**2)
      sdet3ctaus = (us+mta**2)
      pxx2zqsc = (2*mz**2)+(qs)

      if (ifgg.le.2) then
         ff_qed_gg =
     &      -za1fer+stw**2*piggfer
      else
         call dhadr5x19(sqrt(-qs),0d0,der,errdersta,errdersys,deg,errdegsta,errdegsys)
         ff_qed_gg =
     &      -za1ferl+stw**2*piggferl-za1fert+stw**2*piggfert+der/alpha*4d0*pi*stw2
      endif

      w(1)=real(propizqs)
      w(2)=Qs**(-1)
      w(3)=stw**(-1)
      w(4)=ctw**(-1)
      w(5)=mw**(-1)
      w(6)=Ts**(-1)
      w(7)=real(propzqs)
      w(8)=mh**(-1)
      w(9)=real(b0ptacw)
      w(10)=real(b0ptahta)
      w(11)=real(b0ptazta)
      w(12)=vmata**(-1)
      w(13)=sdet3ctats + sdet3ctaus
      w(14)=sdet4itatsus**2
      w(15)=IFI*w(14)*Qs
      w(16)=w(15)*c0tataqsctac
      w(17)=mta**2
      w(18)=4.D0*w(17)
      w(13)=w(18)*w(16)*w(13)
      w(19)=sdet4itatsus*IFI
      w(20)=w(19)*b0ftstac
      w(21)=w(19)*b0fustac
      w(22)=w(20) + w(21)
      w(23)=2.D0*w(19)
      w(24)=w(23)*b0ftatac
      w(25)=w(19)*Qs
      w(26)=w(25)*c0tataqsctac
      w(24)= - w(22) + w(24) + w(26)
      w(27)=2.D0*IFI
      w(28)=w(27)*w(14)
      w(29)=w(28)*c0tataqsctac
      w(30)=Us*Qs
      w(31)=w(29)*w(30)
      w(32)=w(16)*Ts
      w(31)=w(31) - w(32)
      w(33)=2.D0*Ts
      w(31)=w(31)*w(33)
      w(29)=w(29)*Qs
      w(34)=Us**2*w(29)
      w(35)=w(14)*IFI
      w(36)=w(35)*c0tataqsctac
      w(37)=Qs**2
      w(38)=w(36)*w(37)
      w(39)=w(38)*sdet3ctaus
      w(38)=w(38)*sdet3ctats
      w(13)= - w(31) + w(13) + w(38) + w(39) + w(34) + 2.D0*w(24)
      w(31)=2.D0*w(17)
      w(13)=w(13)*w(31)
      w(34)=w(35)*c0elelqscelc
      w(34)=w(34) + w(36)
      w(34)=w(34)*w(37)
      w(36)=2.D0*Us
      w(39)=w(36)*w(34)
      w(40)=w(34)*Ts
      w(41)=sdet3ctaus**3*w(35)*jaaqsuselta
      w(39)=w(39) - w(40) - w(41)
      w(39)=w(39)*Ts
      w(42)=w(19)*b0fqscc
      w(43)=w(42) - w(21)
      w(43)=w(43)*sdet3ctaus
      w(44)=b0ftstac - b0fqscc
      w(44)=sdet3ctats*IFI*w(44)
      w(45)=w(44)*sdet4itatsus
      w(43)=w(43) - w(45)
      w(45)=w(34)*Us
      w(45)=w(45) - w(41)
      w(46)=w(45)*Us
      w(13)=w(39) - w(46) - w(13) + 2.D0*w(43)
      w(39)=ctw**2
      w(13)=w(13)*w(39)
      w(43)=sdet3ctats**3
      w(46)=w(43)*w(35)
      w(47)=Ts - Us
      w(48)=w(39)*jaaqstselta
      w(49)= - w(48)*w(46)*w(47)
      w(13)=w(13) - w(49)
      w(49)=gamma_ex*CFScheme
      w(13)=w(13)*w(49)
      w(50)=w(28)*c0ctatsczta
      w(51)=w(35)*javqstseltaz
      w(50)=w(51) + w(50)
      w(51)=mz**2
      w(52)=w(51) + Qs
      w(53)=w(50)*w(52)
      w(54)=w(35)*w(51)
      w(54)=w(54) + w(15)
      w(54)=w(54)*c0tataqsztac
      w(55)=w(53) - w(54)
      w(55)=w(55)*sdet3ctats
      w(56)=w(19)*b0ftazta
      w(57)=w(19)*b0ftatac
      w(56)=w(56) + w(57)
      w(58)=w(23)*b0ftstac
      w(59)=w(58) - w(56)
      w(60)=2.D0*sdet3ictats
      w(61)=w(60)*w(59)
      w(62)=w(61) + w(55)
      w(63)=IFI*javqstseltaz
      w(64)=javqsuseltaz*IFI
      w(65)=w(63) + w(64)
      w(66)=w(65)*sdet4itatsus
      w(67)=w(23)*c0ctausczta
      w(68)=w(23)*c0ctatsczta
      w(66)=w(68) + w(66) + w(67)
      w(69)=w(19)*c0tataqsztac
      w(70)=4.D0*w(69)
      w(71)=w(66) + w(70)
      w(72)=w(28)*c0ctausczta
      w(73)=w(35)*javqsuseltaz
      w(72)=w(73) + w(72)
      w(73)=w(72)*w(52)
      w(74)=w(73) - w(54)
      w(74)=w(74)*sdet3ctaus
      w(75)= - w(74) - w(62) + 2.D0*w(71)
      w(75)=w(75)*w(17)
      w(76)=w(14)*c0elelqszelc*IFI
      w(77)=w(51)*w(76)
      w(15)=w(15)*c0elelqszelc
      w(15)=w(15) + w(77)
      w(77)=w(54) - w(15)
      w(78)=w(77)*sdet3ctats
      w(77)=w(77)*sdet3ctaus
      w(79)=w(78) - w(77)
      w(80)=w(19)*javqstseltaz
      w(81)=w(80) + w(68)
      w(82)=w(23)*c0tataqsztac
      w(83)=w(81) + w(82)
      w(83)=w(79) + 2.D0*w(83)
      w(83)=w(83)*Ts
      w(84)=w(19)*javqsuseltaz
      w(85)=w(84) + w(67)
      w(86)=w(85) + w(82)
      w(79)= - w(79) + 2.D0*w(86)
      w(79)=w(79)*Us
      w(86)=w(51)*w(19)
      w(87)=w(25) - w(86)
      w(88)= - c0elelqszelc*w(87)
      w(89)=w(23)*b0fqszc
      w(22)= - w(88) + w(22) - w(89)
      w(90)=w(86)*c0ctatsczta
      w(91)=w(90) - w(59)
      w(92)=w(33)*sdet3ictats
      w(93)=w(91)*w(92)
      w(94)=w(15)*sdet3ctats
      w(95)=w(94) - w(82)
      w(95)=w(95)*sdet3ctats
      w(95)=w(95) + w(93)
      w(15)=w(15)*sdet3ctaus
      w(96)=w(15) - w(82)
      w(96)=w(96)*sdet3ctaus
      w(22)=w(83) + w(79) + w(96) + w(75) + w(95) + 2.D0*w(22)
      w(22)=w(22)*w(17)
      w(75)= - w(15) + 2.D0*w(85)
      w(75)=w(75)*sdet3ctaus
      w(79)=w(74)*Us
      w(83)=w(87)*c0tataqsztac
      w(83)=w(83) - w(88)
      w(87)=w(19)*b0fqszc
      w(97)=w(87) - w(21)
      w(97)=2.D0*w(97)
      w(75)=w(83) + w(75) + w(79) - w(97)
      w(75)=w(75)*Us
      w(23)=w(23)*b0fustac
      w(23)=w(23) - w(56)
      w(98)=w(86)*c0ctausczta
      w(99)=w(23) - w(98)
      w(99)=w(99)*Us
      w(100)=w(23)*w(17)
      w(100)=w(100) + w(99)
      w(100)=w(100)*w(17)
      w(101)=w(17)*w(2)
      w(102)=w(51)*IFI
      w(103)=c0ctausczta*w(101)*w(102)
      w(100)=w(100) - w(103)
      w(104)=2.D0*sdet3ictaus
      w(100)=w(100)*w(104)
      w(75)=w(75) - w(100)
      w(100)= - w(94) + 2.D0*w(81)
      w(100)=w(100)*sdet3ctats
      w(105)=w(55)*Ts
      w(106)=w(20) - w(87)
      w(106)=2.D0*w(106)
      w(83)=w(100) + w(83) + w(106) + w(105)
      w(83)=w(83)*Ts
      w(100)=w(86)*c0tataqsztac
      w(90)=w(90) - w(100)
      w(107)=w(90)*sdet3ctats
      w(98)=w(98) - w(100)
      w(98)=w(98)*sdet3ctaus
      w(108)=sdet3ictats*c0ctatsczta
      w(102)=w(108)*w(102)
      w(107)=w(98) + w(107) + w(102)
      w(107)=w(107)*w(31)*w(2)
      w(22)=w(22) + w(107) + w(75) + w(83)
      w(107)=2.D0*z_ex
      w(109)=stw**2
      w(110)=w(22)*w(107)*w(109)
      w(13)=w(13) - w(110)
      w(110)=w(13)*w(109)
      w(111)=w(69) + w(78) - w(85)
      w(111)=w(111)*Us
      w(106)=w(111) - w(106) + w(88)
      w(62)=w(71) - w(62)
      w(62)=w(62)*w(17)
      w(111)=5.D0*w(69)
      w(112)=w(78) + w(111) + w(81)
      w(112)=Ts*w(112)
      w(62)=w(62) + w(112) + w(95) - w(106)
      w(62)=w(62)*w(17)
      w(95)=w(51)*w(108)*w(27)
      w(108)= - w(100)*w(47)
      w(95)=w(95) - w(108)
      w(112)=2.D0*sdet3ctats
      w(90)=w(90)*w(112)
      w(90)=w(90) + w(95)
      w(90)=w(90)*w(101)
      w(62)=w(90) + w(83) + w(62)
      w(62)=z_ex*w(62)
      w(62)=w(62) - 4.D0*w(110)
      w(90)=w(109)*w(1)
      w(62)=w(62)*w(90)
      w(113)=stw**4
      w(114)=w(113)*w(1)
      w(22)=qta*z_ex*w(22)*w(114)
      w(115)=c0ctatsczta*IFI
      w(116)=IFI*c0ireltats
      w(63)=w(116) - w(115) - w(63)
      w(115)=4.D0*sdet3ctats
      w(63)=w(115)*w(63)
      w(116)=2.D0*Qs
      w(117)=w(116) + w(18)
      w(118)=c0irtataqs*FSR
      w(117)=w(118)*w(117)
      w(119)=3.D0*a0fta
      w(120)=3.D0*b0fqstata
      w(121)=w(120) + w(119) + 1.D0
      w(122)= - w(121) + 2.D0*lnlatam
      w(122)=w(122)*FSR
      w(123)=c0ctausczta*IFI
      w(64)=w(123) + w(64)
      w(123)=4.D0*sdet3ctaus
      w(64)=w(64)*w(123)
      w(124)=ISR*c0irelelqs
      w(125)=w(124)*w(116)
      w(126)=3.D0*b0fqscc
      w(127)=3.D0*a0fel + w(126) + 1.D0
      w(128)= - w(127) + 2.D0*lnlaelm
      w(128)=w(128)*ISR
      w(63)=w(125) - w(122) - w(128) + w(64) + w(63) + w(117)
      w(64)=a0fta - 1.D0
      w(117)=w(64) + b0fqstata
      w(122)=w(117)*FSR
      w(125)=Qs*w(122)*det3itataqs
      w(128)=w(125)*w(31)
      w(128)=w(128) + w(63)
      w(128)=w(128)*z_ex
      w(123)=IFI*z_ex*w(123)*c0ireltaus
      w(128)=w(128) - w(123)
      w(128)=w(128)*w(109)
      w(22)=8.D0*w(22) - w(128) + 2.D0*w(62)
      w(62)=c0ctatsczta*sdet4itatsus
      w(129)=w(4)**2
      w(130)=w(62)*w(129)
      w(131)=w(129)*sdet4itatsus
      w(132)=w(131)*c0ctausczta
      w(133)=w(132) + w(130)
      w(134)=w(131)*c0tataqsztaz
      w(135)=w(133) + w(134)
      w(136)=w(14)*w(129)
      w(137)=Qs*pxx2zqsc
      w(138)=c0ccqszcz*w(136)*w(137)
      w(135)= - w(138) + 2.D0*w(135)
      w(139)=w(136)*c0ctatsczta
      w(140)=w(136)*c0tataqsztaz
      w(141)=2.D0*w(140)
      w(142)=w(139) - w(141)
      w(143)=sdet3ctats*pxx2zqsc
      w(142)=w(142)*w(143)
      w(144)=w(136)*c0ctausczta
      w(145)=w(144) - w(141)
      w(146)=sdet3ctaus*pxx2zqsc
      w(145)=w(145)*w(146)
      w(147)=w(131)*b0ftstac
      w(148)=w(129)*b0ftazta
      w(149)=sdet4itatsus*w(148)
      w(150)=w(147) - w(149)
      w(151)=w(150)*sdet3ictats
      w(152)=w(145) + w(142) - w(135) + 2.D0*w(151)
      w(152)=w(152)*w(31)
      w(153)=w(129)*c0tataqsztaz
      w(154)=2.D0*sdet4itatsus
      w(155)=w(153)*w(154)
      w(156)=c0ccqszcz*sdet4itatsus
      w(157)=w(156)*w(129)
      w(158)=w(155) + w(157)
      w(158)=w(158)*pxx2zqsc
      w(159)=w(154)*w(129)
      w(160)=w(159)*b0fqszz
      w(161)=w(131)*b0fustac
      w(160)= - w(161) - w(147) + w(160) - w(158)
      w(137)=w(140)*w(137)
      w(162)= - w(137) + 6.D0*w(157)
      w(163)=w(136)*sdet3ctats
      w(164)=pxx2zqsc*c0ccqszcz
      w(165)=w(163)*w(164)
      w(166)=w(162) - w(165)
      w(166)=w(166)*sdet3ctats
      w(167)=w(136)*sdet3ctaus
      w(164)=w(167)*w(164)
      w(162)=w(162) - w(164)
      w(162)=w(162)*sdet3ctaus
      w(168)=4.D0*w(140)
      w(169)=w(168)*w(146)
      w(169)=w(169) + w(138)
      w(170)=8.D0*w(132)
      w(171)=w(170) + w(169)
      w(171)=w(171)*Us
      w(168)=w(168)*w(143)
      w(168)=w(168) + w(138)
      w(172)=w(168) + 8.D0*w(130)
      w(172)=w(172)*Ts
      w(173)=w(151)*Ts
      w(174)=4.D0*w(173)
      w(152)=w(162) + w(166) - w(171) + 2.D0*w(160) + w(152) - w(172)
     &  + w(174)
      w(152)=w(152)*w(17)
      w(160)=w(159)*c0ctatsczta
      w(162)=w(160) - w(134)
      w(163)=c0ctatsczta*w(163)*pxx2zqsc
      w(166)=w(162) + w(163)
      w(166)=w(166)*w(33)
      w(171)=w(129)*c0ccqszcz
      w(172)=w(171)*w(154)
      w(172)=w(172) - w(137)
      w(175)=w(165) + w(172)
      w(175)=w(175)*sdet3ctats
      w(176)=w(131)*b0fqszz
      w(177)=w(147) - w(176)
      w(178)=2.D0*w(177)
      w(179)=pxx2zqsc*sdet4itatsus
      w(180)=w(179)*w(129)
      w(181)=w(180)*c0ccqszcz
      w(166)=w(178) - w(181) + w(166) - w(175)
      w(166)=w(166)*Ts
      w(175)=w(172) + w(164)
      w(175)=w(175)*sdet3ctaus
      w(167)=c0ctausczta*w(167)*pxx2zqsc
      w(182)=w(129)*c0ctausczta
      w(183)=w(182)*w(154)
      w(184)=w(183) - w(134)
      w(185)=w(167) + w(184)
      w(186)=w(185)*w(36)
      w(187)=w(176) - w(161)
      w(188)=2.D0*w(187)
      w(175)= - w(175) - w(181) + w(186) - w(188)
      w(175)=w(175)*Us
      w(171)=w(171) + w(153)
      w(152)=w(152) - w(175) - w(166) + 4.D0*w(171)
      w(186)=8.D0*w(180)
      w(189)=Qs*sdet4itatsus
      w(190)=w(189)*w(129)
      w(191)=w(186) + w(190)
      w(192)=pxx2zqsc**2
      w(193)=w(136)*w(192)
      w(194)=w(193)*sdet3ctaus
      w(195)= - w(191) + 8.D0*w(194)
      w(195)=w(195)*sdet3ctaus
      w(196)=w(190)*Ts
      w(195)=w(195) - w(196)
      w(131)=w(131)*w(192)
      w(192)=w(131) - w(129)
      w(197)=w(180)*Qs
      w(198)= - w(197) + 2.D0*w(192)
      w(198)=2.D0*w(198)
      w(199)=w(195) + w(198)
      w(200)= - w(193)*w(47)
      w(201)=w(200) - w(194)
      w(202)=w(201) - w(180)
      w(202)=w(202)*w(31)
      w(203)=4.D0*w(180)
      w(204)=w(203) - w(190)
      w(205)=2.D0*w(194)
      w(206)=w(204) + w(205)
      w(206)=w(206)*Us
      w(202)=w(202) + w(206) - w(199)
      w(202)=w(202)*w(17)
      w(206)=w(116)*w(194)
      w(207)=4.D0*w(129)
      w(208)=w(207) + w(131)
      w(209)=w(206) + w(208)
      w(209)=w(209)*sdet3ctaus
      w(210)=w(129)*sdet3ctaus
      w(211)=w(210)*w(189)
      w(212)=w(180)*Us
      w(213)= - 6.D0*w(212) + w(211) - w(207)
      w(213)=w(213)*Us
      w(214)=2.D0*w(129)
      w(215)=w(214)*pxx2zqsc
      w(216)=w(129)*Qs
      w(213)=w(213) - w(215) + w(216)
      w(202)=w(202) - w(209) - w(213)
      w(202)=w(202)*d0cctataqsuszczta
      w(209)=w(193)*sdet3ctats
      w(191)= - w(191) + 8.D0*w(209)
      w(191)=w(191)*sdet3ctats
      w(215)=w(190)*Us
      w(191)=w(191) + w(198) - w(215)
      w(198)=w(200) + w(209)
      w(217)=w(198) + w(180)
      w(217)=w(217)*w(31)
      w(218)=2.D0*w(209)
      w(204)=w(204) + w(218)
      w(204)=w(204)*Ts
      w(204)=w(191) + w(217) - w(204)
      w(204)=w(204)*w(17)
      w(217)=w(129)*sdet3ctats
      w(219)=w(217)*w(189)
      w(220)=w(180)*Ts
      w(221)=w(207) - w(219) + 6.D0*w(220)
      w(221)=w(221)*Ts
      w(222)=w(207)*w(51)
      w(216)=w(221) + w(222) + w(216)
      w(221)=w(116)*w(209)
      w(208)=w(221) + w(208)
      w(208)=w(208)*sdet3ctats
      w(204)=w(204) + w(208) - w(216)
      w(204)=w(204)*d0cctataqstszczta
      w(208)=w(161) - w(149)
      w(222)=w(208)*Us
      w(223)=w(208)*w(17)
      w(222)=w(222) + w(223)
      w(222)=w(222)*sdet3ictaus
      w(224)=w(222)*w(17)
      w(224)=8.D0*w(224)
      w(152)= - w(202) - 2.D0*w(152) + w(204) - w(224)
      w(202)=4.D0*w(113)
      w(204)=w(152)*w(202)
      w(225)=w(142) - w(130)
      w(226)=2.D0*w(138)
      w(227)=3.D0*w(132)
      w(228)=4.D0*w(134)
      w(225)= - 6.D0*w(151) - w(145) - w(226) + w(227) + w(228) - 3.D0*
     & w(225)
      w(225)=w(225)*w(31)
      w(229)=w(164) + w(137)
      w(230)= - w(229) + 8.D0*w(157)
      w(230)=w(230)*sdet3ctaus
      w(231)=w(169) + 10.D0*w(132)
      w(231)=w(231)*Us
      w(230)=w(230) - w(231)
      w(231)=2.D0*w(158) - 4.D0*w(176) + 3.D0*w(147) + w(161)
      w(232)=4.D0*w(157)
      w(233)=w(232) - w(165)
      w(234)=w(137) - w(233)
      w(234)=sdet3ctats*w(234)
      w(235)=6.D0*w(130)
      w(236)=w(235) + w(168)
      w(237)=3.D0*Ts
      w(236)=w(236)*w(237)
      w(225)=w(225) - 12.D0*w(173) + w(236) + 2.D0*w(231) + 3.D0*w(234)
     &  - w(230)
      w(225)=w(225)*w(17)
      w(225)=w(225) + 3.D0*w(166) - 8.D0*w(171) + w(175)
      w(231)=w(218) - w(190)
      w(234)=2.D0*w(180)
      w(236)= - w(234) - w(231)
      w(236)=Ts*w(236)
      w(238)=w(234) + w(198)
      w(238)=w(238)*w(31)
      w(236)=w(238) + w(236) + w(191)
      w(238)=3.D0*w(17)
      w(236)=w(236)*w(238)
      w(239)=w(209)*Qs
      w(240)=6.D0*w(239) + w(207) + 3.D0*w(131)
      w(240)=sdet3ctats*w(240)
      w(236)=w(236) + w(240) - 3.D0*w(216)
      w(236)=d0cctataqstszczta*w(236)
      w(240)=w(205) - w(190)
      w(241)=w(240) + 6.D0*w(180)
      w(241)=w(241)*Us
      w(242)= - w(201)*w(31)
      w(242)=w(242) - w(241) + w(199)
      w(242)=w(242)*w(17)
      w(206)=w(206) + w(131)
      w(243)=12.D0*w(129) + w(206)
      w(243)=sdet3ctaus*w(243)
      w(242)=w(242) + w(243) + w(213)
      w(242)=d0cctataqsuszczta*w(242)
      w(224)=w(204) + w(242) - w(224) + 2.D0*w(225) + w(236)
      w(224)=w(224)*w(113)
      w(225)=1.D0/2.D0*w(129)
      w(189)=w(225)*w(189)
      w(236)=w(189) - w(209)
      w(236)=w(236)*Ts
      w(242)= - 1.D0/4.D0*w(236) + 1.D0/8.D0*w(215)
      w(243)=1.D0/2.D0*w(197)
      w(192)=w(243) - w(192)
      w(244)=w(209) - w(180)
      w(245)= - 1.D0/8.D0*w(190) + w(244)
      w(245)=sdet3ctats*w(245)
      w(246)=3.D0*w(180)
      w(198)=w(246) + w(198)
      w(247)=1.D0/4.D0*w(17)
      w(198)=w(198)*w(247)
      w(198)=w(198) - 1.D0/2.D0*w(192) + w(245) - w(242)
      w(198)=w(198)*w(17)
      w(245)=1.D0/2.D0*w(131)
      w(239)=w(239) + w(245)
      w(239)=w(239)*sdet3ctats
      w(219)= - 3.D0/2.D0*w(220) - w(129) + 1.D0/4.D0*w(219)
      w(219)=Ts*w(219)
      w(248)= - w(129)*w(51)
      w(249)=1.D0/4.D0*w(129)
      w(250)= - Qs*w(249)
      w(219)=w(219) + 1.D0/2.D0*w(239) + w(248) + w(250)
      w(198)=1.D0/2.D0*w(219) + w(198)
      w(198)=d0cctataqstszczta*w(198)
      w(219)= - w(140) + 1.D0/2.D0*w(139)
      w(219)=w(219)*w(143)
      w(248)=1.D0/2.D0*w(138)
      w(250)=w(248) - w(134)
      w(251)=1.D0/2.D0*w(250)
      w(219)=w(219) + w(251) + w(151)
      w(219)=w(219)*w(17)
      w(252)=1.D0/2.D0*w(137)
      w(253)=w(252) - w(157)
      w(254)=1.D0/2.D0*w(165)
      w(255)=w(254) + w(253)
      w(255)=sdet3ctats*w(255)
      w(256)=w(225)*w(156)
      w(256)=w(256) + w(134)
      w(256)=w(256)*pxx2zqsc
      w(255)=w(255) + w(256) + w(177)
      w(257)=w(143)*w(140)
      w(257)=w(257) + w(130)
      w(258)=1.D0/4.D0*w(138)
      w(259)=w(258) + w(257)
      w(259)=Ts*w(259)
      w(173)= - w(219) - w(173) + 1.D0/2.D0*w(255) + w(259)
      w(173)=w(173)*w(17)
      w(255)=w(14)*d0cctataqstswcwc
      w(259)=w(255)*Ts
      w(260)=w(14)*c0ccqswcw
      w(261)=w(259) - w(260)
      w(262)= - 3.D0*w(261)
      w(263)=mw**2
      w(264)=w(255)*w(263)
      w(265)=w(14)*c0ctatscwc
      w(266)=w(14)*c0tataqswcw
      w(267)=8.D0*w(264) - 4.D0*w(265) + w(262) + w(266)
      w(267)=w(267)*Ts
      w(264)=w(264) - w(265)
      w(268)=w(264) + w(260)
      w(269)=4.D0*w(263)
      w(268)=w(268)*w(269)
      w(267)=w(267) - w(268)
      w(270)=d0cctataqstswcwc*sdet4itatsus
      w(271)=w(270) + w(267)
      w(271)=Ts*w(271)
      w(272)=sdet4itatsus*c0tataqswcw
      w(273)=c0ccqswcw*sdet4itatsus
      w(274)=w(272) - w(273)
      w(275)=w(263)*d0cctataqstswcwc
      w(276)= - w(154)*w(275)
      w(277)=w(154)*c0ctatscwc
      w(271)=w(271) + w(276) + w(277) + w(274)
      w(271)=Ts*w(271)
      w(276)=w(269)*w(255)
      w(14)=2.D0*w(14)
      w(278)=w(14)*c0ctatscwc
      w(262)= - w(262) - w(276) + w(278) + w(266)
      w(255)=w(255)*w(17)
      w(279)=w(255) + w(262)
      w(279)=w(279)*w(17)
      w(278)= - w(260) + w(278) - w(266)
      w(259)= - w(259) + w(276) - w(278)
      w(276)= - w(259)*w(33)
      w(268)=w(279) + w(276) + w(270) + w(268)
      w(268)=w(268)*w(17)
      w(264)=w(266) + w(264)
      w(276)=2.D0*w(263)
      w(264)=w(264)*w(276)
      w(279)=w(261) + w(266)
      w(280)= - Ts*w(279)
      w(264)=w(280) + w(270) + w(264)
      w(264)=Ts*w(264)
      w(280)=w(275)*sdet4itatsus
      w(281)=w(280) - w(274)
      w(264)=w(264) - w(281)
      w(264)=2.D0*w(264) + w(268)
      w(264)=w(264)*w(17)
      w(268)=mw**4
      w(282)=w(270)*w(268)
      w(283)=2.D0*b0ftawc
      w(284)= - b0ftscc + w(283) - b0fqsww
      w(284)=w(284)*sdet4itatsus
      w(282)=w(284) + w(282)
      w(282)=2.D0*w(282)
      w(264)=w(264) + w(282) + w(271)
      w(264)=w(264)*w(17)
      w(259)=w(259)*Ts
      w(14)=w(275)*w(14)
      w(271)=w(14) - w(278)
      w(271)=w(271)*w(276)
      w(259)=w(259) - w(271)
      w(275)=w(259)*Ts
      w(275)=w(275) + w(277)
      w(277)=Ts*w(275)
      w(278)=b0ftscc - b0fqsww
      w(278)=w(278)*w(154)
      w(272)=w(272) + w(273)
      w(273)= - w(280) - w(272)
      w(273)=w(273)*w(276)
      w(273)=w(277) + w(273) + w(278) - d0cctataqstswcwc
      w(273)=Ts*w(273)
      w(277)=c0ccqswcw + c0tataqswcw
      w(264)=w(264) + w(273) + w(277)
      w(264)=w(264)*w(39)
      w(254)= - w(254) + w(253)
      w(254)=sdet3ctats*w(254)
      w(181)=1.D0/2.D0*w(181)
      w(254)=w(254) - w(181) + w(177)
      w(273)=w(130) + 1.D0/2.D0*w(163)
      w(278)=1.D0/2.D0*w(134)
      w(284)= - w(278) + w(273)
      w(284)=Ts*w(284)
      w(254)=1.D0/2.D0*w(254) + w(284)
      w(254)=Ts*w(254)
      w(260)=w(266) - w(260)
      w(284)=w(260)*w(17)
      w(285)=w(260)*w(276)
      w(284)=w(284) - w(285)
      w(284)=w(284)*w(17)
      w(284)=w(284) + w(274)
      w(284)=w(284)*w(17)
      w(274)=w(274)*w(276)
      w(274)=w(284) - w(274)
      w(284)=mta**4
      w(286)=w(284)*w(39)
      w(274)=w(274)*w(286)*w(6)
      w(287)=w(5)**2
      w(288)=w(287)*w(39)
      w(289)=1.D0/3.D0*b0fqsww
      w(290)=w(289)*Qs
      w(291)=b0fqsww*w(17)
      w(291)= - w(290) + w(291)
      w(291)=w(291)*w(288)
      w(292)=5.D0/3.D0*b0fqsww
      w(293)=w(39)*w(292)
      w(291)=w(293) + 1.D0/4.D0*w(291)
      w(291)=w(291)*w(287)
      w(293)=w(39)*w(17)
      w(294)=w(17)*c0tataqswcw
      w(295)=3.D0*w(294)
      w(296)=w(295) + w(283) - 7.D0/2.D0*b0fqsww
      w(296)=w(296)*w(293)
      w(297)=w(294) - b0fqsww
      w(298)=w(297)*w(288)
      w(299)=w(298)*w(284)
      w(296)=w(296) + 1.D0/2.D0*w(299)
      w(296)=w(296)*w(287)
      w(300)=w(294)*w(39)
      w(296)= - 7.D0/2.D0*w(300) + w(296)
      w(296)=sdet3itataqs*w(296)
      w(301)=d0cctataqsuszczta*sdet3ctaus*w(225)
      w(173)=w(296) + w(224) + w(301) + w(291) + w(198) + w(274) +
     & w(264) + w(173) - 1.D0/2.D0*w(171) + w(254)
      w(173)=w(1)*w(173)
      w(155)=w(155) - w(138)
      w(198)= - w(155) + 2.D0*w(142) + 4.D0*w(151)
      w(133)=w(133) - w(198)
      w(133)=w(133)*w(17)
      w(224)=w(210)*w(156)
      w(254)=w(132)*Us
      w(178)=w(178) + w(254) - w(224)
      w(254)=3.D0*w(157)
      w(137)=w(254) - w(137)
      w(165)=w(165) - w(137)
      w(165)=sdet3ctats*w(165)
      w(264)=5.D0*w(130)
      w(168)=w(264) + w(168)
      w(168)=Ts*w(168)
      w(133)=w(133) - w(174) + w(168) + w(165) + w(158) + w(178)
      w(133)=w(133)*w(17)
      w(165)=2.D0*w(171)
      w(166)=w(165) - w(166)
      w(133)=w(133) - w(166)
      w(168)=2.D0*w(193)
      w(168)= - w(168)*w(47)
      w(174)=5.D0*w(180)
      w(168)=w(174) + w(218) + w(168)
      w(168)=w(168)*w(17)
      w(193)=w(231) + w(180)
      w(193)=w(193)*Ts
      w(168)=w(168) - w(193) + w(191)
      w(168)=w(168)*w(17)
      w(191)=w(131) + w(221)
      w(191)=sdet3ctats*w(191)
      w(168)=w(168) + w(191) - w(216)
      w(168)=d0cctataqstszczta*w(168)
      w(191)=w(180)*w(17)
      w(216)= - w(212) - w(191)
      w(216)=w(216)*w(17)
      w(216)=4.D0*w(210) + w(216)
      w(216)=d0cctataqsuszczta*w(216)
      w(133)=w(204) + w(216) + 2.D0*w(133) + w(168)
      w(168)=w(90)*qta
      w(133)=w(133)*w(168)
      w(204)=w(4)**4
      w(216)=w(204)*w(263)
      w(221)=mh**2
      w(231)=w(221)*w(129)
      w(291)= - w(231) + 1.D0/2.D0*w(216)
      w(296)=w(17)*c0tataqsztah
      w(301)=1.D0/2.D0*w(296)
      w(291)=w(291)*w(301)
      w(302)=7.D0/2.D0*w(129)
      w(303)=w(302) - 9.D0
      w(304)=w(303)*w(129)
      w(305)=5.D0 + w(304)
      w(305)=b0fqscc*w(305)
      w(306)=w(204)*b0fqszh
      w(307)=1.D0/12.D0*w(306)
      w(308)=c0ccqscwc*w(263)
      w(305)=w(308) - a0fw - w(307) + w(305)
      w(305)=w(305)*w(263)
      w(308)=a0fw + b0fqsww
      w(309)=c0ccqswcw*w(263)
      w(309)=w(309) + w(308)
      w(309)=w(309)*w(39)*w(276)
      w(310)=1.D0/12.D0*w(231)
      w(311)= - 9.D0 + 41.D0/12.D0*w(129)
      w(311)=w(311)*w(129)
      w(311)=6.D0 + w(311)
      w(311)=w(311)*w(263)
      w(311)=w(310) + w(311)
      w(311)=a0fz*w(311)
      w(312)=w(129)*b0ftahta
      w(313)=w(312) - w(148)
      w(314)=w(313)*w(17)
      w(315)=w(225)*a0fh
      w(316)=w(129)*b0fqszh
      w(317)=w(315) + w(316)
      w(318)=1.D0/6.D0*w(221)
      w(317)=w(317)*w(318)
      w(305)=w(311) - w(291) + w(309) + 1.D0/4.D0*w(314) + w(317) +
     & w(305)
      w(305)=w(2)*w(305)
      w(309)=b0ftazta - b0ftahta
      w(311)=w(17)*w(309)*w(221)
      w(318)=mh**4
      w(319)=w(318)*w(296)
      w(311)=w(319) - w(311)
      w(319)=a0fh + b0fqszh
      w(319)=w(319)*w(318)
      w(320)=1.D0/3.D0*w(319)
      w(321)=w(311) + w(320)
      w(322)=1.D0/4.D0*w(2)
      w(321)=w(321)*w(322)
      w(323)=w(284)*c0tataqsztah
      w(321)=w(321) + w(323)
      w(319)=w(319)*w(7)
      w(319)=1.D0/12.D0*w(319)
      w(324)=1.D0/4.D0*w(221)
      w(325)=w(324) - w(17)
      w(325)=w(325)*w(17)*w(10)
      w(326)=w(319) - w(325)
      w(327)=1.D0/2.D0*b0fqscc
      w(328)=1.D0/2.D0*b0fqstata
      w(329)=w(327) - w(328)
      w(330)=a0fta + 3.D0
      w(330)=1.D0/2.D0*w(330) + b0fqszh + w(329) - b0ftawc
      w(331)=1.D0/4.D0*w(9)
      w(332)=w(331) + c0tataqstahta
      w(332)=w(332)*w(17)
      w(333)=1.D0/2.D0*w(330) + w(332)
      w(333)=w(333)*w(17)
      w(334)=3.D0*b0fqsww
      w(335)=3.D0*b0ftawc
      w(336)= - 1.D0 - w(335)
      w(336)= - w(295) + 1.D0/2.D0*w(336) + w(334)
      w(336)=w(336)*w(17)
      w(292)= - Qs*w(292)
      w(292)=w(292) + w(336)
      w(292)=w(292)*w(39)
      w(336)=1.D0/6.D0*b0fqsww
      w(37)=w(37)*w(336)
      w(337)=w(297)*w(17)
      w(338)=1.D0/2.D0*b0fqsww
      w(339)=w(338)*Qs
      w(337)=w(339) + w(337)
      w(339)= - w(337)*w(17)
      w(37)=w(37) + w(339)
      w(37)=w(37)*w(288)
      w(339)=a0fh + b0ftahta
      w(339)=w(339)*w(221)
      w(290)= - 1.D0/2.D0*w(339) + w(290)
      w(37)=1.D0/2.D0*w(37) + w(292) + 1.D0/4.D0*w(290) + w(333) +
     & w(326) - w(321)
      w(37)=w(37)*w(287)
      w(290)=w(221)*c0tataqstahta
      w(292)=w(290) + b0fqszh
      w(333)=2.D0*b0fqstata
      w(340)=3.D0/2.D0*b0fqscc
      w(292)= - w(333) + w(340) - w(309) - w(283) + 2.D0*w(292)
      w(309)= - w(292)*w(17)
      w(341)=1.D0/2.D0*w(290)
      w(342)= - b0fqszh + 1.D0/2.D0*b0ftazta
      w(343)= - w(328) + w(341) - w(342)
      w(344)=1.D0/2.D0*w(221)
      w(343)=w(343)*w(344)
      w(309)=w(343) + w(309)
      w(309)=w(309)*w(17)
      w(344)=13.D0*b0fqsww
      w(345)=11.D0*w(294) + 7.D0*b0ftawc - w(344)
      w(345)=w(345)*w(286)
      w(346)=w(31) - w(221)
      w(347)=w(346)*w(31)
      w(347)=w(347) + 1.D0/4.D0*w(318)
      w(347)=w(347)*w(296)
      w(348)=mta**6
      w(298)=w(298)*w(348)
      w(349)=2.D0*w(298)
      w(309)=w(349) + w(347) + w(309) + w(345)
      w(309)=w(309)*w(287)
      w(345)=11.D0/2.D0*w(263) + 6.D0*w(17)
      w(345)=w(345)*w(17)
      w(350)=w(348)*w(287)
      w(345)=w(345) + w(268) + 3.D0/2.D0*w(350)
      w(345)=w(345)*c0tataqscwc
      w(351)=3.D0/2.D0*w(216)
      w(352)=w(351) + w(231)
      w(353)=w(214)*w(17)
      w(353)= - w(353) + 1.D0/2.D0*w(352)
      w(353)=w(353)*w(296)
      w(345)=w(345) - w(353)
      w(353)=b0ftazta - b0fqstata
      w(354)=w(263)*c0tataqswcw
      w(344)= - 26.D0*w(294) + 11.D0*w(354) + w(344) - 13.D0*b0ftawc -
     & 24.D0*w(353)
      w(344)=w(344)*w(17)
      w(355)=b0fqsww - b0ftawc
      w(356)=w(355) + w(354)
      w(357)=w(356)*w(276)
      w(344)=w(357) + w(344)
      w(344)=w(344)*w(39)
      w(304)=w(304) + 6.D0
      w(357)=w(268)*w(129)
      w(358)=w(304)*w(357)
      w(359)=w(263)*w(17)
      w(360)=55.D0/4.D0*w(129)
      w(361)=w(360) - 36.D0
      w(362)= - w(361)*w(129)
      w(362)= - 24.D0 + w(362)
      w(362)=w(362)*w(359)
      w(362)= - w(358) + w(362)
      w(362)=c0tataqstazta*w(362)
      w(363)=w(225)*b0ftahta
      w(364)=w(363) - w(316)
      w(365)= - 3.D0/2.D0*w(364) + 9.D0/2.D0*b0fqscc
      w(361)=b0fqstata*w(361)
      w(366)=13.D0*w(129)
      w(367)=36.D0 - w(366)
      w(367)=b0ftazta*w(367)
      w(361)=w(367) + 6.D0*b0ftawc + w(361) - w(365)
      w(361)=w(361)*w(17)
      w(304)=w(353)*w(304)
      w(304)=w(304) + b0fqscc
      w(367)=b0ftawc - w(304)
      w(367)=w(367)*w(263)
      w(309)=w(309) + w(362) + w(344) + w(367) + w(361) + w(345)
      w(309)=sdet3itataqs*w(309)
      w(344)=w(204) + 2.D0
      w(344)=w(344)*w(129)
      w(361)=3.D0*w(129)
      w(362)=w(361)*a0fw
      w(344)=w(344) + w(362)
      w(362)=w(263)*w(8)**2
      w(344)=w(344)*w(362)
      w(367)=w(225) + 5.D0
      w(368)=1.D0/3.D0*w(129)
      w(367)=w(367)*w(368)
      w(367)=w(367) + 8.D0
      w(368)=w(249) + 4.D0
      w(369)=w(368)*w(129)
      w(369)=w(369) - 17.D0
      w(369)=w(369)*w(289)
      w(370)=w(225) - 8.D0
      w(371)=1.D0/3.D0*a0fw
      w(370)=w(370)*w(371)
      w(371)=w(129)*ZmzZzBos
      w(344)= - w(344) + 1.D0/3.D0*w(367) - w(370) - w(369) + w(371) -
     & w(306)
      w(344)=w(344)*w(263)
      w(362)=w(362)*w(4)**6
      w(362)=3.D0*w(362) + 1.D0/3.D0*w(204)
      w(362)=w(362)*w(263)
      w(362)=w(362) - 1.D0/6.D0*w(231)
      w(367)=1.D0/2.D0*a0fz
      w(362)=w(362)*w(367)
      w(367)=w(316) + w(225)
      w(315)= - w(315) + 1.D0/3.D0*w(367)
      w(315)=w(315)*w(221)
      w(367)=w(269)*w(39)
      w(308)=w(308) + 1.D0
      w(308)=w(308)*w(367)
      w(315)=w(315) + w(344) - w(362) + w(308)
      w(315)=w(315)*w(7)
      w(344)=w(296)*w(129)
      w(315)=w(315) - calDzFer + Za1Fer - w(344) + 1.D0/12.D0*w(316)
      w(316)=7.D0/4.D0*w(129)
      w(344)=w(316) - 6.D0
      w(344)=w(344)*w(11)
      w(331)=w(344) - w(331)
      w(331)=w(331)*w(17)
      w(331)=w(331) + w(315) + Za1Bos
      w(277)= - w(277)*w(269)
      w(344)=15.D0/2.D0*c0tataqswcw - 4.D0*w(11)
      w(344)=w(344)*w(17)
      w(362)=b0d1tataz - a0fta
      w(369)=9.D0*b0fqstata
      w(370)=5.D0/2.D0*b0ftawc
      w(277)=w(344) + w(277) + 8.D0*b0ftazta + 1.D0/2.D0*a0fw + b0fqsww
     &  + w(370) - 9.D0*b0fqscc - w(369) + 2.D0 + b0dwtacw + w(362)
      w(277)=w(277)*w(39)
      w(344)= - w(2)*w(358)
      w(371)=7.D0*w(129)
      w(372)=w(371) - 18.D0
      w(372)=w(372)*w(129)
      w(372)=w(372) + 12.D0
      w(372)=w(372)*w(263)
      w(373)=6.D0*w(39)
      w(374)= - w(373) - w(303)
      w(374)=Qs*w(374)
      w(344)=w(344) + w(372) + w(374)
      w(344)=c0ccqsczc*w(344)
      w(374)=5.D0/2.D0*w(129)
      w(375)=w(374) - 6.D0
      w(375)=w(375)*w(17)
      w(376)=2.D0*w(39)
      w(377)= - 3.D0*Qs - w(31)
      w(377)=w(377)*w(376)
      w(378)= - Qs*w(303)
      w(372)=w(377) - w(375) + w(378) + w(372)
      w(372)=c0tataqstazta*w(372)
      w(377)=w(284)*w(287)
      w(378)= - Qs + 1.D0/2.D0*w(377) + w(276) + w(17)
      w(378)=w(378)*c0tataqscwc
      w(378)=w(378) + 5.D0/4.D0*b0ftawc
      w(379)=w(3)**2
      w(380)=w(379) - 2.D0
      w(381)=DeltarhoFer + DeltarhoBos
      w(380)=w(381)*w(380)
      w(382)= - 3.D0 + 5.D0/4.D0*w(129)
      w(382)=w(382)*w(129)
      w(382)=w(382) + 2.D0
      w(382)=w(382)*w(11)
      w(382)=w(382) + 1.D0/2.D0*w(9)
      w(383)=w(382) + 2.D0*c0ccqscwc
      w(383)=w(383)*w(263)
      w(384)=Qs*c0ccqscwc
      w(383)=w(383) - w(384)
      w(384)=1.D0/2.D0*a0fta
      w(385)=1.D0/2.D0*b0d1tataz - w(384)
      w(386)=w(129) - 3.D0
      w(385)=w(386)*w(385)
      w(387)=11.D0 - w(302)
      w(340)=w(387)*w(340)
      w(289)= - w(368)*w(289)
      w(368)=27.D0 - 43.D0/4.D0*w(129)
      w(368)=1.D0/2.D0*w(368) - 9.D0*w(39)
      w(368)=a0fz*w(368)
      w(387)=b0dwtacw - 139.D0/18.D0
      w(303)=b0fqstata*w(303)
      w(388)=37.D0/8.D0*w(129)
      w(389)= - 12.D0 + w(388)
      w(389)=b0ftazta*w(389)
      w(37)=w(133) + w(173) + w(309) + w(37) + w(372) + w(344) + w(305)
     &  + w(368) + w(277) + w(389) + 7.D0/4.D0*a0fw + w(289) + w(340)
     &  - 3.D0/2.D0*w(303) - 197.D0/72.D0*w(129) - w(331) + w(385) -
     & w(387) - w(383) - w(378) + w(380)
      w(133)=2.D0*w(54)
      w(53)=w(133) - w(53)
      w(173)= - w(53)*w(112)
      w(277)=4.D0*sdet3ictats
      w(59)=w(59)*w(277)
      w(59)=w(59) + w(74) + w(173) - 12.D0*w(69) - w(66)
      w(59)=w(59)*w(17)
      w(66)=w(85) + w(69)
      w(78)= - w(77) - 3.D0*w(66) + 2.D0*w(78)
      w(78)=Us*w(78)
      w(50)=w(76) - w(50)
      w(50)=w(52)*w(50)
      w(50)=w(50) + w(54)
      w(173)=w(50)*w(112)
      w(173)=w(77) + w(173) - 3.D0*w(81) - w(69)
      w(173)=Ts*w(173)
      w(58)=3.D0*w(87) - w(58) - w(21)
      w(87)=w(81) - w(82)
      w(115)= - w(87)*w(115)
      w(58)=w(59) + w(173) + w(78) - w(96) + w(115) + 2.D0*w(58) + 3.D0
     & *w(88)
      w(58)=w(58)*w(17)
      w(59)=w(81)*w(51)
      w(78)=w(82)*w(51)
      w(59)=w(59) - w(78)
      w(59)=w(59)*sdet3ctats
      w(59)=w(59) + w(65)
      w(115)= - w(98) - w(59)
      w(102)= - 4.D0*w(102) + 2.D0*w(115) + w(108)
      w(102)=w(102)*w(101)
      w(58)=w(102) + w(58) - w(75)
      w(102)=w(107)*w(90)
      w(58)=w(58)*w(102)
      w(50)=sdet3ctats*w(50)
      w(50)=w(50) - w(69) - w(81)
      w(50)=Ts*w(50)
      w(53)=w(53)*sdet3ctats
      w(61)=w(61) - w(70) - w(53)
      w(61)=w(61)*w(17)
      w(87)= - w(87)*w(112)
      w(50)=w(61) + w(50) + w(87) + w(106)
      w(50)=w(50)*w(17)
      w(59)= - w(95) - w(59)
      w(59)=w(59)*w(101)
      w(50)=w(50) + w(59)
      w(50)=z_ex*w(50)
      w(50)=w(50) + 2.D0*w(110)
      w(50)=w(1)*w(50)
      w(59)=w(125)*z_ex
      w(61)=1.D0/2.D0*w(17)
      w(87)=w(59)*w(61)
      w(50)=w(87) + w(50)
      w(50)=qta*w(50)
      w(63)=w(63)*z_ex
      w(63)=w(63) - w(123)
      w(95)= - w(63)*w(109)
      w(50)=w(50) + w(95) + w(58)
      w(58)=w(189)*Us
      w(95)=w(203)*sdet3ctats
      w(58)= - w(236) + w(58) + w(95)
      w(95)= - 3.D0/2.D0*w(180) - w(209)
      w(95)=w(95)*w(17)
      w(106)=w(361) - w(131)
      w(95)=w(95) + 1.D0/2.D0*w(106) + w(197) + w(58)
      w(95)=d0cctataqstszczta*w(95)
      w(106)=2.D0*w(163)
      w(110)=2.D0*w(162) + w(106) + w(138)
      w(115)= - Ts*w(110)
      w(123)= - w(130) + w(198)
      w(123)=w(123)*w(17)
      w(125)=w(172)*sdet3ctats
      w(162)=w(157) + w(134)
      w(163)=w(162)*pxx2zqsc
      w(173)=w(220)*c0ctatsczta
      w(198)=w(129)*c0ctatsczta
      w(173)=w(173) + w(198)
      w(236)=w(173)*w(60)
      w(95)=w(95) + w(123) + w(236) + w(115) + w(125) - w(163) - w(178)
      w(95)=w(17)*w(95)
      w(115)=2.D0*w(145)
      w(123)=w(130) + w(134)
      w(123)= - 3.D0*w(123) - w(132)
      w(123)=8.D0*w(151) + w(115) + 4.D0*w(142) + 2.D0*w(123) + 3.D0*
     & w(138)
      w(123)=w(123)*w(17)
      w(106)= - w(106) - w(264) + w(155)
      w(106)=w(106)*w(33)
      w(159)= - b0ftstac*w(159)
      w(159)=3.D0*w(176) + w(159) - w(161)
      w(137)=w(137)*w(112)
      w(178)= - w(228) - w(254)
      w(178)=pxx2zqsc*w(178)
      w(236)=w(173)*w(277)
      w(106)=w(123) + w(236) + w(106) + w(137) + 2.D0*w(159) + w(178)
     &  + w(230)
      w(106)=w(106)*w(17)
      w(123)=w(218) + w(180)
      w(123)= - w(123)*w(17)
      w(137)=w(131) - w(214)
      w(159)=sdet3ctats*w(186)
      w(123)=w(123) + w(193) + w(215) + w(159) + 2.D0*w(197) - w(137)
      w(123)=w(123)*w(17)
      w(159)=w(214)*sdet3ctats
      w(123)= - w(159) + w(123)
      w(123)=d0cctataqstszczta*w(123)
      w(178)=w(222)*w(18)
      w(165)= - w(175) + w(178) + w(165)
      w(106)=w(123) + w(106) + w(165)
      w(123)=w(234) - w(201)
      w(123)=w(123)*w(31)
      w(137)= - 2.D0*w(137) + w(197)
      w(137)= - w(123) + w(241) + 2.D0*w(137) - w(195)
      w(137)=w(137)*w(17)
      w(175)=w(206)*sdet3ctaus
      w(175)=w(175) + w(213)
      w(137)=w(137) - w(175)
      w(137)=d0cctataqsuszczta*w(137)
      w(106)=2.D0*w(106) + w(137)
      w(106)=w(106)*w(113)
      w(137)=sdet3ctats*w(253)
      w(178)=1.D0/2.D0*w(163)
      w(173)=w(173)*sdet3ictats
      w(137)=w(173) - w(137) - w(178) - w(177)
      w(177)= - 1.D0/4.D0*w(131) + w(243) + w(129)
      w(177)=1.D0/2.D0*w(177)
      w(186)=w(180) + 1.D0/2.D0*w(209)
      w(186)=w(186)*w(61)
      w(193)= - sdet3ctats*w(180)
      w(186)=w(186) - w(177) + w(193) - w(242)
      w(186)=d0cctataqstszczta*w(186)
      w(193)=w(278) - w(258)
      w(195)= - w(193) + w(273)
      w(195)=Ts*w(195)
      w(137)=w(186) - w(219) + w(195) - 1.D0/2.D0*w(137)
      w(137)=w(17)*w(137)
      w(186)=w(270) + w(259)
      w(186)=Ts*w(186)
      w(195)=c0ctatscwc*sdet4itatsus
      w(206)=w(195) - w(280)
      w(186)=w(186) - w(272) + 4.D0*w(206)
      w(186)=Ts*w(186)
      w(14)=w(14) - w(265)
      w(206)=w(14) - w(261)
      w(213)= - 2.D0*w(206) + w(255)
      w(213)=w(213)*w(17)
      w(14)= - w(266) - w(14)
      w(14)=w(14)*w(33)
      w(14)=w(213) + w(14) + w(270) + w(271)
      w(14)=w(14)*w(17)
      w(206)=Ts*w(206)
      w(213)=w(260)*w(263)
      w(206)=w(206) + w(270) + w(213)
      w(206)=Ts*w(206)
      w(206)=w(206) - w(281)
      w(14)=2.D0*w(206) + w(14)
      w(14)=w(14)*w(17)
      w(14)=w(14) + w(282) + w(186)
      w(14)=w(14)*w(17)
      w(186)=w(195)*w(263)
      w(195)=b0ftawc - b0ftscc
      w(195)=w(195)*sdet4itatsus
      w(186)=w(195) + w(186)
      w(195)=sdet3ictats*Ts**2
      w(195)= - Ts + w(195)
      w(195)=w(186)*w(195)
      w(14)=4.D0*w(195) + w(14)
      w(14)=w(14)*w(39)
      w(195)=b0fqsww*w(5)**4*w(293)
      w(14)=1.D0/4.D0*w(195) + w(274) + w(14) + w(137)
      w(14)=w(12)*w(14)
      w(137)=w(294) + b0ftawc - 3.D0/2.D0*b0fqsww
      w(137)=w(12)*w(137)*w(293)
      w(195)=1.D0/2.D0*w(12)
      w(206)=w(195)*w(299)
      w(137)=w(137) + w(206)
      w(137)=w(137)*w(287)
      w(206)=w(300)*w(12)
      w(206)=3.D0/2.D0*w(206)
      w(137)= - w(206) + w(137)
      w(137)=sdet3itataqs*w(137)
      w(213)=w(212) + w(129)
      w(215)=w(213)*d0cctataqsuszczta
      w(219)=w(61)*w(215)
      w(14)=w(137) + w(106) + w(219) + w(95) + w(14)
      w(14)=w(1)*w(14)
      w(95)=7.D0*w(134)
      w(106)=12.D0*w(151) + w(145) + 6.D0*w(142) + 7.D0/2.D0*w(138) -
     & w(95) - w(235)
      w(106)=w(106)*w(17)
      w(137)=1.D0/2.D0*w(164)
      w(151)= - w(137) + 7.D0*w(157) - w(252)
      w(151)=sdet3ctaus*w(151)
      w(110)= - w(110)*w(237)
      w(141)=w(141)*w(146)
      w(141)=w(141) + w(248)
      w(164)= - w(170) - w(141)
      w(164)=Us*w(164)
      w(147)=w(173) - w(147)
      w(170)= - w(228) - 7.D0/2.D0*w(157)
      w(170)=pxx2zqsc*w(170)
      w(106)=w(106) + w(110) + w(164) + w(151) + 3.D0*w(125) + w(170)
     &  + 7.D0*w(176) - w(161) + 6.D0*w(147)
      w(106)=w(106)*w(17)
      w(110)=w(152)*w(113)
      w(125)=w(137) - w(253)
      w(125)=w(125)*sdet3ctaus
      w(147)=w(185)*Us
      w(125)= - w(125) - w(187) + w(147) - w(181)
      w(125)=w(125)*Us
      w(147)=w(222)*w(31)
      w(110)=w(125) - w(171) - w(147) + w(110)
      w(125)=w(245) - w(197)
      w(147)= - w(180) - w(209)
      w(147)=w(147)*w(17)
      w(58)=w(147) + w(58) - w(125) + w(129)
      w(58)=w(58)*w(238)
      w(58)= - w(217) + w(58)
      w(58)=d0cctataqstszczta*w(58)
      w(147)=1.D0/4.D0*w(190)
      w(151)= - w(205) + w(147) + w(234)
      w(151)=w(151)*sdet3ctaus
      w(152)=w(246) - w(201)
      w(152)=w(152)*w(61)
      w(151)= - w(151) + w(152) - 1.D0/4.D0*w(196)
      w(152)=1.D0/2.D0*w(194)
      w(147)=w(152) + w(246) - w(147)
      w(147)=Us*w(147)
      w(147)=w(147) + w(243) + w(207) - w(131) - w(151)
      w(147)=w(147)*w(17)
      w(161)=w(194)*Qs
      w(161)=w(161) + w(245)
      w(161)=w(161)*sdet3ctaus
      w(164)=w(129)*pxx2zqsc
      w(170)=w(225)*Qs
      w(161)=w(161) - w(164) + w(170)
      w(164)=w(129) - 1.D0/4.D0*w(211) + 3.D0/2.D0*w(212)
      w(164)=w(164)*Us
      w(161)= - w(164) + 1.D0/2.D0*w(161)
      w(147)=w(147) - w(161)
      w(147)=d0cctataqsuszczta*w(147)
      w(58)=w(147) + w(58) + w(106) - w(110)
      w(58)=w(58)*w(168)
      w(106)=w(216) - w(231)
      w(106)=w(106)*w(296)
      w(147)=w(317) + w(308)
      w(106)=w(106) - w(147)
      w(164)=3.D0/2.D0*w(129)
      w(171)= - 1.D0/6.D0*w(306) - 7.D0/3.D0 - w(164)
      w(173)=w(386)*w(225)
      w(173)=1.D0 + w(173)
      w(173)=b0fqscc*w(173)
      w(181)=4.D0*c0ccqswcw + c0ccqscwc
      w(181)=w(181)*w(263)
      w(171)=w(181) + 4.D0/3.D0*a0fw + 7.D0/3.D0*b0fqsww + 1.D0/2.D0*
     & w(171) + 7.D0*w(173)
      w(171)=w(171)*w(263)
      w(173)=w(351) - w(231)
      w(181)=w(173)*w(296)
      w(181)= - 3.D0/2.D0*w(314) + w(181)
      w(181)=w(12)*w(181)
      w(197)= - 21.D0 + 41.D0/6.D0*w(129)
      w(197)=w(197)*w(225)
      w(197)=8.D0 + w(197)
      w(197)=w(197)*w(263)
      w(197)=w(310) + w(197)
      w(197)=a0fz*w(197)
      w(201)=w(129)*b0fqscc
      w(211)=w(361) - 4.D0
      w(219)=w(211)*w(201)
      w(222)=2.D0*b0fqsww
      w(228)=w(222) + 2.D0*a0fw
      w(230)= - c0ccqswcw*w(276)
      w(219)=w(230) + w(219) - w(228)
      w(219)=w(219)*w(268)
      w(230)=w(211)*w(357)
      w(231)=a0fz*w(230)
      w(219)=w(219) + w(231)
      w(219)=w(2)*w(219)
      w(171)=w(219) + w(197) + 1.D0/4.D0*w(181) + w(314) + w(171) -
     & w(106)
      w(171)=w(2)*w(171)
      w(181)=w(17)*w(129)
      w(181)= - w(181) + 1.D0/4.D0*w(352)
      w(181)=w(181)*w(296)
      w(197)=w(129)*b0fqstata
      w(219)=w(364) + w(197)
      w(219)= - b0fqscc + 1.D0/2.D0*w(219)
      w(231)= - 3.D0/8.D0*w(148) + 3.D0/2.D0*w(219) + w(283)
      w(231)=w(231)*w(17)
      w(235)=7.D0*w(356) - 12.D0*w(294)
      w(235)=w(235)*w(293)
      w(231)= - w(181) + w(231) + w(235)
      w(231)=w(12)*w(231)
      w(235)=w(290) - b0fqstata
      w(236)=w(235) - w(342) + 1.D0/2.D0*b0ftahta
      w(237)=w(236)*w(324)
      w(236)= - b0ftawc + w(236) + w(327)
      w(241)= - w(236)*w(17)
      w(241)=w(237) + w(241)
      w(241)=w(241)*w(17)
      w(242)=5.D0*b0fqsww
      w(243)=w(295) + w(335) - w(242)
      w(243)=w(243)*w(286)
      w(245)=w(346)*w(17)
      w(245)=w(245) + 1.D0/8.D0*w(318)
      w(245)=w(245)*w(296)
      w(241)=w(349) + w(245) + w(241) + w(243)
      w(241)=w(12)*w(241)
      w(235)=w(235) + b0ftahta
      w(243)=w(17)*w(235)*w(324)
      w(241)= - w(243) + w(241)
      w(241)=w(241)*w(287)
      w(246)=w(129) - 2.D0
      w(248)=w(246)*w(129)
      w(248)=w(248) + 1.D0
      w(252)= - w(248)*w(268)*w(214)
      w(254)=w(17)*w(12)
      w(216)=w(254)*w(216)
      w(216)=3.D0/4.D0*w(216)
      w(255)=w(359)*w(129)
      w(258)=13.D0/4.D0*w(129)
      w(259)=w(258) - 6.D0
      w(260)= - w(259)*w(255)
      w(252)= - w(216) + w(252) + w(260)
      w(252)=c0tataqstazta*w(252)
      w(260)=w(248)*w(276)
      w(259)= - w(17)*w(259)
      w(259)= - w(260) + w(259)
      w(259)=w(353)*w(259)
      w(261)=w(31) + 3.D0/2.D0*w(263)
      w(261)=w(261)*w(254)
      w(264)=w(350)*w(195)
      w(261)=w(261) + w(264)
      w(261)=w(261)*c0tataqscwc
      w(231)=w(261) + w(241) + w(252) + w(231) + w(259)
      w(231)=sdet3itataqs*w(231)
      w(241)=w(126) + w(120)
      w(252)=w(18)*w(11)
      w(259)=4.D0*b0ftazta
      w(252)= - w(259) + w(252) + 3.D0/2.D0 + w(241) + w(362)
      w(252)=w(252)*w(39)
      w(252)=w(252) + PiZgFer + w(331) + w(381)
      w(264)=w(31) + Qs
      w(264)=w(264)*w(376)
      w(265)=w(254)*w(225)
      w(266)= - Qs*w(246)
      w(260)=w(266) + w(260)
      w(266)=w(302) - 6.D0
      w(270)= - w(266)*w(17)
      w(260)=w(265) - w(264) + 2.D0*w(260) + w(270)
      w(260)=c0tataqstazta*w(260)
      w(270)= - w(337)*w(288)
      w(271)=w(329) + 1.D0/2.D0*b0fqszh
      w(270)=w(270) + 1.D0 + w(271)
      w(270)=w(61)*w(270)
      w(273)= - 1.D0/2.D0 + w(355) - w(294)
      w(273)=w(273)*w(293)
      w(270)= - 1.D0/2.D0*w(323) + w(273) + w(270)
      w(270)=w(12)*w(270)
      w(273)=w(311)*w(195)
      w(273)=w(273) + w(320)
      w(273)=w(273)*w(322)
      w(274)=1.D0/8.D0*w(339)
      w(278)=w(326) - w(274)
      w(117)=w(117) - b0ftawc
      w(281)=w(332) + 1.D0/4.D0*w(117)
      w(281)=w(281)*w(17)
      w(270)= - w(273) + w(281) + w(270) + w(278)
      w(270)=w(270)*w(287)
      w(282)=12.D0 - w(302)
      w(282)=w(282)*w(129)
      w(282)= - 10.D0 + w(282)
      w(282)=w(282)*w(357)
      w(289)=mw**6
      w(204)=w(289)*w(204)
      w(296)=w(204)*w(2)
      w(303)=w(296)*w(211)
      w(282)=w(282) - w(303)
      w(282)=w(2)*w(282)
      w(305)=w(371) - 15.D0
      w(305)=w(305)*w(129)
      w(305)=w(305) + 8.D0
      w(305)=w(305)*w(263)
      w(266)=w(266)*Qs
      w(266)=w(305) - w(266)
      w(116)= - w(39)*w(116)
      w(116)=w(282) + w(116) + w(266)
      w(116)=c0ccqsczc*w(116)
      w(254)=w(254)*c0tataqscwc
      w(282)=w(249) - 1.D0
      w(305)=w(282)*b0d1tataz
      w(306)=w(282)*a0fta
      w(254)= - w(306) + w(254) + w(305)
      w(305)= - w(336) - 21.D0/2.D0*b0fqscc
      w(308)=w(225) - 1.D0
      w(305)=w(308)*w(305)
      w(309)= - w(246)*w(120)
      w(311)=3.D0*w(39)
      w(314)= - w(311) + 9.D0 - 43.D0/8.D0*w(129)
      w(314)=a0fz*w(314)
      w(317)=25.D0/8.D0*w(129)
      w(318)= - 7.D0 + w(317)
      w(318)=b0ftazta*w(318)
      w(14)=w(58) + w(14) + w(231) + w(270) + w(260) + w(116) + w(171)
     &  + w(314) + w(206) + w(318) + 3.D0/2.D0*a0fw + w(309) - 143.D0/
     & 72.D0*w(129) - 1.D0/2.D0*w(387) + w(305) - w(254) - w(383) -
     & w(252)
      w(13)=2.D0*w(13)
      w(13)=w(168)*w(13)
      w(58)=w(77) - w(81)
      w(116)=w(58) + w(69)
      w(116)=w(116)*Ts
      w(97)=w(97) + w(88)
      w(116)=w(116) + w(97)
      w(171)=w(74) - w(71)
      w(171)=w(171)*w(17)
      w(77)= - w(77) - w(111) - w(85)
      w(77)=Us*w(77)
      w(77)=w(171) + w(77) - w(96) + w(116)
      w(77)=w(77)*w(17)
      w(96)= - 2.D0*w(98) - w(108)
      w(96)=w(96)*w(101)
      w(75)=w(96) + w(77) - w(75)
      w(75)=w(75)*w(102)
      w(13)=w(13) - w(128) + w(75)
      w(75)=13.D0/4.D0*b0fqsww
      w(77)=w(360) - 24.D0
      w(96)=b0fqstata*w(77)
      w(98)=24.D0 - w(366)
      w(98)=b0ftazta*w(98)
      w(96)=11.D0/4.D0*w(294) - 13.D0/2.D0*w(354) + w(98) - w(75) + 31.D
     & 0/4.D0*b0ftawc + w(96) - w(365)
      w(96)=w(96)*w(17)
      w(98)=1.D0/2.D0*w(294)
      w(102)=w(98) - w(338)
      w(111)=w(102) - w(292)
      w(111)=w(111)*w(17)
      w(111)=w(343) + w(111)
      w(111)=w(111)*w(17)
      w(111)=w(111) + w(347)
      w(111)=w(111)*w(287)
      w(77)= - w(77)*w(129)
      w(77)= - 8.D0 + w(77)
      w(77)=w(77)*w(359)
      w(77)= - w(303) - w(358) + w(77)
      w(77)=c0tataqstazta*w(77)
      w(75)=11.D0/4.D0*w(354) + w(75) - 9.D0/4.D0*b0ftawc - w(304)
      w(75)=w(75)*w(263)
      w(128)=2.D0*w(354) + w(222) - w(283)
      w(171)=w(197) - w(148)
      w(197)=w(211)*w(171)
      w(197)=w(197) - w(128)
      w(206)=w(268)*w(2)
      w(197)=w(197)*w(206)
      w(231)=w(353)*w(293)
      w(75)=w(111) + w(77) + w(197) - 8.D0*w(231) + w(75) + w(96) +
     & w(345)
      w(75)=sdet3itataqs*w(75)
      w(77)= - w(137) - w(253)
      w(77)=sdet3ctaus*w(77)
      w(96)= - w(183) - w(141)
      w(96)=Us*w(96)
      w(111)=w(145) + w(250)
      w(111)=w(111)*w(17)
      w(77)=w(111) + w(96) + w(77) - w(256) + w(187)
      w(77)=w(77)*w(17)
      w(96)=w(189) - w(194)
      w(96)=w(96)*Us
      w(111)= - 1.D0/2.D0*w(96) + w(192) - w(151)
      w(111)=w(111)*w(17)
      w(111)=w(111) - w(161)
      w(111)=d0cctataqsuszczta*w(111)
      w(137)= - d0cctataqstszczta*w(217)
      w(77)=w(111) + w(137) + w(77) - w(110)
      w(77)=w(77)*w(168)
      w(110)=w(164) - 2.D0
      w(111)= - b0fqstata - a0fta
      w(111)=w(110)*w(111)
      w(137)=2.D0*b0fqscc
      w(141)=w(248)*w(137)
      w(111)=5.D0/4.D0*w(354) - 1.D0/6.D0*a0fw - 11.D0/12.D0*b0fqsww +
     & 3.D0/4.D0*b0ftawc + w(141) - w(307) - w(164) + 1.D0/3.D0 -
     & b0dwtacw + w(111)
      w(111)=w(111)*w(263)
      w(141)=1.D0/2.D0*b0ftawc
      w(145)=w(338) + 1.D0
      w(151)= - b0ftazta*w(225)
      w(151)=w(151) - w(141) + w(363) + w(145)
      w(151)=1.D0/4.D0*w(294) + 1.D0/2.D0*w(151) - w(354)
      w(151)=w(151)*w(17)
      w(161)= - 4.D0 + 23.D0/12.D0*w(129)
      w(161)=w(161)*w(129)
      w(161)=2.D0 + w(161)
      w(161)=w(161)*w(263)
      w(161)=w(310) + w(161)
      w(161)=a0fz*w(161)
      w(192)=w(110)*w(263)
      w(197)=b0d1tataz*w(192)
      w(111)=w(161) - w(291) + w(151) + w(197) + w(111) + w(147)
      w(111)=w(2)*w(111)
      w(135)=w(115) - w(135)
      w(135)=w(135)*w(17)
      w(147)=w(160)*Ts
      w(151)=w(154)*c0ccqszcz
      w(161)=w(151)*w(217)
      w(147)=w(147) - w(161)
      w(197)=w(232) - w(229)
      w(197)=sdet3ctaus*w(197)
      w(169)= - 6.D0*w(132) - w(169)
      w(169)=Us*w(169)
      w(135)=w(135) + w(169) + w(197) - w(147) - w(158) + w(188)
      w(135)=w(135)*w(17)
      w(169)=w(220) + w(191)
      w(169)=w(169)*w(17)
      w(159)= - w(159) + w(169)
      w(159)=d0cctataqstszczta*w(159)
      w(135)=w(159) + w(135) + w(165)
      w(159)=w(234) + w(240)
      w(159)=Us*w(159)
      w(123)= - w(123) + w(159) - w(199)
      w(123)=w(123)*w(17)
      w(123)=w(123) - w(175)
      w(123)=d0cctataqsuszczta*w(123)
      w(123)=2.D0*w(135) + w(123)
      w(123)=w(123)*w(114)
      w(135)=w(2)*w(230)
      w(135)=w(135) - w(264) - w(375) + w(266)
      w(135)=c0tataqstazta*w(135)
      w(159)=w(338) + w(330)
      w(159)=1.D0/2.D0*w(159) + w(332)
      w(159)=w(159)*w(17)
      w(159)=w(159) + w(278) - w(321)
      w(159)=w(159)*w(287)
      w(165)= - w(2)*w(357)
      w(165)=w(165) + w(276)
      w(165)=w(248)*w(165)
      w(169)= - w(39) - w(246)
      w(169)=Qs*w(169)
      w(165)=w(165) + w(169)
      w(169)=2.D0*c0ccqsczc
      w(165)=w(165)*w(169)
      w(175)=w(225)*w(362)
      w(197)=3.D0 - w(316)
      w(197)=w(197)*w(120)
      w(199)=5.D0/2.D0 - w(129)
      w(199)=w(199)*w(126)
      w(229)= - w(308)*w(336)
      w(230)= - w(382)*w(263)
      w(231)= - w(311) + 6.D0 - w(317)
      w(231)=a0fz*w(231)
      w(232)= - 9.D0 + w(388)
      w(232)=b0ftazta*w(232)
      w(75)=w(77) + w(123) + w(75) + w(159) + w(135) + w(165) + w(111)
     &  + w(231) + w(230) + w(232) + 1.D0/4.D0*a0fw + w(229) + w(199)
     &  + w(197) - 85.D0/36.D0*w(129) + 83.D0/18.D0 - b0dwtacw + w(175)
     &  - w(252) - w(378)
      w(53)=w(53) + 3.D0*w(69) - w(58)
      w(53)=Ts*w(53)
      w(58)=w(133) - w(73)
      w(58)=w(58)*sdet3ctaus
      w(73)=w(54)*sdet3ctats
      w(71)=w(58) - w(73) + w(71)
      w(71)=w(71)*w(17)
      w(72)=w(76) - w(72)
      w(52)=w(52)*w(72)
      w(52)=w(52) + w(54)
      w(52)=w(52)*sdet3ctaus
      w(52)=w(52) - w(66)
      w(52)=w(52)*Us
      w(66)=w(85) - w(82)
      w(72)=2.D0*sdet3ctaus
      w(66)=w(66)*w(72)
      w(52)=w(52) - w(66)
      w(66)=w(69) - w(81)
      w(66)=2.D0*w(66) + w(94)
      w(66)=sdet3ctats*w(66)
      w(53)=w(71) + w(93) + w(53) + w(66) - w(97) - w(52)
      w(53)=w(53)*w(17)
      w(23)=w(23)*w(284)
      w(23)=w(23) - w(103)
      w(23)=w(23)*w(104)
      w(66)=w(85)*w(51)
      w(66)=w(66) - w(78)
      w(66)=w(66)*sdet3ctaus
      w(66)=w(66) + w(108)
      w(71)=w(86)*javqstseltaz
      w(76)=w(71)*sdet3ctats
      w(77)= - w(76) + w(66)
      w(77)=w(77)*w(101)
      w(53)= - w(23) + w(77) + w(83) + w(53)
      w(53)=w(53)*w(107)
      w(77)=w(121)*FSR
      w(78)=w(127)*ISR
      w(77)=w(78) + w(77)
      w(78)=w(2)*w(77)*w(49)
      w(53)=w(53) + w(78)
      w(53)=w(53)*w(109)
      w(16)=w(16)*Us
      w(16)=w(16) - w(32)
      w(32)=w(19)*c0tataqsctac
      w(34)= - w(34) + 4.D0*w(32)
      w(20)=w(20) - w(57)
      w(78)= - w(20)*w(277)
      w(78)=w(78) + w(34) - 4.D0*w(16)
      w(78)=Ts*w(78)
      w(24)=w(38) + w(24)
      w(29)=sdet3ctats*w(29)
      w(29)=w(29) + w(16)
      w(29)=w(29)*w(18)
      w(34)= - Us*w(34)
      w(24)=w(29) + w(34) + 2.D0*w(24) - w(41) + w(78)
      w(24)=w(24)*w(17)
      w(29)=w(19)*c0elelqscelc
      w(29)=w(29) + w(32)
      w(29)=w(29)*Qs
      w(32)=sdet3ctaus*jaaqsuselta
      w(34)= - w(19)*w(32)
      w(34)= - w(29) + w(34)
      w(34)=Us*w(34)
      w(38)=w(45) - w(40)
      w(29)=w(29) - w(38)
      w(29)=Ts*w(29)
      w(40)=w(154)*w(44)
      w(21)=w(21) - w(57)
      w(21)=w(21)*Us
      w(41)=sdet3ictaus*w(18)*w(21)
      w(24)=w(41) + w(24) + w(29) + w(40) + w(34)
      w(24)=w(39)*w(24)
      w(29)=w(39)*w(27)
      w(32)= - w(29)*w(32)
      w(27)=w(48)*w(27)*sdet3ctats
      w(27)=w(27) + w(32) - w(77)
      w(27)=w(2)*w(27)
      w(32)=sdet3ctats**2
      w(34)= - w(32)*w(35)
      w(34)=w(19) + w(34)
      w(34)=Ts*sdet3ctats*w(34)
      w(35)=w(17)*w(46)
      w(34)=w(34) + w(35)
      w(34)=w(34)*w(48)
      w(24)=w(27) + w(34) + w(24)
      w(24)=w(24)*w(49)
      w(24)=w(24) + w(53)
      w(24)=w(1)*w(24)
      w(27)=w(118)*w(31)
      w(34)=FSR*lnlatam
      w(35)=ISR*lnlaelm
      w(27)= - w(27) + w(34) + w(35)
      w(34)= - w(2)*w(27)
      w(35)=w(124) + w(118)
      w(34)=w(34) + w(35)
      w(40)=w(49)*prop1zqs
      w(40)=2.D0*w(40)
      w(34)=w(34)*w(40)
      w(34)=w(34) - w(63)
      w(34)=w(34)*w(109)
      w(41)=w(70) + w(58)
      w(41)=w(41)*w(17)
      w(41)=w(41) - w(116) - w(52)
      w(41)=w(41)*w(17)
      w(44)=w(65) + w(66)
      w(44)=w(44)*w(101)
      w(23)= - w(23) + w(41) + w(44)
      w(23)=w(1)*z_ex*w(23)
      w(23)=w(87) + w(23)
      w(23)=qta*w(23)
      w(41)=sdet3ctaus*c0irtaelus
      w(44)= - c0irtaelts*sdet3ctats
      w(41)=w(44) + w(41)
      w(29)=w(29)*w(41)
      w(27)=w(29) + w(27)
      w(27)=w(2)*w(27)
      w(27)=w(27) - w(35)
      w(27)=w(27)*w(40)
      w(23)=w(23) + w(24) + w(27) + w(34)
      w(24)=5.D0*w(129)
      w(27)=w(24) - 7.D0
      w(29)=w(263)*w(11)
      w(27)=w(27)*w(29)*w(249)
      w(34)= - 5.D0 + w(214)
      w(34)=w(34)*w(129)
      w(34)=3.D0 + w(34)
      w(34)=b0fqscc*w(34)
      w(35)=25.D0/3.D0 - w(361)
      w(40)=3.D0 - 35.D0/16.D0*w(129)
      w(40)=b0fqstata*w(40)
      w(41)= - 4.D0 + 37.D0/16.D0*w(129)
      w(41)=b0ftazta*w(41)
      w(34)= - w(27) + w(41) + 8.D0/3.D0*a0fw + 17.D0/3.D0*b0fqsww +
     & w(34) + w(40) - w(307) + 1.D0/2.D0*w(35) + w(306)
      w(34)=w(34)*w(263)
      w(35)=3.D0/4.D0*w(148)
      w(40)=3.D0*w(354)
      w(41)=w(98) + w(40) + w(35) + w(141) - 3.D0/4.D0*w(312) + w(145)
      w(41)=w(41)*w(17)
      w(44)=w(173)*w(301)
      w(45)=w(356)*w(263)
      w(41)=w(44) - 7.D0/2.D0*w(45) + w(41)
      w(41)=w(41)*w(195)
      w(44)= - 3.D0*b0ftahta + b0fqstata
      w(44)= - w(341) + 1.D0/2.D0*w(44) - a0fh
      w(44)=w(44)*w(324)
      w(46)=w(9) + 1.D0/2.D0*w(11)
      w(46)=w(46)*w(263)
      w(46)=w(46) - w(384) + b0dwtacw
      w(52)=5.D0/8.D0*b0ftazta - 3.D0/8.D0*b0fqstata - w(46)
      w(52)=w(52)*w(263)
      w(53)=w(263)*b0d1tataz
      w(44)= - 1.D0/2.D0*w(53) + w(44) + w(52)
      w(52)=w(9) + w(11)
      w(58)=w(52)*w(263)
      w(58)=w(58) + w(117)
      w(58)=1.D0/4.D0*w(58) + w(332)
      w(58)=w(58)*w(17)
      w(44)= - w(325) + 1.D0/2.D0*w(44) + w(58)
      w(44)=w(379)*w(44)
      w(58)=w(316) - 4.D0
      w(29)= - w(58)*w(29)
      w(29)=w(29) + w(313)
      w(29)=w(29)*w(17)
      w(63)= - 41.D0/2.D0 + 23.D0/3.D0*w(129)
      w(63)=w(63)*w(249)
      w(65)= - 3.D0 + 1.D0/8.D0*w(379)
      w(63)=w(63) - w(65)
      w(63)=w(263)*w(63)
      w(63)=w(310) + w(63)
      w(63)=a0fz*w(63)
      w(66)=w(129) - 1.D0
      w(77)=w(66)*w(201)
      w(77)= - 2.D0 + w(77) - w(228)
      w(77)=w(77)*w(268)
      w(78)=a0fz*w(66)*w(357)
      w(77)=w(77) + w(78)
      w(78)=2.D0*w(2)
      w(77)=w(77)*w(78)
      w(82)= - w(282)*w(53)
      w(29)=w(77) + w(63) + w(41) + w(29) + w(82) + w(34) + w(44) -
     & w(106)
      w(29)=w(2)*w(29)
      w(34)=w(214) - 45.D0/16.D0
      w(41)= - w(34)*w(129)
      w(41)= - 3.D0/16.D0 + w(41)
      w(41)=w(41)*w(357)
      w(44)=11.D0 - w(366)
      w(44)=w(44)*w(249)*w(359)
      w(63)= - w(66)*w(78)*w(204)
      w(77)= - 1.D0/4.D0*w(268) + w(359)
      w(77)=w(77)*w(379)
      w(41)=w(63) - w(216) + 3.D0/4.D0*w(77) + w(41) + w(44)
      w(41)=c0tataqstazta*w(41)
      w(35)= - w(35) - 5.D0/2.D0*b0fqsww + 3.D0*w(219) + 11.D0/2.D0*
     & b0ftawc
      w(35)=3.D0/4.D0*w(294) + 1.D0/2.D0*w(35) - w(40)
      w(35)=w(35)*w(17)
      w(35)= - w(181) + 7.D0/4.D0*w(45) + w(35)
      w(35)=w(12)*w(35)
      w(44)= - w(379)*w(243)
      w(45)=w(102) - w(236)
      w(45)=w(45)*w(17)
      w(45)=w(237) + w(45)
      w(45)=w(45)*w(17)
      w(45)=w(45) + w(245)
      w(45)=w(12)*w(45)
      w(44)=w(44) + w(45)
      w(44)=w(44)*w(287)
      w(34)=w(263)*w(34)
      w(45)=w(78)*w(268)
      w(63)=w(45)*w(66)
      w(34)=w(63) + w(34)
      w(34)=w(171)*w(34)
      w(63)=w(258) - 2.D0
      w(63)= - w(17)*w(63)*w(353)
      w(77)=w(235)*w(221)
      w(82)=w(353)*w(263)
      w(82)=w(77) - 3.D0*w(82)
      w(83)=w(353)*w(238)
      w(82)=1.D0/4.D0*w(82) + w(83)
      w(82)=w(82)*w(379)
      w(34)=w(261) + w(44) + w(41) + w(35) + 1.D0/4.D0*w(82) + w(63) +
     & w(34)
      w(34)=sdet3itataqs*w(34)
      w(35)=w(138) + 2.D0*w(185)
      w(35)=w(35)*Us
      w(41)=w(172)*sdet3ctaus
      w(35)=w(35) - w(41) - w(188)
      w(41)=w(180)*c0ctatsczta
      w(44)= - w(41) + 2.D0*w(150)
      w(44)=w(44)*Ts
      w(44)=w(44) - w(198)
      w(60)=w(44)*w(60)
      w(63)= - sdet3ctats*w(233)
      w(82)= - w(142) + w(134) + w(160)
      w(82)=w(82)*w(33)
      w(83)=w(115) + w(138)
      w(87)=w(134) + w(183)
      w(87)=2.D0*w(87) - w(83)
      w(87)=w(87)*w(17)
      w(63)=w(87) - w(60) + w(82) + w(63) + w(158) + w(35)
      w(63)=w(63)*w(17)
      w(82)=4.D0*w(209)
      w(87)= - w(189) + w(82)
      w(87)=sdet3ctats*w(87)
      w(97)=w(180) + w(200)
      w(97)=w(97)*w(17)
      w(98)= - w(180)*w(33)
      w(87)=w(97) + w(98) + w(87) - w(214) + 3.D0/2.D0*w(131)
      w(87)=w(87)*w(17)
      w(97)=sdet3ctats*w(189)
      w(97)= - 3.D0*w(220) - w(214) + w(97)
      w(97)=Ts*w(97)
      w(51)= - w(51)*w(214)
      w(51)=w(87) + w(97) + w(239) + w(51) - w(170)
      w(51)=d0cctataqstszczta*w(51)
      w(87)=w(189)*Ts
      w(97)=w(203)*sdet3ctaus
      w(87)= - w(87) - w(97) + w(125) + w(96)
      w(97)=w(17)*w(194)
      w(97)=w(97) + w(87)
      w(97)=w(97)*w(17)
      w(98)=sdet3ctaus*w(214)
      w(97)=w(98) + w(97)
      w(97)=d0cctataqsuszczta*w(97)
      w(98)=w(208)*w(31)
      w(101)=w(212)*c0ctausczta
      w(101)=w(101) + w(182)
      w(98)=w(98) + w(101)
      w(98)=w(98)*w(31)*sdet3ictaus
      w(51)=w(97) - w(98) + w(51) + w(63) - w(166)
      w(51)=w(51)*w(113)
      w(63)=w(180) + w(152)
      w(63)=w(63)*w(61)
      w(97)= - sdet3ctaus*w(180)
      w(63)=w(63) - 1.D0/8.D0*w(196) + 1.D0/4.D0*w(96) - w(177) + w(97)
      w(63)=d0cctataqsuszczta*w(63)
      w(96)=sdet3ctaus*w(253)
      w(96)=w(96) + w(178) - w(187)
      w(97)=1.D0/2.D0*w(167) + w(132) - w(193)
      w(97)=Us*w(97)
      w(102)=w(140) - 1.D0/2.D0*w(144)
      w(102)=w(102)*w(146)
      w(102)= - w(251) + w(102)
      w(102)=w(102)*w(17)
      w(101)= - 1.D0/2.D0*w(101) - w(223)
      w(101)=sdet3ictaus*w(101)
      w(63)=w(63) + w(101) + w(102) + 1.D0/2.D0*w(96) + w(97)
      w(63)=w(17)*w(63)
      w(51)=w(51) + w(63)
      w(51)=w(1)*w(51)
      w(63)=w(180) + w(194)
      w(63)=w(63)*w(17)
      w(63)=w(63) - w(129) + w(87)
      w(63)=d0cctataqsuszczta*w(63)
      w(87)=w(132) + w(134)
      w(83)=2.D0*w(87) - w(83)
      w(83)=w(83)*w(17)
      w(87)=w(220) + w(129)
      w(96)= - d0cctataqstszczta*w(87)
      w(35)=w(63) + w(96) + w(83) + w(163) + w(147) + w(35)
      w(35)=w(17)*w(35)
      w(35)= - w(98) + w(35)
      w(35)=w(35)*w(168)
      w(63)= - 61.D0 + 51.D0*w(129)
      w(63)=w(63)*w(357)
      w(83)=w(374) - 4.D0
      w(96)= - w(83)*w(359)
      w(97)=3.D0/8.D0*w(268) - w(359)
      w(97)=w(97)*w(379)
      w(63)=1.D0/2.D0*w(97) + 1.D0/16.D0*w(63) + w(96)
      w(63)=w(2)*w(63)
      w(96)=w(214) - 3.D0
      w(96)=w(96)*w(129)
      w(96)=w(96) + 1.D0
      w(96)=w(96)*w(263)
      w(97)=w(66)*Qs
      w(96)=w(96) - w(97)
      w(97)=4.D0 - w(302)
      w(97)=w(97)*w(17)
      w(98)= - w(379)*w(61)
      w(63)=w(63) + w(265) + w(98) + 2.D0*w(96) + w(97)
      w(63)=c0tataqstazta*w(63)
      w(97)= - w(325) - w(274) + w(281)
      w(97)=w(379)*w(97)
      w(98)=w(145) + w(271)
      w(98)=w(98)*w(17)
      w(98)=w(98) - w(323)
      w(98)=w(98)*w(195)
      w(97)=w(319) - w(273) + w(98) + w(97)
      w(97)=w(97)*w(287)
      w(52)=w(52)*w(247)
      w(98)=w(263)*w(2)
      w(101)= - 1.D0 - w(98)
      w(101)=Za1Bos*w(101)
      w(46)=w(101) + w(52) - 1.D0/4.D0*b0d1tataz + 1.D0/8.D0*b0ftazta
     &  - w(381) - 1.D0/2.D0*w(46)
      w(46)=w(379)*w(46)
      w(52)= - w(386)*w(129)
      w(52)= - 2.D0 + w(52)
      w(52)=w(52)*w(357)
      w(101)= - w(66)*w(296)
      w(52)=w(52) + w(101)
      w(52)=w(2)*w(52)
      w(52)=w(52) + w(96)
      w(52)=w(52)*w(169)
      w(96)= - 1.D0/12.D0*b0fqsww - 29.D0/18.D0
      w(96)=w(129)*w(96)
      w(66)= - w(66)*w(241)
      w(58)= - w(11)*w(58)*w(17)
      w(65)= - w(317) - w(65)
      w(65)=a0fz*w(65)
      w(101)= - 4.D0 + w(317)
      w(101)=b0ftazta*w(101)
      w(27)=w(35) + w(51) + w(34) + w(97) + w(63) + w(52) + w(29) +
     & w(65) + w(58) - w(27) + w(101) + 3.D0/2.D0 - 2.D0*PiZgFer -
     & w(315) + w(66) + w(96) - w(254) + w(46)
      w(29)=w(19)*c0ctatsczta
      w(29)=w(29) + w(55)
      w(29)=w(29)*w(33)
      w(25)=w(25) + w(86)
      w(25)=w(25)*c0tataqsztac
      w(25)=w(25) - w(88)
      w(34)=w(94) - w(81)
      w(35)=w(34)*w(112)
      w(46)=w(73)*w(31)
      w(51)=w(67)*Us
      w(29)=w(29) - w(93) + w(51) + w(46) + w(25) - w(35)
      w(35)=w(100) + w(89) - w(56)
      w(35)=Qs*w(35)
      w(46)=w(18)*w(69)
      w(51)=Qs*w(46)
      w(51)=w(51) - w(35)
      w(52)=Ts*Qs
      w(55)=w(52)*w(70)
      w(55)=w(55) - w(51)
      w(55)=w(55)*w(17)
      w(56)=w(35)*Ts
      w(55)=w(55) - w(56)
      w(55)=w(55)*det3itataqs
      w(58)=w(80)*sdet3ctats
      w(58)=w(58) - w(71)
      w(58)=w(58)*sdet3ctats
      w(63)=w(84)*sdet3ctaus**2
      w(58)=w(58) + w(63)
      w(58)=w(58)*w(78)
      w(29)= - 2.D0*w(29) + w(58) - w(55)
      w(55)=w(90)*z_ex
      w(58)=w(29)*w(55)
      w(29)=w(29)*w(107)*w(114)
      w(63)=w(59)*w(113)
      w(29)=w(63) + w(29)
      w(65)=2.D0*qta
      w(29)=w(29)*w(65)
      w(59)=w(59)*w(109)
      w(59)=1.D0/2.D0*w(59)
      w(29)=w(29) + w(59) + w(58)
      w(58)=w(361) - 10.D0
      w(58)=w(58)*w(129)
      w(58)=w(58) + 12.D0
      w(66)=3.D0*w(58)
      w(67)=w(66)*b0ftazta
      w(69)= - w(58)*w(120)
      w(69)=w(67) + w(283) + w(69) - w(137)
      w(69)=w(69)*w(263)
      w(71)=5.D0*w(294) + b0ftawc - w(334)
      w(71)=w(71)*w(17)
      w(71)= - w(77) + w(71)
      w(71)=w(71)*w(39)*w(31)
      w(81)=3.D0/2.D0*w(77)
      w(88)= - b0fqscc*w(17)
      w(88)=w(81) + w(88)
      w(88)=w(88)*w(17)
      w(71)= - 4.D0*w(298) + w(88) + w(71)
      w(71)=w(71)*w(287)
      w(88)=w(18) + 5.D0*w(263)
      w(88)=w(88)*w(17)
      w(88)=w(88) + w(350) + 2.D0*w(268)
      w(88)=w(88)*c0tataqscwc
      w(89)=w(110)*b0ftazta
      w(93)= - b0fqstata*w(110)
      w(93)=w(89) + 4.D0*b0ftawc + w(93) - w(126)
      w(93)=w(93)*w(17)
      w(94)=w(31)*c0tataqswcw
      w(40)= - w(94) - w(40) - w(355)
      w(40)=w(40)*w(17)
      w(96)= - w(259) + 4.D0*b0fqstata + w(356)
      w(96)=w(96)*w(276)
      w(40)=w(96) + w(40)
      w(40)=w(40)*w(376)
      w(58)=w(58)*w(361)
      w(58)= - 16.D0 + w(58)
      w(58)=w(58)*w(268)
      w(96)=w(110)*w(255)
      w(58)=w(58) + w(96)
      w(58)=c0tataqstazta*w(58)
      w(40)=w(88) + w(71) + w(58) + w(40) + w(69) + w(93)
      w(58)=3.D0*sdet3itataqs
      w(40)=w(40)*w(58)
      w(64)= - b0fqstata + w(64) + 2.D0*b0ftazta
      w(69)=8.D0*w(39)
      w(71)=w(64)*w(69)
      w(93)=5.D0*b0ftawc
      w(96)=w(369) + 10.D0 - 9.D0*a0fta
      w(96)=w(71) + 17.D0*w(294) - 4.D0*w(354) - 36.D0*b0ftazta - 6.D0*
     & b0fqsww + 2.D0*w(96) + w(93) - a0fw
      w(96)=w(96)*w(39)
      w(97)= - 20.D0*w(294) + 6.D0*w(290) + 12.D0*b0fqsww - w(93) -
     & w(333) + 2.D0*a0fta - 1.D0 + 4.D0*b0ftahta
      w(97)=w(97)*w(17)
      w(97)= - w(339) + w(97)
      w(97)=w(97)*w(39)
      w(100)=w(384) - w(328)
      w(101)=b0ftahta + w(100) - 1.D0/2.D0
      w(101)= - w(327) + 9.D0/2.D0*w(290) + 3.D0*w(101)
      w(102)= - w(101)*w(17)
      w(103)= - w(242) + 7.D0*w(294)
      w(103)=w(103)*w(284)*w(288)
      w(104)=3.D0/4.D0*w(339)
      w(97)=w(103) + w(97) + w(104) + w(102)
      w(97)=w(97)*w(287)
      w(102)=w(211)*w(31)
      w(103)=w(110)*w(221)
      w(106)=w(192)*w(129)
      w(102)= - w(106) + w(102) - w(103)
      w(102)=w(102)*c0tataqsztah
      w(107)=w(263) + w(17)
      w(107)=w(377) + 8.D0*w(107)
      w(107)=w(107)*c0tataqscwc
      w(108)=b0ftahta + 3.D0
      w(108)=w(108)*w(164)
      w(111)=w(211)*b0fqszh
      w(102)=w(107) - w(102) - w(108) - 5.D0*b0fqscc + w(111) - a0fw
      w(66)= - w(66) + 16.D0*w(39)
      w(66)=a0fz*w(66)
      w(107)=a0fw + b0ftawc
      w(108)=2.D0*w(107)
      w(66)=w(66) - w(108) - w(67)
      w(66)=w(263)*w(66)
      w(67)=w(259) + w(107)
      w(67)=w(67)*w(367)
      w(66)=w(67) + w(66)
      w(66)=w(66)*w(78)
      w(67)=6.D0*w(129)
      w(107)=17.D0 - w(67)
      w(107)=w(107)*w(129)
      w(107)= - 18.D0 + w(107)
      w(107)=w(107)*w(269)
      w(111)= - w(110)*w(17)
      w(115)=w(263)*w(39)
      w(107)=32.D0*w(115) + w(107) + w(111)
      w(107)=c0tataqstazta*w(107)
      w(111)=w(164) - 5.D0
      w(115)= - w(111)*w(119)
      w(116)= - 7.D0 - b0ftahta
      w(117)= - 23.D0 + 21.D0/2.D0*w(129)
      w(117)=b0fqstata*w(117)
      w(118)=51.D0/4.D0*w(129)
      w(119)=35.D0 - w(118)
      w(119)=b0ftazta*w(119)
      w(121)=3.D0/4.D0*w(129)
      w(123)= - 1.D0 + w(121)
      w(123)=a0fz*w(123)
      w(40)=w(40) + w(97) + w(107) + w(66) + w(123) + w(96) + w(119) -
     & w(93) + w(117) + w(115) + 2.D0*w(116) - w(102)
      w(40)=sdet3itataqs*w(40)
      w(66)= - w(157) - w(226) + 3.D0*w(134)
      w(93)=2.D0*w(136)
      w(96)=w(93)*c0ctatsczta
      w(96)=w(96) - w(140)
      w(96)=w(96)*w(143)
      w(62)=w(207)*w(62)
      w(62)=2.D0*w(96) + w(62) - w(66)
      w(62)=w(62)*Ts
      w(97)=w(257)*w(31)
      w(107)=w(184) - w(157)
      w(107)=w(107)*Us
      w(115)=w(157) - w(134)
      w(116)=w(115)*Qs
      w(116)=w(116) + w(163)
      w(117)=w(161) - w(116)
      w(60)=w(62) + w(97) + w(107) - w(117) + w(60)
      w(62)=w(218) - w(180)
      w(62)=w(62)*Ts
      w(97)=w(174) - w(190)
      w(119)=w(97)*sdet3ctats
      w(123)=w(31)*w(180)
      w(124)=w(119) - w(123)
      w(62)=w(62) + w(124) + w(129)
      w(125)=2.D0*d0cctataqstszczta
      w(62)=w(62)*w(125)
      w(126)=w(176) - w(149)
      w(127)=w(153)*w(179)
      w(131)=w(127) + 2.D0*w(126)
      w(133)=w(52)*w(131)
      w(134)=w(17)*Qs
      w(135)=w(134)*w(131)
      w(136)=w(133) - w(135)
      w(136)=w(136)*det3itataqs
      w(141)=2.D0*d0cctataqsuszczta
      w(142)=w(213)*w(141)
      w(60)= - 2.D0*w(60) + w(62) + w(142) + w(136)
      w(62)=w(60)*w(113)
      w(142)= - Ts*w(267)
      w(144)=Ts*w(262)
      w(145)=w(279)*w(17)
      w(144)=w(145) - w(285) + w(144)
      w(144)=w(144)*w(17)
      w(145)= - c0tataqswcw*w(154)
      w(142)=w(144) + w(145) + w(142)
      w(142)=w(142)*w(17)
      w(144)=w(280) - w(275)
      w(144)=Ts*w(144)
      w(145)=w(355)*w(154)
      w(147)=w(272)*w(263)
      w(148)=w(186)*w(92)
      w(142)=w(142) + w(148) + w(144) + w(145) + w(147)
      w(142)=w(142)*w(376)
      w(144)=w(356) - w(294)
      w(145)= - sdet4itatsus*w(144)
      w(147)=w(145)*w(17)
      w(148)= - c0tataqswcw + w(147)
      w(148)=w(148)*w(17)
      w(148)=w(148) + w(356)
      w(148)=w(148)*w(286)
      w(147)= - c0tataqswcw - w(147)
      w(147)=w(147)*w(17)
      w(147)=w(147) + w(356)
      w(149)=w(6)*w(348)*w(39)
      w(147)=w(147)*w(149)
      w(147)=w(148) + w(147)
      w(147)=w(6)*w(147)
      w(148)=w(144)*w(293)
      w(147)=w(148) + w(147)
      w(147)=w(6)*w(147)
      w(144)=w(144)*w(39)
      w(144)=w(144) + w(147)
      w(144)=w(6)*w(144)
      w(147)=c0tataqswcw*w(39)
      w(144)=w(147) + 2.D0*w(144)
      w(147)=w(338) - w(294)
      w(148)=w(17)*w(147)*w(288)
      w(152)=b0ftawc + w(295) - w(222)
      w(152)=w(152)*w(39)
      w(148)=w(152) + w(148)
      w(148)=w(148)*w(287)
      w(94)= - b0fqsww + w(94)
      w(94)=w(94)*w(293)
      w(94)=w(94) - w(299)
      w(94)=w(94)*w(287)
      w(94)= - w(300) + w(94)
      w(94)=w(94)*w(58)
      w(94)=w(94) + 2.D0*w(144) - w(148)
      w(94)=sdet3itataqs*w(94)
      w(144)=w(191) - w(129)
      w(152)=Ts*w(209)
      w(119)=w(152) + 1.D0/2.D0*w(119) - w(144)
      w(119)=d0cctataqstszczta*w(119)
      w(152)=1.D0/2.D0*w(116)
      w(153)=w(217)*w(156)
      w(119)=w(119) - w(152) + w(153)
      w(139)=1.D0/2.D0*w(140) - w(139)
      w(139)=w(139)*w(143)
      w(139)=w(139) - 3.D0/2.D0*w(130) - w(250)
      w(139)=Ts*w(139)
      w(41)=1.D0/2.D0*w(41) - w(150)
      w(41)=Ts*w(41)
      w(143)=c0ctatsczta*w(225)
      w(41)=w(143) + w(41)
      w(41)=sdet3ictats*w(41)
      w(61)= - w(257)*w(61)
      w(126)=w(126) + 1.D0/2.D0*w(127)
      w(126)=w(126)*det3itataqs
      w(127)=w(52) - w(134)
      w(127)=w(127)*w(126)
      w(143)= - w(286) - w(149)
      w(143)=w(6)*w(143)
      w(143)= - w(293) + w(143)
      w(143)=w(6)*w(145)*w(143)
      w(41)=w(94) + 3.D0*w(62) + 4.D0*w(143) + w(142) + 1.D0/4.D0*
     & w(127) + w(61) + w(41) + w(139) + 1.D0/2.D0*w(119)
      w(41)=w(1)*w(41)
      w(60)=w(60)*w(202)
      w(61)=w(96) + w(138)
      w(61)= - w(157) + w(95) - 10.D0*w(130) - 4.D0*w(61)
      w(61)=Ts*w(61)
      w(62)=w(97)*w(112)
      w(82)= - w(180) + w(82)
      w(82)=Ts*w(82)
      w(94)= - w(180)*w(18)
      w(62)=w(94) + w(82) + w(361) + w(62)
      w(62)=d0cctataqstszczta*w(62)
      w(82)= - w(44)*w(277)
      w(18)= - w(257)*w(18)
      w(18)=w(60) + w(215) + w(62) + w(136) + w(18) + w(82) + w(61) + 2.
     & D0*w(117) - w(107)
      w(18)=w(18)*w(168)
      w(60)=w(103) - w(106)
      w(60)=w(60)*c0tataqsztah
      w(60)=w(60) - w(89) - b0dwtacw
      w(61)= - 4.D0*w(39) + 9.D0
      w(61)=b0d1tataz*w(61)
      w(61)= - b0dwtacw + w(61)
      w(61)=w(61)*w(376)
      w(62)= - b0ftahta*w(110)
      w(82)=b0d1tataz*w(111)
      w(61)=w(61) + 3.D0*w(82) + w(62) - w(60)
      w(61)=w(2)*w(61)
      w(62)=2.D0*c0tataqscwc
      w(82)= - c0tataqswcw*w(376)
      w(89)=c0tataqstazta*w(211)
      w(18)=w(18) + w(41) + w(40) + w(62) + w(148) + w(89) + w(82) +
     & w(61)
      w(34)=sdet3ctats*w(34)
      w(15)=w(15) - w(85)
      w(40)= - sdet3ctaus*w(15)
      w(41)=sdet3ictats*Ts*w(91)
      w(54)=w(54)*sdet3ctaus
      w(61)= - w(73) + w(54)
      w(61)=w(61)*w(17)
      w(34)=w(61) + w(41) - w(105) + w(79) + w(34) + w(40)
      w(35)=w(35)*Us
      w(40)=w(30) - w(52)
      w(41)=w(40)*w(46)
      w(41)=w(41) - w(35) + w(56)
      w(41)=det3itataqs*w(41)
      w(46)=4.D0*sdet3ictaus
      w(52)=w(46)*w(99)
      w(56)=w(86)*javqsuseltaz
      w(61)=sdet3ctaus*w(56)
      w(61)= - w(76) + w(61)
      w(61)=w(61)*w(78)
      w(34)=w(52) + w(61) + 4.D0*w(34) + w(41)
      w(34)=z_ex*w(34)*w(109)
      w(20)= - w(20)*w(92)
      w(16)=w(16)*w(31)
      w(16)=w(16) + w(20) + w(38)
      w(20)=w(42) - w(57)
      w(20)= - w(20)*w(40)
      w(26)= - w(31)*w(26)*w(47)
      w(20)=w(26) + w(122) + w(20)
      w(20)=det3itataqs*w(20)
      w(21)=w(46)*w(21)
      w(16)=w(21) + 2.D0*w(16) + w(20)
      w(16)=w(39)*w(16)
      w(20)=w(43)*w(28)*w(48)
      w(16)=w(20) + w(16)
      w(16)=w(16)*w(49)
      w(16)=w(16) + w(34)
      w(16)=w(16)*w(90)
      w(16)=w(63) + w(16)
      w(16)=w(16)*w(65)
      w(15)= - w(15)*w(72)
      w(19)=c0ctausczta*w(19)
      w(19)=w(19) + w(74)
      w(19)=w(19)*w(36)
      w(20)=w(31)*w(54)
      w(21)=Ts*w(68)
      w(15)=w(20) + w(21) + w(19) + w(15) + w(25)
      w(19)=w(70)*w(30)
      w(19)=w(19) - w(51)
      w(19)=w(19)*w(17)
      w(19)= - w(35) + w(19)
      w(19)=det3itataqs*w(19)
      w(20)= - w(32)*w(80)
      w(21)= - sdet3ctaus*w(84)
      w(21)=w(56) + w(21)
      w(21)=sdet3ctaus*w(21)
      w(20)=w(20) + w(21)
      w(20)=w(20)*w(78)
      w(15)=w(52) + w(20) + 2.D0*w(15) + w(19)
      w(15)=w(15)*w(55)
      w(15)=w(16) + w(59) + w(15)
      w(16)=w(83)*w(120)
      w(19)=19.D0/2.D0 - w(67)
      w(19)=b0ftazta*w(19)*w(361)
      w(20)=41.D0 - 18.D0*w(129)
      w(20)=w(20)*w(129)
      w(20)= - 24.D0 + w(20)
      w(20)=a0fz*w(20)
      w(21)=w(24) - 12.D0
      w(25)= - a0fta*w(21)
      w(16)=w(20) - w(71) + 17.D0/2.D0*w(354) + w(19) - 3.D0*a0fw + 15.D
     & 0/2.D0*b0fqsww - 21.D0/2.D0*b0ftawc + w(16) + w(25) - 14.D0 +
     & w(24)
      w(16)=w(263)*w(16)
      w(19)=3.D0/2.D0*w(290)
      w(20)=5.D0*b0ftahta - w(120)
      w(20)=w(19) + 1.D0/2.D0*w(20) + a0fh
      w(20)=w(20)*w(221)
      w(24)=w(21)*w(129)
      w(24)=w(24) + 8.D0
      w(25)= - a0fz - b0ftazta
      w(25)=w(24)*w(25)
      w(25)= - w(108) + w(25)
      w(25)=w(25)*w(206)
      w(16)=4.D0*w(25) + w(20) + w(16)
      w(16)=w(2)*w(16)
      w(20)= - 41.D0/2.D0 + 9.D0*w(129)
      w(20)=w(20)*w(129)
      w(20)=w(20) + 12.D0
      w(25)=w(20)*w(353)
      w(26)=3.D0/2.D0*w(354)
      w(25)= - w(26) - w(338) + w(370) - w(137) + w(25)
      w(25)=w(25)*w(263)
      w(28)= - b0fqscc - w(297)
      w(28)=w(28)*w(17)
      w(28)=w(81) + w(28)
      w(28)=w(28)*w(287)
      w(32)=w(225)*w(353)
      w(32)= - w(338) + 3.D0/2.D0*b0ftawc - b0fqscc + w(32)
      w(28)=w(28) + 5.D0/2.D0*w(294) + 3.D0*w(32) - w(354)
      w(28)=w(17)*w(28)
      w(20)=w(20)*w(357)
      w(32)=w(24)*w(214)*w(289)*w(2)
      w(34)=w(17)*w(351)
      w(20)=w(32) + w(20) + w(34)
      w(20)=c0tataqstazta*w(20)
      w(24)=w(24)*w(353)
      w(24)=w(24) - w(128)
      w(24)=w(24)*w(45)
      w(20)=w(88) + w(20) + w(24) - 1.D0/2.D0*w(77) + w(25) + w(28)
      w(20)=w(20)*w(58)
      w(24)=89.D0/2.D0 - 24.D0*w(129)
      w(24)=w(24)*w(129)
      w(24)= - 24.D0 + w(24)
      w(24)=w(24)*w(263)
      w(25)= - w(17)*w(164)
      w(28)=16.D0 - 15.D0/2.D0*w(129)
      w(28)=w(28)*w(361)
      w(28)= - 32.D0 + w(28)
      w(28)=w(28)*w(206)
      w(24)=w(28) + w(24) + w(25)
      w(24)=c0tataqstazta*w(24)
      w(25)= - w(147) - w(101)
      w(25)=w(25)*w(17)
      w(25)=w(104) + w(25)
      w(25)=w(25)*w(287)
      w(28)= - 29.D0 + 21.D0*w(129)
      w(28)=w(28)*w(328)
      w(32)= - w(64)*w(373)
      w(34)=7.D0 - w(361)
      w(34)=a0fta*w(34)
      w(35)=22.D0 - w(118)
      w(35)=b0ftazta*w(35)
      w(38)=a0fz*w(121)
      w(16)=w(20) + w(25) + w(24) + w(16) + w(38) + w(32) - 25.D0/8.D0*
     & w(294) + 7.D0/2.D0*w(354) + w(19) + w(35) + 15.D0/8.D0*b0fqsww
     &  - 47.D0/8.D0*b0ftawc + w(28) + 3.D0/2.D0*w(34) - 37.D0/4.D0 -
     & b0ftahta - w(102)
      w(16)=sdet3itataqs*w(16)
      w(20)=w(115) + w(138)
      w(24)=w(93)*c0ctausczta
      w(24)=w(24) - w(140)
      w(24)=w(24)*w(146)
      w(25)=w(24) + w(132) + w(20)
      w(25)=Us*w(25)
      w(20)= - w(96) - w(130) - w(20)
      w(20)=Ts*w(20)
      w(28)= - sdet3ictats*w(44)
      w(32)=w(146)*w(140)
      w(32)=w(32) + w(132)
      w(34)= - w(257) + w(32)
      w(34)=w(34)*w(17)
      w(20)=w(34) + w(28) + w(20) + w(25) + w(153) - w(224)
      w(25)=w(30)*w(131)
      w(28)= - w(25) + w(133)
      w(28)=det3itataqs*w(28)
      w(33)=w(244)*w(33)
      w(33)=w(33) + w(124)
      w(33)=w(33)*w(125)
      w(34)=w(97)*sdet3ctaus
      w(35)=w(34) - w(123)
      w(38)=w(180) - w(194)
      w(36)=w(38)*w(36)
      w(36)=w(36) - w(35)
      w(36)=w(36)*w(141)
      w(38)=w(180)*c0ctausczta
      w(38)= - w(38) + 2.D0*w(208)
      w(38)=w(38)*Us
      w(38)=w(38) - w(182)
      w(39)=w(38)*w(46)
      w(20)=w(36) + w(39) + w(33) + 4.D0*w(20) + w(28)
      w(20)=w(20)*w(113)
      w(28)=w(24) + w(227) - w(155)
      w(28)=Us*w(28)
      w(33)= - Us*w(194)
      w(33)=w(33) - 1.D0/2.D0*w(34) + w(144)
      w(33)=d0cctataqsuszczta*w(33)
      w(30)= - w(30) + w(134)
      w(30)=w(30)*w(126)
      w(34)=sdet3ictaus*w(38)
      w(17)=w(32)*w(17)
      w(17)=w(20) + w(33) + w(34) + 1.D0/2.D0*w(30) + w(17) + w(28) +
     & w(152) - w(224)
      w(17)=w(17)*w(168)
      w(20)=w(355) + w(294)
      w(28)=w(373) - 10.D0 + 9.D0/2.D0*w(129)
      w(28)=b0d1tataz*w(28)
      w(21)=w(69) + w(21)
      w(21)=w(53)*w(21)
      w(30)=b0dwtacw*w(276)
      w(21)=w(30) + w(21)
      w(21)=w(2)*w(21)
      w(30)= - w(164) + 1.D0
      w(30)=b0ftahta*w(30)
      w(19)=w(21) - w(26) - w(19) + 1.D0/4.D0 - w(100) + w(28) + w(30)
     &  - w(60) + 1.D0/8.D0*w(20)
      w(19)=w(2)*w(19)
      w(20)=2.D0*w(24) + 4.D0*w(132) - w(66)
      w(20)=Us*w(20)
      w(21)=w(160) - w(162)
      w(21)=Ts*w(21)
      w(24)= - w(210)*w(151)
      w(26)=w(32)*w(31)
      w(20)=w(26) + w(21) + w(20) + w(24) + w(116)
      w(21)= - w(25) + w(135)
      w(21)=det3itataqs*w(21)
      w(24)=w(180) - w(205)
      w(24)=Us*w(24)
      w(24)=w(24) - w(129) - w(35)
      w(24)=w(24)*w(141)
      w(25)= - w(87)*w(125)
      w(20)=w(24) + w(39) + w(25) + 2.D0*w(20) + w(21)
      w(20)=w(20)*w(114)
      w(21)=w(164)*w(98)
      w(21)=w(21) - 2.D0 + w(361)
      w(21)=c0tataqstazta*w(21)
      w(16)=w(17) + w(20) + w(16) + w(62) + w(19) + w(21)
      w(17)=PiggFer*w(109)
      w(17)= - Za1Fer + w(17)

      ff_qed_ll =  + w(22)
      ff_ew_ll =  + w(37)
      ff_qed_lq =  + w(50)
      ff_ew_lq =  + w(14)
      ff_qed_ql =  + w(13)
      ff_ew_ql =  + w(75)
      ff_qed_qq =  + w(23)
      ff_ew_qq =  + w(27)
      ff_qed_ld =  + w(29)
      ff_ew_ld =  + w(18)
      ff_qed_qd =  + w(15)
      ff_ew_qd =  + w(16)

      ffarray(1,1) = ff_qed_ll
      ffarray(1,2) = ff_ew_ll
      ffarray(1,3) = ff_qed_lq
      ffarray(1,4) = ff_ew_lq
      ffarray(1,5) = ff_qed_ql
      ffarray(1,6) = ff_ew_ql
      ffarray(1,7) = ff_qed_qq
      ffarray(1,8) = ff_ew_qq
      ffarray(1,9) = ff_qed_ld
      ffarray(1,10) = ff_ew_ld
      ffarray(1,11) = ff_qed_qd
      ffarray(1,12) = ff_ew_qd
      ffarray(1,13) = ff_qed_gg

      return
      end
