************************************************************************
* File (nc_ho_1414_1212.f) created on Wed Nov  07 16:25:00 MSK 2018.
************************************************************************
* This is the FORTRAN module (nc_br_1414_1212) to calculate weak HO
* corrections for the dn + anti-dn -> el+ + el- process.
*
* It is produced by s2n package of SANC (v1.10) Project.
* Copyright (C), SANC Project Team, 2002-2018.
*
* http://sanc.jinr.ru/
* E-mail: <sanc@jinr.ru>
************************************************************************
      subroutine nc_ho_1414_1212 (qs,ts,us,born,soft,hard)
      implicit none!
      include 's2n_declare.h'

      integer*4 iho
      real*8 rscale
      real*8 gf_gf
      real*8 kappaz
      complex*16 chizs,chizsc,chizspr,chizsprc

      real*8 deltarho,deltarho1,deltarho2
      real*8 ftjrrho,FTJRrho2      
      real*8 born0,born1,born2,cosfel,alphaz,alpha1,gf1,alphasPDF,scaler,xt,sq

      real*8 drhoho,drho_at1_as0,xt0,xt2

c$$$      qs = -7545.1307678738322d0
c$$$      ts =  6143.9309753325570d0
c$$$      us =  1401.1774651885580d0

      iho = 2
      rscale = 0
      gf_gf = 1.166389d-5

      cmz2 = mz2
      s = -qs
      t = -ts
      u = -us
      sq = sqrt(s)

      cosf = (t-u)/s
      sinf = dsqrt(1d0-cosf**2)

      cosfel = cosf

      alpha1 = alphaz(alpha,sq)
c$$$      gf1 = pi*alpha1/sqrt(2d0)/stw2/ctw2/rzm2
c$$$      alpha1 = alphaz(alpha,120d0)
      kappaz   = gf*rzm2/(dsqrt(2d0)*8d0*pi)/alpha
      if (irun.eq.0) then
         chizs = 4d0*kappaz*s/(s-cmz2)
      else
         chizs = 4d0*kappaz*s/(s-dcmplx(mz**2,-s*wz/mz))
      endif
      chizsc   = dconjg(chizs)

      if (rscale.ne.0) then
         if ( rscale .gt.  0d0 ) scaler = rscale
         if ( rscale .lt.  0d0 ) scaler = sqrt(s)*dabs(rscale)
         alphas = alphasPDF(scaler)
      endif

      xt0=sr2*gf*mtp**2/16/pi**2 *cfprime
      xt2=sr2*gf_gf*mtp**2/16/pi**2
      ftjrrho=FTJRrho2(mh**2/mtp**2)
!      deltarho =3d0*xt2*(1+ftjrrho*xt2-2d0*alphas/9/pi*(pi**2+3))
      deltarho =3d0*xt2*(1+ftjrrho*xt2)*(1-2d0*alphas/9/pi*(pi**2+3))
      deltarho1=3*xt0
      deltarho2=deltarho-deltarho1

!      call drho (drhoho)
!      deltarho = real(drhoho)
!      deltarho1= real(drho_at1_as0 (alpha,alphas,mz,mw,mh,mtp))
!      deltarho2= deltarho-deltarho1
      
      born0=0d0
      born1=0d0
      born2=0d0

      if (gfscheme.eq.0) then
      born2=
     & +deltarho**2*(+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*ctw2**3-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*st
     & w2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*s
     & tw2**2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz*
     & *4/s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*m
     & z**4/s*stw2**3*ctw2**2+1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn**2*
     & mz**4/s*stw2**3*ctw2**2+1d0/2*chizs*chizsc/pi*sr2**6*gf**2*ael**2
     & *adn**2*mz**4/s*ctw2**4-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*ael**2
     & *adn**2*mz**4/s*stw2*ctw2**4-1d0/6*chizs*chizsc/pi*sr2**6*gf**2*a
     & el**2*adn**2*mz**4/s*stw2**2*ctw2**4+1d0/3*chizs*chizsc/pi*sr2**6
     & *gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/2*chizs*chizsc/p
     & i*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*
     & chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-1d0/
     & 3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*ctw2**
     & 4+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*
     & *2*ctw2**4-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**
     & 4/s*stw2**3*ctw2**4-chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*m
     & z**4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael
     & **2*adn*mz**4/s*stw2**4*ctw2**3+chizs*chizsc/pi*sr2**6*gf**2*qdn*
     & *2*ael**2*mz**4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc/pi*sr2
     & **6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs*chiz
     & sc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-chizs*c
     & hizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-1d0/
     & 3*chizs*chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw
     & 2**3+2*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*
     & *4*ctw2**2-2*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*
     & stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael
     & *mz**4/s*stw2**4*ctw2**3+chizs*chizsc/pi*sr2**6*gf**2*qel**2*adn*
     & *2*mz**4/s*stw2**4*ctw2**2-2*chizs*chizsc/pi*sr2**6*gf**2*qel**2*
     & qdn*adn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**6*gf**
     & 2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc/pi*sr2**6
     & *gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2**2-4d0/3*chizs*chizsc/p
     & i*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2**3+chizs*chizsc
     & *cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*ctw2**4-4d0/3*chizs
     & *chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2*ctw2**4
     & -1d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*
     & stw2**2*ctw2**4+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*
     & adn**2*mz**4/s*stw2**3*ctw2**4+chizs*chizsc*cosfel/pi*sr2**6*gf**
     & 2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc*cosfel
     & /pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-2d0/3*chiz
     & s*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*ctw2*
     & *4+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4
     & /s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*
     & ael**2*adn*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosfel/pi*sr2**
     & 6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*chizsc
     & *cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**3-2d
     & 0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*st
     & w2*ctw2**4+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn*
     & *2*mz**4/s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosfel/
     & pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-2d0/3*chiz
     & s*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ct
     & w2**3+4*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**4*ctw2**2+1d0/2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*a
     & el**2*adn**2*mz**4/s*ctw2**4-2d0/3*chizs*chizsc*cosfel**2/pi*sr2*
     & *6*gf**2*ael**2*adn**2*mz**4/s*stw2*ctw2**4-1d0/6*chizs*chizsc*co
     & sfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**2*ctw2**4+1d0
     & /3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*s
     & tw2**3*ctw2**4+1d0/2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**
     & 2*adn**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-1d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*ctw2**
     & 4+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz*
     & *4/s*stw2**2*ctw2**4-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-chizs*chizsc*cosfel**2/pi
     & *sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-1d0/3*chizs*
     & chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*c
     & tw2**3+chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4
     & /s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*q
     & el*ael*adn**2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc*cosfel**2/p
     & i*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs
     & *chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*
     & ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz*
     & *4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc*cosfel**2/
     & pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**2-2*chizs*c
     & hizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ct
     & w2**2+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael
     & *mz**4/s*stw2**4*ctw2**3+chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*q
     & el**2*adn**2*mz**4/s*stw2**4*ctw2**2-2*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*c
     & hizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ct
     & w2**3+2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**
     & 4/s*stw2**4*ctw2**2-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*
     & qel**2*qdn**2*mz**4/s*stw2**4*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**
     & 4*gf**2*qel*qdn*ael*adn*mz**4/s*ctw2**3-1d0/3*chizs*cosfel/pi*sr2
     & **4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chizs*cosfel
     & /pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*ch
     & izs*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**
     & 2+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*
     & ctw2**3-1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*stw2*ctw2**3+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*
     & ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12*chizs*cosfel**2/pi*sr2**4*
     & gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/6*chizs*cosfel*
     & *2/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/6*c
     & hizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw
     & 2**2+1d0/3*chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*
     & stw2**3*ctw2**2+1d0/12*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*ctw2**3-1d0/6*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2*ctw2**3+1d0/12*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**2*ctw2**3+1d0/12*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*
     & mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc/pi*sr2**4*gf**2*qel*qdn**2*a
     & el*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc/pi*sr2**4*gf**2*qel**2*qd
     & n*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizsc/pi*sr2**4*gf**2*qel**2
     & *qdn**2*mz**4/s*stw2**3*ctw2**2+1d0/6*chizsc*cosfel/pi*sr2**4*gf*
     & *2*qel*qdn*ael*adn*mz**4/s*ctw2**3-1d0/3*chizsc*cosfel/pi*sr2**4*
     & gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chizsc*cosfel/pi
     & *sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizs
     & c*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2+
     & 1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*c
     & tw2**3-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*stw2*ctw2**3+1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn
     & *ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12*chizsc*cosfel**2/pi*sr2**
     & 4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc*cosf
     & el**2/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/
     & 6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3
     & *ctw2**2+1d0/3*chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz*
     & *4/s*stw2**3*ctw2**2)
     & +deltaa*deltarho*(-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz
     & **4/s*stw2*ctw2**3+1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz
     & **4/s*stw2**2*ctw2**3+1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn
     & *mz**4/s*stw2**3*ctw2**2-1d0/3*chizs/pi*sr2**4*gf**2*qel*qdn**2*a
     & el*mz**4/s*stw2**3*ctw2**2-1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn
     & *adn*mz**4/s*stw2**3*ctw2**2+2d0/3*chizs/pi*sr2**4*gf**2*qel**2*q
     & dn**2*mz**4/s*stw2**3*ctw2**2-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*
     & ael**2*adn**2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc/pi*sr2**6*g
     & f**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+2d0/3*chizs*chizsc/pi*
     & sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*ch
     & izsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3+2d0/3*
     & chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2*
     & *4-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2
     & **3*ctw2**4-4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz*
     & *4/s*stw2**4*ctw2**2-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**
     & 2*adn*mz**4/s*stw2**4*ctw2**3+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*
     & qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**
     & 6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-2d0/3*chizs*chizsc
     & /pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-4d0/3*chi
     & zs*chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-
     & 2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4
     & *ctw2**3+8d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**4*ctw2**2-8d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*
     & ael*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qe
     & l*qdn**2*ael*mz**4/s*stw2**4*ctw2**3+4d0/3*chizs*chizsc/pi*sr2**6
     & *gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**2-8d0/3*chizs*chizsc/p
     & i*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs
     & *chizsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+8d
     & 0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ct
     & w2**2-8d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*st
     & w2**4*ctw2**3-4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*ad
     & n**2*mz**4/s*stw2*ctw2**4+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf*
     & *2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+4d0/3*chizs*chizsc*cosfe
     & l/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+4d0/3*chi
     & zs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ct
     & w2**3+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz
     & **4/s*stw2**2*ctw2**4-4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*q
     & dn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-8d0/3*chizs*chizsc*cosfel/p
     & i*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-4d0/3*chizs
     & *chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw
     & 2**3+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz*
     & *4/s*stw2**2*ctw2**4-4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qe
     & l*ael*adn**2*mz**4/s*stw2**3*ctw2**4-8d0/3*chizs*chizsc*cosfel/pi
     & *sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-4d0/3*chizs*
     & chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2
     & **3+16d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz
     & **4/s*stw2**4*ctw2**2-2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**
     & 2*ael**2*adn**2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc*cosfel**2
     & /pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+2d0/3*chiz
     & s*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*
     & ctw2**2+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**
     & 2*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*
     & gf**2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*c
     & osfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-4
     & d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/
     & s*stw2**4*ctw2**2-2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qd
     & n*ael**2*adn*mz**4/s*stw2**4*ctw2**3+4d0/3*chizs*chizsc*cosfel**2
     & /pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chiz
     & s*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2
     & *ctw2**4-2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn
     & **2*mz**4/s*stw2**3*ctw2**4-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**
     & 6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*chizsc
     & *cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3
     & +8d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*stw2**4*ctw2**2-8d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*chizsc*cosfel
     & **2/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**3+4d0/3*
     & chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2
     & **4*ctw2**2-8d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*q
     & dn*adn*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*chizsc*cosfel**2/pi*sr
     & 2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+8d0/3*chizs*chi
     & zsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2*
     & *2-8d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz*
     & *4/s*stw2**4*ctw2**3-1d0/3*chizs*cosfel/pi*sr2**4*gf**2*qel*qdn*a
     & el*adn*mz**4/s*stw2*ctw2**3+1d0/3*chizs*cosfel/pi*sr2**4*gf**2*qe
     & l*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/3*chizs*cosfel/pi*sr2**
     & 4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/6*chizs*cosfe
     & l**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*c
     & hizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ct
     & w2**3+1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**3*ctw2**2-1d0/3*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*
     & *2*ael*mz**4/s*stw2**3*ctw2**2-1d0/3*chizs*cosfel**2/pi*sr2**4*gf
     & **2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+2d0/3*chizs*cosfel**2/
     & pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-1d0/6*chizs
     & c/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chiz
     & sc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*
     & chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d
     & 0/3*chizsc/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2
     & -1d0/3*chizsc/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2
     & **2+2d0/3*chizsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ct
     & w2**2-1d0/3*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2*ctw2**3+1d0/3*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn
     & *mz**4/s*stw2**2*ctw2**3+1d0/3*chizsc*cosfel/pi*sr2**4*gf**2*qel*
     & qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc*cosfel**2/pi*sr2
     & **4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chizsc*cosfe
     & l**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/
     & 6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**
     & 3*ctw2**2-1d0/3*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn**2*ael*m
     & z**4/s*stw2**3*ctw2**2-1d0/3*chizsc*cosfel**2/pi*sr2**4*gf**2*qel
     & **2*qdn*adn*mz**4/s*stw2**3*ctw2**2+2d0/3*chizsc*cosfel**2/pi*sr2
     & **4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2)
     & +deltaa**2*(+1d0/2/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*stw2**2*
     & ctw2**2+1d0/4*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*
     & *2*ctw2**3+1d0/4*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*st
     & w2**3*ctw2**2-1d0/2*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*
     & stw2**3*ctw2**2-1d0/2*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/
     & s*stw2**3*ctw2**2+chizs/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw
     & 2**3*ctw2**2-chizs/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*
     & ctw2**3+1d0/2*chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*
     & stw2**2*ctw2**4+chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/
     & s*stw2**3*ctw2**4+1d0/2*chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn**
     & 2*mz**4/s*stw2**4*ctw2**2+chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn
     & **2*mz**4/s*stw2**4*ctw2**3-chizs*chizsc/pi*sr2**6*gf**2*qdn*ael*
     & *2*adn*mz**4/s*stw2**3*ctw2**4-chizs*chizsc/pi*sr2**6*gf**2*qdn*a
     & el**2*adn*mz**4/s*stw2**4*ctw2**2-chizs*chizsc/pi*sr2**6*gf**2*qd
     & n*ael**2*adn*mz**4/s*stw2**4*ctw2**3+chizs*chizsc/pi*sr2**6*gf**2
     & *qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2-chizs*chizsc/pi*sr2**6*gf*
     & *2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-chizs*chizsc/pi*sr2**6*
     & gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-chizs*chizsc/pi*sr2*
     & *6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc/pi
     & *sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**2-2*chizs*chi
     & zsc/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**2+2*chiz
     & s*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**3+c
     & hizs*chizsc/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**2
     & -2*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ct
     & w2**2+2*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2*
     & *4*ctw2**3+2*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*s
     & tw2**4*ctw2**2-4*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4
     & /s*stw2**4*ctw2**3+2*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*m
     & z**4/s*stw2**4*ctw2**4+chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2
     & *adn**2*mz**4/s*stw2**2*ctw2**4+2*chizs*chizsc*cosfel/pi*sr2**6*g
     & f**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+chizs*chizsc*cosfel/pi
     & *sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2*chizs*chizs
     & c*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-2*
     & chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**
     & 3*ctw2**4-2*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz
     & **4/s*stw2**4*ctw2**2-2*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*a
     & el**2*adn*mz**4/s*stw2**4*ctw2**3-2*chizs*chizsc*cosfel/pi*sr2**6
     & *gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosf
     & el/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-2*chizs
     & *chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw
     & 2**3+4*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/
     & s*stw2**4*ctw2**2+1d0/2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ae
     & l**2*adn**2*mz**4/s*stw2**2*ctw2**4+chizs*chizsc*cosfel**2/pi*sr2
     & **6*gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/2*chizs*chizs
     & c*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2
     & +chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw
     & 2**4*ctw2**3-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*ad
     & n*mz**4/s*stw2**3*ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*
     & qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**3+chizs*chizsc*
     & cosfel**2/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2-c
     & hizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2
     & **3*ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2
     & *mz**4/s*stw2**4*ctw2**2-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*q
     & el*ael*adn**2*mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc*cosfel**2/pi
     & *sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**2-2*chizs*chi
     & zsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2
     & **2+2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4
     & /s*stw2**4*ctw2**3+chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*
     & adn**2*mz**4/s*stw2**4*ctw2**2-2*chizs*chizsc*cosfel**2/pi*sr2**6
     & *gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**2+2*chizs*chizsc*cosf
     & el**2/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+2*ch
     & izs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**
     & 4*ctw2**2-4*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*
     & mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*
     & qel**2*qdn**2*mz**4/s*stw2**4*ctw2**4+1d0/2*chizs*cosfel/pi*sr2**
     & 4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/2*chizs*cosfe
     & l/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2+1d0/4*c
     & hizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ct
     & w2**3+1d0/4*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**3*ctw2**2-1d0/2*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*
     & *2*ael*mz**4/s*stw2**3*ctw2**2-1d0/2*chizs*cosfel**2/pi*sr2**4*gf
     & **2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+chizs*cosfel**2/pi*sr2
     & **4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-chizs*cosfel**2/p
     & i*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**3+1d0/4*chizsc
     & /pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/4*ch
     & izsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/
     & 2*chizsc/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1
     & d0/2*chizsc/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**
     & 2+chizsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-ch
     & izsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**3+1d0/2*
     & chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw
     & 2**3+1d0/2*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*
     & stw2**3*ctw2**2+1d0/4*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ae
     & l*adn*mz**4/s*stw2**2*ctw2**3+1d0/4*chizsc*cosfel**2/pi*sr2**4*gf
     & **2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/2*chizsc*cosfel**
     & 2/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/2*ch
     & izsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw
     & 2**2+chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2*
     & *3*ctw2**2-chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s
     & *stw2**3*ctw2**3+1d0/2*cosfel**2/pi*sr2**2*gf**2*qel**2*qdn**2*mz
     & **4/s*stw2**2*ctw2**2)
      born1=
     & +deltarho2*(-1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/
     & s*stw2**2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz
     & **4/s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*
     & mz**4/s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*ad
     & n*mz**4/s*stw2**3*ctw2**2+1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn*
     & *2*mz**4/s*stw2**3*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*ael
     & **2*adn**2*mz**4/s*stw2*ctw2**4+1d0/3*chizs*chizsc/pi*sr2**6*gf**
     & 2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/3*chizs*chizsc/pi*sr2
     & **6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*chizs
     & c/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3+1d0/3*chi
     & zs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2**4-
     & 1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**3
     & *ctw2**4-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/
     & s*stw2**4*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*a
     & dn*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn
     & **2*ael**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*chizsc/pi*sr2**6*g
     & f**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs*chizsc/pi
     & *sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-2d0/3*chizs*
     & chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-1d0
     & /3*chizs*chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ct
     & w2**3+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*
     & stw2**4*ctw2**2-4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael
     & *mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*q
     & dn**2*ael*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc/pi*sr2**6*gf
     & **2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**2-4d0/3*chizs*chizsc/pi*s
     & r2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*ch
     & izsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+4d0/3
     & *chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2*
     & *2-4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2*
     & *4*ctw2**3-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**
     & 2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*
     & ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+2d0/3*chizs*chizsc*cosfel/p
     & i*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*
     & chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2*
     & *3+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4
     & /s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*
     & ael**2*adn*mz**4/s*stw2**3*ctw2**4-4d0/3*chizs*chizsc*cosfel/pi*s
     & r2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*ch
     & izsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**
     & 3+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/
     & s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*a
     & el*adn**2*mz**4/s*stw2**3*ctw2**4-4d0/3*chizs*chizsc*cosfel/pi*sr
     & 2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*chi
     & zsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3
     & +8d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/
     & s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ae
     & l**2*adn**2*mz**4/s*stw2*ctw2**4+1d0/3*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2
     & **2+1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz
     & **4/s*stw2**4*ctw2**3+1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**
     & 2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs*chizsc*cosfe
     & l**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-2d0/3
     & *chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*st
     & w2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ae
     & l**2*adn*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw
     & 2**4-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*
     & mz**4/s*stw2**3*ctw2**4-2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cos
     & fel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+4d0
     & /3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2**4*ctw2**2-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel
     & *qdn**2*ael*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc*cosfel**2/
     & pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**3+2d0/3*chiz
     & s*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*
     & ctw2**2-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn*a
     & dn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6
     & *gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+4d0/3*chizs*chizsc*
     & cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2**2-4
     & d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s
     & *stw2**4*ctw2**3-1d0/6*chizs*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*a
     & dn*mz**4/s*stw2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**4*gf**2*qel*qd
     & n*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**4*gf
     & **2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/12*chizs*cosfel**
     & 2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chi
     & zs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2
     & **3+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/
     & s*stw2**3*ctw2**2-1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn**
     & 2*ael*mz**4/s*stw2**3*ctw2**2-1d0/6*chizs*cosfel**2/pi*sr2**4*gf*
     & *2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizs*cosfel**2/p
     & i*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-1d0/12*chizs
     & c/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chi
     & zsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/1
     & 2*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-
     & 1d0/6*chizsc/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2*
     & *2-1d0/6*chizsc/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ct
     & w2**2+1d0/3*chizsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*
     & ctw2**2-1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*a
     & dn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qe
     & l*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/12*chizsc*cosfel**2/pi*
     & sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chizsc*c
     & osfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+
     & 1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*s
     & tw2**3*ctw2**2-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn**2*
     & ael*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**
     & 2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizsc*cosfel**2/p
     & i*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2)
      elseif (gfscheme.eq.2) then
      born2=
     & +deltarho**2*(+1d0/6/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*ctw2**
     & 2-1d0/3/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*stw2*ctw2**2+1d0/6/
     & pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*stw2**2*ctw2**2+1d0/12*chiz
     & s/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chi
     & zs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12
     & *chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d
     & 0/6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2*ctw2**3-1d0
     & /6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**2*ctw2**3-1
     & d0/6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2
     & -1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2*ctw2**3-
     & 1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**2*ctw2**
     & 3-1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2
     & **2+chizs/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**2*ctw2**3+1
     & d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-
     & 1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**3
     & +1d0/2*chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**2
     & *ctw2**4+chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2*
     & *3*ctw2**4+1d0/2*chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4
     & /s*stw2**4*ctw2**2+chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz*
     & *4/s*stw2**4*ctw2**3-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**
     & 2*adn*mz**4/s*stw2**2*ctw2**4-5d0/3*chizs*chizsc/pi*sr2**6*gf**2*
     & qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-chizs*chizsc/pi*sr2**6*gf*
     & *2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-5d0/3*chizs*chizsc/pi*s
     & r2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**3+1d0/3*chizs*ch
     & izsc/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**2*ctw2**4+4d0/3*
     & chizs*chizsc/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**3*ctw2**
     & 4+chizs*chizsc/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2
     & **2+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2
     & **4*ctw2**3-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz*
     & *4/s*stw2**2*ctw2**4-5d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*ael*a
     & dn**2*mz**4/s*stw2**3*ctw2**4-chizs*chizsc/pi*sr2**6*gf**2*qel*ae
     & l*adn**2*mz**4/s*stw2**4*ctw2**2-5d0/3*chizs*chizsc/pi*sr2**6*gf*
     & *2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc/pi*s
     & r2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**4+8d0/3*chizs*c
     & hizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**4+2*c
     & hizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2*
     & *2+8d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw
     & 2**4*ctw2**3-2*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/
     & s*stw2**3*ctw2**4-2*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael*m
     & z**4/s*stw2**4*ctw2**2-2*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*
     & ael*mz**4/s*stw2**4*ctw2**3+1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qe
     & l**2*adn**2*mz**4/s*stw2**2*ctw2**4+4d0/3*chizs*chizsc/pi*sr2**6*
     & gf**2*qel**2*adn**2*mz**4/s*stw2**3*ctw2**4+chizs*chizsc/pi*sr2**
     & 6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*chizsc/
     & pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**3-2*chizs*chi
     & zsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**4-2*chiz
     & s*chizsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**2-2
     & *chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2
     & **3+2*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*
     & ctw2**2+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*
     & stw2**4*ctw2**3+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*
     & mz**4/s*stw2**4*ctw2**4+chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**
     & 2*adn**2*mz**4/s*stw2**2*ctw2**4+2*chizs*chizsc*cosfel/pi*sr2**6*
     & gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+chizs*chizsc*cosfel/p
     & i*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2*chizs*chiz
     & sc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-4
     & d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*s
     & tw2**2*ctw2**4-10d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael
     & **2*adn*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosfel/pi*sr2**6*g
     & f**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-10d0/3*chizs*chizsc*c
     & osfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**3-4d0/
     & 3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2
     & **2*ctw2**4-10d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*ad
     & n**2*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosfel/pi*sr2**6*gf**
     & 2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-10d0/3*chizs*chizsc*cosf
     & el/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+4d0/3*c
     & hizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**
     & 2*ctw2**4+16d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*
     & adn*mz**4/s*stw2**3*ctw2**4+4*chizs*chizsc*cosfel/pi*sr2**6*gf**2
     & *qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**2+16d0/3*chizs*chizsc*cosf
     & el/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**3+1d0/2*
     & chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2
     & **2*ctw2**4+chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*
     & mz**4/s*stw2**3*ctw2**4+1d0/2*chizs*chizsc*cosfel**2/pi*sr2**6*gf
     & **2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+chizs*chizsc*cosfel**2/
     & pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-2d0/3*chizs
     & *chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**2*
     & ctw2**4-5d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*a
     & dn*mz**4/s*stw2**3*ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-5d0/3*chizs*chizsc*cosfel
     & **2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**3+1d0/3*
     & chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2
     & **2*ctw2**4+4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn**2*a
     & el**2*mz**4/s*stw2**3*ctw2**4+chizs*chizsc*cosfel**2/pi*sr2**6*gf
     & **2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*chizsc*cosf
     & el**2/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2**3-2d0/3
     & *chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*st
     & w2**2*ctw2**4-5d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ae
     & l*adn**2*mz**4/s*stw2**3*ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6
     & *gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-5d0/3*chizs*chizsc*
     & cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+
     & 2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**
     & 4/s*stw2**2*ctw2**4+8d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*
     & qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**4+2*chizs*chizsc*cosfel**2/
     & pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**2+8d0/3*chi
     & zs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*
     & *4*ctw2**3-2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ae
     & l*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**
     & 2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**2-2*chizs*chizsc*cosfel**2
     & /pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**3+1d0/3*chi
     & zs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**2
     & *ctw2**4+4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*adn*
     & *2*mz**4/s*stw2**3*ctw2**4+chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qel**2*adn**2*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*chizsc*cosfel*
     & *2/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**3-2*chizs*
     & chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*c
     & tw2**4-2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn*adn*mz
     & **4/s*stw2**4*ctw2**2-2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qe
     & l**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2
     & **3+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz
     & **4/s*stw2**4*ctw2**4+1d0/6*chizs*cosfel/pi*sr2**4*gf**2*qel*qdn*
     & ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**4*gf**2*q
     & el*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2*
     & *4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2+1d0/12*chizs*cos
     & fel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/1
     & 2*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2
     & *ctw2**3+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*m
     & z**4/s*stw2**3*ctw2**2-1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel*
     & qdn**2*ael*mz**4/s*stw2*ctw2**3-1d0/6*chizs*cosfel**2/pi*sr2**4*g
     & f**2*qel*qdn**2*ael*mz**4/s*stw2**2*ctw2**3-1d0/6*chizs*cosfel**2
     & /pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/6*chi
     & zs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2*ctw2**3-
     & 1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2
     & **2*ctw2**3-1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*
     & mz**4/s*stw2**3*ctw2**2+chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qd
     & n**2*mz**4/s*stw2**2*ctw2**3+1d0/3*chizs*cosfel**2/pi*sr2**4*gf**
     & 2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-1d0/3*chizs*cosfel**2/pi*
     & sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**3+1d0/12*chizsc/
     & pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chizs
     & c/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12*
     & chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d
     & 0/6*chizsc/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2*ctw2**3-1d
     & 0/6*chizsc/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**2*ctw2**3
     & -1d0/6*chizsc/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2
     & **2-1d0/6*chizsc/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2*ctw2
     & **3-1d0/6*chizsc/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**2*c
     & tw2**3-1d0/6*chizsc/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**
     & 3*ctw2**2+chizsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**2*ct
     & w2**3+1d0/3*chizsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*
     & ctw2**2-1d0/3*chizsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**
     & 3*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*stw2*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael
     & *adn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*
     & qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2+1d0/12*chizsc*cosfel**2/p
     & i*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chizsc
     & *cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**
     & 3+1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2**3*ctw2**2-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn**
     & 2*ael*mz**4/s*stw2*ctw2**3-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2
     & *qel*qdn**2*ael*mz**4/s*stw2**2*ctw2**3-1d0/6*chizsc*cosfel**2/pi
     & *sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc
     & *cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2*ctw2**3-1d
     & 0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2*
     & *2*ctw2**3-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*
     & mz**4/s*stw2**3*ctw2**2+chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*q
     & dn**2*mz**4/s*stw2**2*ctw2**3+1d0/3*chizsc*cosfel**2/pi*sr2**4*gf
     & **2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-1d0/3*chizsc*cosfel**2/
     & pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**3+1d0/6*cosfe
     & l**2/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*ctw2**2-1d0/3*cosfel**
     & 2/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*stw2*ctw2**2+1d0/6*cosfel
     & **2/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*stw2**2*ctw2**2)
      born1=
     & +deltarho2*(+1d0/3/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*stw2*ctw
     & 2**2-1d0/3/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*stw2**2*ctw2**2+
     & 1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3
     & +1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw
     & 2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3
     & *ctw2**2-1d0/3*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2*
     & *2*ctw2**3-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw
     & 2**3*ctw2**2-1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*s
     & tw2**2*ctw2**3-1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s
     & *stw2**3*ctw2**2+1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/
     & s*stw2**3*ctw2**2+2d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4
     & /s*stw2**3*ctw2**3+1d0/3*chizs*chizsc/pi*sr2**6*gf**2*ael**2*adn*
     & *2*mz**4/s*stw2**2*ctw2**4+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*ael
     & **2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/3*chizs*chizsc/pi*sr2**6*g
     & f**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*
     & sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-1d0/3*chizs*ch
     & izsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2**4-chizs
     & *chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-2d
     & 0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*c
     & tw2**2-chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**
     & 4*ctw2**3+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/
     & s*stw2**3*ctw2**4+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn**2*ael**
     & 2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*
     & *2*ael**2*mz**4/s*stw2**4*ctw2**3-1d0/3*chizs*chizsc/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-chizs*chizsc/pi*sr2**6
     & *gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-2d0/3*chizs*chizsc/
     & pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-chizs*chiz
     & sc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+4d0/3*c
     & hizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2*
     & *4+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw
     & 2**4*ctw2**2+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*m
     & z**4/s*stw2**4*ctw2**3-4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn
     & **2*ael*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*chizsc/pi*sr2**6*gf**
     & 2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc/pi*sr
     & 2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**3*ctw2**4+2d0/3*chizs*chiz
     & sc/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*ch
     & izs*chizsc/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**3-
     & 4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4
     & *ctw2**2-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/
     & s*stw2**4*ctw2**3+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**
     & 2*mz**4/s*stw2**4*ctw2**2-4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*
     & *2*qdn**2*mz**4/s*stw2**4*ctw2**4+2d0/3*chizs*chizsc*cosfel/pi*sr
     & 2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**2*ctw2**4+4d0/3*chizs*chiz
     & sc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+2
     & d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*st
     & w2**4*ctw2**2+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*ad
     & n**2*mz**4/s*stw2**4*ctw2**3-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*
     & gf**2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2**4-2*chizs*chizsc*cosfe
     & l/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-4d0/3*ch
     & izs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*
     & ctw2**2-2*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**
     & 4/s*stw2**4*ctw2**3-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel
     & *ael*adn**2*mz**4/s*stw2**2*ctw2**4-2*chizs*chizsc*cosfel/pi*sr2*
     & *6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-4d0/3*chizs*chizs
     & c*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-2
     & *chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2*
     & *4*ctw2**3+8d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*
     & adn*mz**4/s*stw2**3*ctw2**4+8d0/3*chizs*chizsc*cosfel/pi*sr2**6*g
     & f**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**2+8d0/3*chizs*chizsc*c
     & osfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**3+1d0
     & /3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*s
     & tw2**2*ctw2**4+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**
     & 2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/3*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2
     & **3-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*m
     & z**4/s*stw2**2*ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn
     & *ael**2*adn*mz**4/s*stw2**3*ctw2**4-2d0/3*chizs*chizsc*cosfel**2/
     & pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-chizs*chiz
     & sc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2*
     & *3+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn**2*ael**2*mz*
     & *4/s*stw2**3*ctw2**4+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc*cosfel*
     & *2/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2**3-1d0/3*ch
     & izs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2*
     & *2*ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*
     & mz**4/s*stw2**3*ctw2**4-2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-chizs*chizsc*cosfel**2
     & /pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+4d0/3*chi
     & zs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*
     & *3*ctw2**4+4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn*a
     & el*adn*mz**4/s*stw2**4*ctw2**2+4d0/3*chizs*chizsc*cosfel**2/pi*sr
     & 2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**3-4d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw
     & 2**2-2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael*
     & mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf
     & **2*qel**2*adn**2*mz**4/s*stw2**3*ctw2**4+2d0/3*chizs*chizsc*cosf
     & el**2/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3
     & *chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw
     & 2**4*ctw2**3-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*
     & qdn*adn*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*chizsc*cosfel**2/pi*s
     & r2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+4d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2
     & **2-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz
     & **4/s*stw2**4*ctw2**4+1d0/6*chizs*cosfel/pi*sr2**4*gf**2*qel*qdn*
     & ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**4*gf**2*q
     & el*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2*
     & *4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2+1d0/12*chizs*cos
     & fel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/1
     & 2*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2
     & *ctw2**3+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*m
     & z**4/s*stw2**3*ctw2**2-1d0/3*chizs*cosfel**2/pi*sr2**4*gf**2*qel*
     & qdn**2*ael*mz**4/s*stw2**2*ctw2**3-1d0/6*chizs*cosfel**2/pi*sr2**
     & 4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/3*chizs*cosfel
     & **2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**2*ctw2**3-1d0/6*
     & chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ct
     & w2**2+1d0/3*chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s
     & *stw2**3*ctw2**2+2d0/3*chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn
     & **2*mz**4/s*stw2**3*ctw2**3+1d0/12*chizsc/pi*sr2**4*gf**2*qel*qdn
     & *ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chizsc/pi*sr2**4*gf**2*qel*q
     & dn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12*chizsc/pi*sr2**4*gf**2*
     & qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/3*chizsc/pi*sr2**4*gf
     & **2*qel*qdn**2*ael*mz**4/s*stw2**2*ctw2**3-1d0/6*chizsc/pi*sr2**4
     & *gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/3*chizsc/pi*sr2
     & **4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**2*ctw2**3-1d0/6*chizsc/pi*
     & sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizsc/
     & pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2+2d0/3*chizs
     & c/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**3+1d0/6*chi
     & zsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1
     & d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**
     & 2*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*stw2**3*ctw2**2+1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*
     & qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chizsc*cosfel**2/pi*sr2**
     & 4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12*chizsc*cos
     & fel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d
     & 0/3*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2*
     & *2*ctw2**3-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn**2*ael*
     & mz**4/s*stw2**3*ctw2**2-1d0/3*chizsc*cosfel**2/pi*sr2**4*gf**2*qe
     & l**2*qdn*adn*mz**4/s*stw2**2*ctw2**3-1d0/6*chizsc*cosfel**2/pi*sr
     & 2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizsc*co
     & sfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2+2d0
     & /3*chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3
     & *ctw2**3+1d0/3*cosfel**2/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*st
     & w2*ctw2**2-1d0/3*cosfel**2/pi*sr2**2*gf**2*qel**2*qdn**2*mz**4/s*
     & stw2**2*ctw2**2)
      elseif ((gfscheme.eq.4).or.(gfscheme.eq.5)) then
      born2=
     & +deltarho**2*(+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*ctw2**3-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*st
     & w2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*s
     & tw2**2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*mz*
     & *4/s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*adn*m
     & z**4/s*stw2**3*ctw2**2+1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn**2*
     & mz**4/s*stw2**3*ctw2**2+1d0/2*chizs*chizsc/pi*sr2**6*gf**2*ael**2
     & *adn**2*mz**4/s*ctw2**4-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*ael**2
     & *adn**2*mz**4/s*stw2*ctw2**4-1d0/6*chizs*chizsc/pi*sr2**6*gf**2*a
     & el**2*adn**2*mz**4/s*stw2**2*ctw2**4+1d0/3*chizs*chizsc/pi*sr2**6
     & *gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/2*chizs*chizsc/p
     & i*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*
     & chizsc/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-1d0/
     & 3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*ctw2**
     & 4+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*
     & *2*ctw2**4-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**
     & 4/s*stw2**3*ctw2**4-chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*m
     & z**4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael
     & **2*adn*mz**4/s*stw2**4*ctw2**3+chizs*chizsc/pi*sr2**6*gf**2*qdn*
     & *2*ael**2*mz**4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc/pi*sr2
     & **6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs*chiz
     & sc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-chizs*c
     & hizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-1d0/
     & 3*chizs*chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw
     & 2**3+2*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*
     & *4*ctw2**2-2*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*
     & stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael
     & *mz**4/s*stw2**4*ctw2**3+chizs*chizsc/pi*sr2**6*gf**2*qel**2*adn*
     & *2*mz**4/s*stw2**4*ctw2**2-2*chizs*chizsc/pi*sr2**6*gf**2*qel**2*
     & qdn*adn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**6*gf**
     & 2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc/pi*sr2**6
     & *gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2**2-4d0/3*chizs*chizsc/p
     & i*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2**3+chizs*chizsc
     & *cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*ctw2**4-4d0/3*chizs
     & *chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2*ctw2**4
     & -1d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*
     & stw2**2*ctw2**4+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*
     & adn**2*mz**4/s*stw2**3*ctw2**4+chizs*chizsc*cosfel/pi*sr2**6*gf**
     & 2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc*cosfel
     & /pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-2d0/3*chiz
     & s*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*ctw2*
     & *4+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4
     & /s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*
     & ael**2*adn*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosfel/pi*sr2**
     & 6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*chizsc
     & *cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**3-2d
     & 0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*st
     & w2*ctw2**4+4d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn*
     & *2*mz**4/s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-2*chizs*chizsc*cosfel/
     & pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-2d0/3*chiz
     & s*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ct
     & w2**3+4*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**4*ctw2**2+1d0/2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*a
     & el**2*adn**2*mz**4/s*ctw2**4-2d0/3*chizs*chizsc*cosfel**2/pi*sr2*
     & *6*gf**2*ael**2*adn**2*mz**4/s*stw2*ctw2**4-1d0/6*chizs*chizsc*co
     & sfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**2*ctw2**4+1d0
     & /3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*s
     & tw2**3*ctw2**4+1d0/2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**
     & 2*adn**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3-1d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2*ctw2**
     & 4+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz*
     & *4/s*stw2**2*ctw2**4-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-chizs*chizsc*cosfel**2/pi
     & *sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-1d0/3*chizs*
     & chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*c
     & tw2**3+chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn**2*ael**2*mz**4
     & /s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*q
     & el*ael*adn**2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc*cosfel**2/p
     & i*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs
     & *chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*
     & ctw2**4-chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz*
     & *4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2
     & *qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+2*chizs*chizsc*cosfel**2/
     & pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**4*ctw2**2-2*chizs*c
     & hizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ct
     & w2**2+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn**2*ael
     & *mz**4/s*stw2**4*ctw2**3+chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*q
     & el**2*adn**2*mz**4/s*stw2**4*ctw2**2-2*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*c
     & hizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ct
     & w2**3+2*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**
     & 4/s*stw2**4*ctw2**2-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*
     & qel**2*qdn**2*mz**4/s*stw2**4*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**
     & 4*gf**2*qel*qdn*ael*adn*mz**4/s*ctw2**3-1d0/3*chizs*cosfel/pi*sr2
     & **4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chizs*cosfel
     & /pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*ch
     & izs*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**
     & 2+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*
     & ctw2**3-1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*stw2*ctw2**3+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*
     & ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12*chizs*cosfel**2/pi*sr2**4*
     & gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/6*chizs*cosfel*
     & *2/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/6*c
     & hizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw
     & 2**2+1d0/3*chizs*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*
     & stw2**3*ctw2**2+1d0/12*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*ctw2**3-1d0/6*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2*ctw2**3+1d0/12*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2**2*ctw2**3+1d0/12*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*
     & mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc/pi*sr2**4*gf**2*qel*qdn**2*a
     & el*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc/pi*sr2**4*gf**2*qel**2*qd
     & n*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizsc/pi*sr2**4*gf**2*qel**2
     & *qdn**2*mz**4/s*stw2**3*ctw2**2+1d0/6*chizsc*cosfel/pi*sr2**4*gf*
     & *2*qel*qdn*ael*adn*mz**4/s*ctw2**3-1d0/3*chizsc*cosfel/pi*sr2**4*
     & gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/6*chizsc*cosfel/pi
     & *sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizs
     & c*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2+
     & 1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*c
     & tw2**3-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz*
     & *4/s*stw2*ctw2**3+1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn
     & *ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/12*chizsc*cosfel**2/pi*sr2**
     & 4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc*cosf
     & el**2/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2**2-1d0/
     & 6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3
     & *ctw2**2+1d0/3*chizsc*cosfel**2/pi*sr2**4*gf**2*qel**2*qdn**2*mz*
     & *4/s*stw2**3*ctw2**2)
      born1=
     & +deltarho2*(-1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/
     & s*stw2**2*ctw2**3+1d0/12*chizs/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz
     & **4/s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel*qdn**2*ael*
     & mz**4/s*stw2**3*ctw2**2-1d0/6*chizs/pi*sr2**4*gf**2*qel**2*qdn*ad
     & n*mz**4/s*stw2**3*ctw2**2+1d0/3*chizs/pi*sr2**4*gf**2*qel**2*qdn*
     & *2*mz**4/s*stw2**3*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*ael
     & **2*adn**2*mz**4/s*stw2*ctw2**4+1d0/3*chizs*chizsc/pi*sr2**6*gf**
     & 2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/3*chizs*chizsc/pi*sr2
     & **6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*chizs
     & c/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**3+1d0/3*chi
     & zs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2**4-
     & 1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**3
     & *ctw2**4-2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/
     & s*stw2**4*ctw2**2-1d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn*ael**2*a
     & dn*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qdn
     & **2*ael**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*chizsc/pi*sr2**6*g
     & f**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs*chizsc/pi
     & *sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**3*ctw2**4-2d0/3*chizs*
     & chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-1d0
     & /3*chizs*chizsc/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ct
     & w2**3+4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s*
     & stw2**4*ctw2**2-4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*qdn**2*ael
     & *mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel*q
     & dn**2*ael*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc/pi*sr2**6*gf
     & **2*qel**2*adn**2*mz**4/s*stw2**4*ctw2**2-4d0/3*chizs*chizsc/pi*s
     & r2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*ch
     & izsc/pi*sr2**6*gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+4d0/3
     & *chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2*
     & *2-4d0/3*chizs*chizsc/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2*
     & *4*ctw2**3-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**
     & 2*mz**4/s*stw2*ctw2**4+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*
     & ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+2d0/3*chizs*chizsc*cosfel/p
     & i*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*
     & chizsc*cosfel/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2*
     & *3+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4
     & /s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qdn*
     & ael**2*adn*mz**4/s*stw2**3*ctw2**4-4d0/3*chizs*chizsc*cosfel/pi*s
     & r2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*ch
     & izsc*cosfel/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**4*ctw2**
     & 3+2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/
     & s*stw2**2*ctw2**4-2d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*a
     & el*adn**2*mz**4/s*stw2**3*ctw2**4-4d0/3*chizs*chizsc*cosfel/pi*sr
     & 2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-2d0/3*chizs*chi
     & zsc*cosfel/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3
     & +8d0/3*chizs*chizsc*cosfel/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/
     & s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ae
     & l**2*adn**2*mz**4/s*stw2*ctw2**4+1d0/3*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**3*ctw2**4+1d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz**4/s*stw2**4*ctw2
     & **2+1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*ael**2*adn**2*mz
     & **4/s*stw2**4*ctw2**3+1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**
     & 2*qdn*ael**2*adn*mz**4/s*stw2**2*ctw2**4-1d0/3*chizs*chizsc*cosfe
     & l**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*stw2**3*ctw2**4-2d0/3
     & *chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ael**2*adn*mz**4/s*st
     & w2**4*ctw2**2-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qdn*ae
     & l**2*adn*mz**4/s*stw2**4*ctw2**3+2d0/3*chizs*chizsc*cosfel**2/pi*
     & sr2**6*gf**2*qdn**2*ael**2*mz**4/s*stw2**4*ctw2**2+1d0/3*chizs*ch
     & izsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**2*ctw
     & 2**4-1d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*ael*adn**2*
     & mz**4/s*stw2**3*ctw2**4-2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf
     & **2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**2-1d0/3*chizs*chizsc*cos
     & fel**2/pi*sr2**6*gf**2*qel*ael*adn**2*mz**4/s*stw2**4*ctw2**3+4d0
     & /3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel*qdn*ael*adn*mz**4/s
     & *stw2**4*ctw2**2-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel
     & *qdn**2*ael*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc*cosfel**2/
     & pi*sr2**6*gf**2*qel*qdn**2*ael*mz**4/s*stw2**4*ctw2**3+2d0/3*chiz
     & s*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*adn**2*mz**4/s*stw2**4*
     & ctw2**2-4d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn*a
     & dn*mz**4/s*stw2**4*ctw2**2+2d0/3*chizs*chizsc*cosfel**2/pi*sr2**6
     & *gf**2*qel**2*qdn*adn*mz**4/s*stw2**4*ctw2**3+4d0/3*chizs*chizsc*
     & cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s*stw2**4*ctw2**2-4
     & d0/3*chizs*chizsc*cosfel**2/pi*sr2**6*gf**2*qel**2*qdn**2*mz**4/s
     & *stw2**4*ctw2**3-1d0/6*chizs*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*a
     & dn*mz**4/s*stw2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**4*gf**2*qel*qd
     & n*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizs*cosfel/pi*sr2**4*gf
     & **2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/12*chizs*cosfel**
     & 2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chi
     & zs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2
     & **3+1d0/12*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/
     & s*stw2**3*ctw2**2-1d0/6*chizs*cosfel**2/pi*sr2**4*gf**2*qel*qdn**
     & 2*ael*mz**4/s*stw2**3*ctw2**2-1d0/6*chizs*cosfel**2/pi*sr2**4*gf*
     & *2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizs*cosfel**2/p
     & i*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2-1d0/12*chizs
     & c/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chi
     & zsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+1d0/1
     & 2*chizsc/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-
     & 1d0/6*chizsc/pi*sr2**4*gf**2*qel*qdn**2*ael*mz**4/s*stw2**3*ctw2*
     & *2-1d0/6*chizsc/pi*sr2**4*gf**2*qel**2*qdn*adn*mz**4/s*stw2**3*ct
     & w2**2+1d0/3*chizsc/pi*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*
     & ctw2**2-1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4
     & /s*stw2*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qel*qdn*ael*a
     & dn*mz**4/s*stw2**2*ctw2**3+1d0/6*chizsc*cosfel/pi*sr2**4*gf**2*qe
     & l*qdn*ael*adn*mz**4/s*stw2**3*ctw2**2-1d0/12*chizsc*cosfel**2/pi*
     & sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2*ctw2**3+1d0/12*chizsc*c
     & osfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*stw2**2*ctw2**3+
     & 1d0/12*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn*ael*adn*mz**4/s*s
     & tw2**3*ctw2**2-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**2*qel*qdn**2*
     & ael*mz**4/s*stw2**3*ctw2**2-1d0/6*chizsc*cosfel**2/pi*sr2**4*gf**
     & 2*qel**2*qdn*adn*mz**4/s*stw2**3*ctw2**2+1d0/3*chizsc*cosfel**2/p
     & i*sr2**4*gf**2*qel**2*qdn**2*mz**4/s*stw2**3*ctw2**2)
      endif
      
      if ((iho.eq.1).or.(iho.eq.3)) then
         born = born1
      elseif ((iho.eq.2).or.(iho.eq.4)) then
         born = born1 + born2
      endif

      born = born* conhc      
      virt = 0d0
      soft = 0d0
      hard = 0d0

c$$$      print *, "born1",born1
c$$$      print *, "born2",born2
c$$$      stop
      
      return
      end
************************************************************************
