#include "DataSaver.h"
#include "Info.h"
#include "Process.h"
#include "OutputFormat.h"
#include "OF_LHEF.h"

using namespace SANC;

DataSaver::DataSaver(Info & _info, Process & _proc):info(_info),proc(_proc)
{
    if (info.PrintLHE == 1) {
        writer = new OF_LHEF(info, proc);
    }
}

void DataSaver::start(std::string dirName, std::string fileName) {
    if (writer) {
        writer->start(dirName, fileName);
    }
}

void DataSaver::writeEvent() {
    if (writer) {
        writer->writeEvent();
    }
}

void DataSaver::finish() {
    if (writer) {
        writer->finish();
    }
}