#include "LHEF.h"
#include "Info.h"
#include <fstream>
#include <iomanip>

using namespace std;
using namespace SANC;

#define SP12 setprecision(12) << setw(21)
#define SW18 setw(18)
#define SW3  setw(3)
#define SW6  setw(6)
#define SW9  setw(9)

LHEF::LHEF(Info & _info):info(_info)
{

}

void LHEF::printInit(ostream &output)
{
    LHEInit();
    // Read out current date and time.
    time_t t = time(0);
    char dateNow[12], timeNow[9];
    strftime(dateNow, 12, "%d %b %Y", localtime(&t));
    strftime(timeNow, 9, "%H:%M:%S", localtime(&t));
    output << "<LesHouchesEvents version=\"1.0\">" << '\n';
    output << "<!--" << '\n';
    output << "File generated with ReneSANCe "<< info.version() << '\n';
    output << "on "<< dateNow << " at " << timeNow << '\n';
    output << "-->" << '\n';
    output << "<init>" << '\n';
    output << SW6 << heprup.idbmup[0]<< SW6 << heprup.idbmup[1]
           << SP12 << heprup.ebmup[0] << SP12 << heprup.ebmup[1]
           << SW6 << heprup.pdfgup[0] << SW6 << heprup.pdfgup[1]
           << SW6 << heprup.pdfsup[0] << SW6 << heprup.pdfsup[1]
           << SW6 << heprup.idwtup << SW6 << heprup.nprup << '\n';
    output << SP12 << heprup.xsecup << SP12 << heprup.xerrup << SP12 << heprup.xmaxup
           << SW18 << heprup.lprup << '\n';
    output << "</init>" << '\n';
}

void LHEF::printEvent(ostream &output)
{
    output << "<event>" << '\n'
    << SW6 << hepeup.nup << SW9 << hepeup.idprup << SW6 << hepeup.xwgtup << SP12 << hepeup.scalup
    << SP12 << hepeup.aqedup << SP12 << hepeup.aqcdup << '\n';
    for (int i = 0; i < hepeup.nup; i++) {
        output << SW6 << hepeup.idup[i] << SW6 << hepeup.istup[i] << SW6 << hepeup.mothup[i][0]
        << SW6 << hepeup.mothup[i][1] << SW6 << hepeup.icolup[i][0] << SW6 << hepeup.icolup[i][1]
        << SP12 << hepeup.pup[i][0] << SP12 << hepeup.pup[i][1] << SP12 << hepeup.pup[i][2]
        << SP12 << hepeup.pup[i][3] << SP12 << hepeup.pup[i][4] << SW6 << hepeup.vtimup[i]
        << SW6 << hepeup.spinup[i] << '\n';
    }
    output << "</event>" << '\n';
}

void LHEF::printFinish(ostream &output)
{
    output << "</LesHouchesEvents>" << endl;
}